*COMDECK HISTORYL393     ***
 FCC0218  PREVENT IXFN/S INVENTED BY LISTIO FROM RESULTING IN ANSI WARNI
          IMPROVE WORDING OF NON-ANSI SUBSCRIPT DIAGNOSTIC. 
          MAH    74/09/19    APPLIES TO FTN VERSION 4.3 . 
  
 FCC0220  FIXES INTERMITTENT FAILURE TO SUPPRESS DEBUG-MODE OBJECT
          CODE GENERATION (UNAMBIGUOUS CODE CANNOT BE GENERATED WHEN
          CERTAIN FATAL ERRORS EXIST).  CORRECTS RELATED PROBLEM OF 
          SPORADIC LISTING OF *DEBUG EXECUTION SUPPRESSED* DIAGNOSTIC.
          BOTH PROBLEMS WERE CAUSED BY MUDDLED USAGE OF *NOGOFLG* AND 
          *P2NOGO* CONTROL FLAGS. 
          DCD    74/09/23    APPLIES TO FTN 4.3.
  
 FCC0385  DIAGNOSE A(LEVEL3) AND ALLOW LOCF(LEVEL3) 
          MAH    74/09/16    APPLIES TO FTN 4.3 . 
  
 FCC0389  SET VAR BIT FOR ENTITIES IN NAMELIST LIST.
          MAH    74/09/18    APPLIES TO FTN VERSION 4.3 . 
  
 FCC0390  ALLOW LEVEL 3 VARIABLES IN EQUIVALENCE. 
          MAH    74/09/18    APPLIES TO FTN  VERSION 4.3 .
  
 FCC0391  REMOVE SPURIOUS MODE ERRORS IN OPT=2 WHEN ECS/LCM WAS USED
          AND PROGRAM TEXT OVERFLOWED IT AND CAUSED A GARBAGE COLLECTION
          RELOAD *BIT* ENTRY CONTAINING THE RANDOM ADDRESS AFTER CALLING
          *ASB* 
          SIJ    74/09/20    APPLIES TO FTN 4.3 ONLY. 
  
 FCC0392  CORRECT LOSS OF USE/DEF INFORMATION AND SUBSEQUENT LOSS OF STO
          THAT ARE LIVE ON EXIT IN OPT=2 BECAUSE OF A REGISTER ERROR IN 
          GPO.
          FIX INCORRECT/SUBOPTIMAL HANDLING OF LOOPS THAT EXIT TO THE 
          HEADER NODE OF ANOTHER LOOP BY REPLACING REFERENCES TO THE
          HEADER NODE WITH THE HOLDING BLOCK OF THE LOOP. 
          SIJ    74/09/18    APPLIES TO FTN 4.3 . 
  
 FCC0393  FIX MISCELLANEOUS BUGS IN MCG/JAM THAT OCCURED BECAUSE
          THE *PS* BIT WAS NOT BEING CLEARED PROPERLY, OR SET IN THE
          CASE OF DEFS. 
          SIJ    74/09/18    APPLIES TO FTN 4.3 . 
  
 FCC0394  CORRECT LOSS OF INDEX IN ARRAY REFERENCE RESULTING FROM ASF 
          EXPANSION IN I/O LIST.
          MAH    74/10/01    APPLIES TO FTN VESION 4.3 .
  
 FCC0408  CORRECTLY OPTIMIZE LOOPS THAT ARE ENTERED BY A JUMP TO
          THE BEGINNING OF THE LOOP, AND THE LOOP CONTAINS A BLOCK THAT 
          INTO THE BEGINNING OF IT BY PHYSICALLY PLACING THE PROLOUGE 
          CODE AT THE END OF THE PROGRAM. 
           SIJ   74/10/04    APPLIES TO FTN 4.3 ONLY, IN OPT=2 ONLY.
  
 FCC0413  PREVENT LOSS OF STORE PRECEDING ENCODE IN OPT=2.
          FILE *DEF* OF *V* AFTER *USES* OF LIST IN ENCODE
          STATEMENT, AS THAT IS THE LOGICAL ORDER.
          MAH    74/10/02    APPLIES TO FTN VERSION 4.3 . 
  
 FCC0414  FIX BUGS IN OPT=2 OUTER LOOP REG ASSIGNMENT.
          SIJ    74/10/01    APPLIES TO FTN 4.3 ONLY. 
  
 FCC0415  INFINITE LOOP IN COMPILER IN OPT=1 WHEN OPTIMIZING A *DO* LOOP
          WITH MANY LEVEL 2 REFERENCES ON THE 7000. 
          SJP - 10/11/74 - APPLIES TO FTN 4.3 ONLY
  
L397     ***
 FCC0407  DIAGNOSE ATTEMPT TO REFERENCE ASF, BEF OR INTRINSIC AS
          SUBROUTINE. 
          MAH    74/10/02    APPLIES TO FTN 4.3 . 
  
 FCC0412  ENSURE MULTIPLY BY 1 OF LCM QUANTITY IS NOT REDUCED IN ARGUMEN
          LIST. 
          MAH    74/10/07    APPLIES TO FTN 4.3 . 
  
 FCC0418  REMOVE GARBAGE FROM *DETAILS* FIELD OF SEVERAL ERROR MESSAGES.
          CLEAN UP CODE IN *CALL* STATEMENT PROCESSOR.
          REMOVE GARBAGE FROM *DATA* STMT ERROR MSG 106.
          DCD    74/10/02    APPLIES TO FTN 4.3.
  
 FCC0422  USE 60-BIT ARITHMETIC FOR COMPUTED-GO-TO PROTECT CODE.
          MAH    74/10/14    APPLIES TO FTN 4.3 . 
 FCC0435  INITIALIZE STAPL CHAIN POINTER AT ENTRY TO ARITH. 
          NEEDED FOR DEBUG PROCESSING.
          ARS.   74/10/30    ARITH. 
  
 FCC0441  THIS CODE MODIFIES THE COMDECK COMCRDW TO IGNORE LEVEL 1
          END-OF-RECORDS ONLY IF THEY ARE RETURNED FROM A DEVICE TYPE 
          *TT* IN WHICH CASE THEY ARE KRONOS TERMINAL END-OF-LINE 
          MARKERS.
          THIS MODIFICATION IS INTENDED TO BE A TEMPORARY SOLUTION
          UNTIL THE STANDARD SET OF KRONOS/SCOPE COMDECKS CAN BE
          PRODUCED. 
          SJP    74/11/22    APPLIES TO FTN 4.3 
 FCC0446  THIS CODE CORRECTS ERROR MODE 1 IN TURNON WHILE PROCESSING
          STORE(Q.VALID.) AT C$ OFF ENCOUNTER.
          MAH    74/11/05    APPLIES TO FTN VERSION 4.3 . 
  
  
 FCC0448  FIX MISCELLANEOUS OPT=2 BUGS DISCOVERED DURING TESTING
          SIJ    74/10/16    APPLIES TO FTN 4.3 , OPT=2 ONLY
  
 FCC0451  CORRECT BAD RELOCATION IN LCM=I MODE WITH NO LOCAL
          VARIABLES.
          MUST NOT ASSUME THAT DATA. = 0 MEANS NO LEVEL CELLS.
          MAH    74/12/06    APPLIES TO FTN 4.3 . 
  
 FCC0458  CLEAR COM,EQUIV TABLES IF *FC* ERROR WHILE PROCESSING 
          DECLARATIVES SO REFMAP DOES/NT MODE OUT IF R=3. 
          ARS.   74/11/13.   PS1CTL,REFMAP. 
  
 FCC0475  WHEN OPT=0 AND TS WERE BOTH ON THE FTN CONTROL
          CARD TRACE MODE WAS INADVERTENTLY TURNED ON.
          THIS MOD FIXES THIS PROBLEM PLUS A SPELLING ERROR.
          DDM    11/20/74    APPLIES TO FTN 4.3 
  
 FCC0476  DIAGNOSE APPEARENCE OF FUNCTION NAME IN DECLARATIVE.
          MAH    74/11/19    APPLIES TO FTN 4.3 . 
  
 FCC0477  CORRECT REGISTER ERROR IN DOPROC THAT PREVENTED REFERENCE TO
          UNDEFINED LABEL FROM BEING DIAGNOSED IF PRECEDED BY AN INNER
          LOOP WITH AN ENTRY AND AN EXIT. 
          MAH    11/20/74    APPLIES TO FTN VERSION 4.3 . 
  
 FCC0481  DIAGNOSE NON-ANSI TWO BRANCH IF STATEMENT.
          MAH    74/12/12    APPLIES TO FTN VERSION 4.3 . 
  
 FCC0490  CORRECTS PROCESSING OF HOLL. STRINGS IN FORMAT STMTS. 
          AN INCORRECT ASSUMPTION WAS MADE THAT THE 99TH CHAR WAS 
          NON-ZERO IF AN E-O-S HAD NOT YET BEEN ENCOUNTERED.
          JLW    74/12/10    APPLIES TO FTN 4.4 
  
 FCC0491  REMOVE UNNECESSARY INSTRUCTION (NORMALIZE) FROM DOUBLE ADD AND
          SUBTRACT MACROS.
          MAH    74/12/09    APPLIES TO FTN VERSION 4.3  .
  
 FCC0498  DIAGNOSES VARIOUS NON-ANSI CONDITIONS.
          MRR    74/12/13    APPLIES TO FTN 4.3, TS.
  
 FCC0499  ALLOWS FUNCTION DEFINITION VIA NAMELIST LIST.  SETS DEFINE BIT
          ON WHEN VARIABLE APPEARS IN NAMELIST LIST AND READ LIST.
          MRR    74/12/18    APPLIES TO FTN 4.3, TS.
  
 FCC0502  MCG/CRA - LOGIC ERROR WHEN ALL REGS BUT X0 FILLED WITH RESULTS
          THAT HAVENT BEEN USED, AND NEED TO ISSUE A *LD* INSTRUCTION.
          SIJ    74/12/18    APPLIES TO FTN 4.3.
  
 FCC0504  CORRECT *TYPE ECS* DECLARATION TO PROPERLY DECLARE ECS RES. 
          INCUR *LEVEL* OVERHEAD IN PASS 2 ONLY IF LCM-RESIDENT 
          SYMBOLS HAVE BEEN DECLARED. 
          MAH    74/12/17    APPLIES TO FTN 4.3 . 
  
 FCC0506  PREVENT LOSS OF RELOCATION OF APLISTS DUE TO GENERATED
          LABEL AT CODE.-RELATIVE ADDRESS ZERO. 
          MAH    74/12/18    APPLIES TO FTN 4.3 . 
  
 FCC0508  CHECK FOR NOT-DEF INSTRUCTION BEING MODIFIED BY AIS.
          MAH    74/12/20    APPLIES TO FTN 4.3 . 
  
 FCC0509  GPO/AUV - CHANGE ALGORITHM FOR ADJUSTING USE VECTOR SO WE DONT
          CLEAR BITS FOR THE CLASS MEMBERS IF THERE WAS NO ST/LD SQUEEZI
          IN *SQZ*
          SIJ - 12/30/74 - APPLIES TO FTN 4.3 , OPT=2 ONLY. 
  
 FCC0513  GRA/ERC - DONT REVERSE SIGN OF CON WHEN MOVED OUT OF 2 LOOPS
          SIJ    74/12/30    APPLIES TO FTN 4.3.
  
 FCC0517  CORRECT LOSS OF TYPE FOR CERTAIN VARIABLES FIRST
          APPEARING IN A DEBUG DIRECTIVE. 
          MAH    75/1/07     APPLIES TO FTN VERSION 4.3.
 FCC0518  FTN MINIMUM FIELD LENGTH IN TS MODE WAS TOO SMALL. IT HAS BEEN
          CHANGED TO 40K. 
          DDM    01/02/75    APPLIES TO FTN 4.3 
 FCC0519  FORCE MODE CONVERSION WITH MODELESS CONSTANTS AND DOUBLE OR 
          COMPLEX VALUES. 
          MRR    74/12/30    APPLIES TO FTN 4.3, TS.
 FCC0520  DUPLICATE FILE NAMES ON THE PROGRAM CARD CAUSED COMPILER
          ERROR.
          MRR    74/12/31    APPLIES TO FTN 4.3, TS.
 FCC0521  TYPE DECLARATION OF A STATEMENT FUNCTION CAUSED A SPURIOUS
          WARNING DIAGNOSTIC. 
          MRR    74/12/31    APPLIES TO FTN 4.3, TS.
          CORRECT HANDLING OF REDUNDANT PARENS IN DATA LIST.
          MAH    75/01/03    APPLIES TO FTN 4.3 (INCLUDING TS)
  
 FCC0534  THE FINAL WRITE FLAG SHOULD NOT BE SET FOR OPT=1. 
          SJP    75/01/23    APPLIES TO FTN 4.3 
  
 FEAT79BZ RECOGNIZE SINH AND COSH AS BASIC EXTERNAL FUNCTIONS.
          MRR    75/01/15    APPLIES TO FTN 4.4.
  
 FEAT121A ADD *UO* OPTION TO *FTN* TO PERFORM *UNSAFE OPTIMIZATIONS*
          IF OPT=2 AND *UO* SELECTED. 
          EXTRA OPTIMIZATIONS PERFORMED ARE - 
          B-REGISTERS ARE ASSUMED TO BE PRESERVED BY SOME OF THE LIBRARY
          FUNCTIONS ( SIN,COS,SQRT, EXP, ETC ) AND WILL BE USED IN
          INNERMOST LOOPS WHERE POSSIBLE. 
          UNCONDITIONAL PREFETCHING WITHOUT REGARD TO SAFTY CONSIDERATIO
  
 FEAT121L TO PROVIDE INTERSPERSED COMPILE TIME CONTROL OVER SOURCE
          LISTING, REFERENCE MAP, AND OBJECT LIST.
          PC     74/01/06    APPLIES TO FTN 4.4.
 FEAT123A MUST BE INSTALLED IN CONJUNCTION WITH FCL IDENT FEAT123B. 
          REMOVE APLIST ITEM COUNT PROTECT CODE FROM MACROS.
          MAH    74/09/17    APPLIES TO FTN 4.3 . 
  
L401     ***
 FCC0493  DUPLICATE NAME IN COMMON STATEMENT CAUSED BAD COMTAB AND SYM- 
          TAB ENTRIES. NEW CODE IGNORES DUPLICATE NAMES. IF ALL NAMES IN
          A LIST ARE BAD, COMTAB LINK IS BROKEN BY SCF. CHECK FOR 
          FUNCTION NAME IS DELETED AS REDUNDANT.
          ACA    75/01/02    APPLIES TO FTN 4.3 
 FCC0511  SUPPRESSES EXTRANEOUS ERROR MESSAGE FOR = SPECIFIED AS FIELD
          WIDTH IN A FORMAT STATEMENT.
          JLW    75/01/14    APPLIES TO FTN4.3
 FCC0514  FIX PROBLEMS ASSOCIATED WITH USES EXTENDING PAST A REDEF. 
          ALLOW GENERAL REARRANGEMENT OF SEQUENCES IN *RIO*.
          SIJ    75/02/25    APPLIES TO FTN 4.3, OPT=2 ONLY.
  
 FCC0524  FIX REFMAP FOR *SYSEDIT* COMPILATION. 
          LLB    75/01/14 
 FCC0525  SUPPRESS EXTRANEOUS NON-ANSI DIAGNOSTIC GIVEN FOR A FORMAT
          STMT.  IT WAS CAUSED BY A HOLLERITH CONSTANT FOLLOWED BY A
          BLANK AND THEN AN ANSI SEPARATOR. 
          JLW    75/01/15    APPLIES TO FTN4.3
 FCC0527  CORRECT ERRONEOUS CHECK FOR COMMON BLOCK LENGTH.
          ARS.   75/01/13.   DPCLOSE. 
  
 FCC0529  CORRECT DIAGNOSTICS ISSUING FOR FORMAT DECLARATION OF AN I/O
          STMT. 
          JLW    75/01/20    APPLIES TO FTN 4.3 
 FCC0535  MARK INCREMENT VALUES AS *LX* IN GRA/SEE TO PREVENT THEIR 
          BEING BIASED BY AN ADDRESS IN GRA/MFA.
          SIJ - 1/23/75 APPLIES TO FTN 4.3 OPT=1 AND 2
  
 FCC0544  I/O LOOPS WITH DIMENSIONS THAT HAVE THE SAME BASE AS THE
          ARRAY NAME OR PREVIOUS DIMENSIONS WILL NOT BE COLLAPSED.
          JLW    75/02/10    APPLIES TO FTN 4.3 
 FCC0558  HOLLERITH TYPE EXPRESSION MODE IN AN ARITHMETIC IF IS TURNED
          INTO TYPE INTEGER.  THIS TO ENABLE CORRECT SEARCH IN IFTABLE. 
          THIRD LABEL IS CORRECTLY SET FOR TWO BRANCH LOGICAL IF.  ARTI-
          FICIAL LABEL IS NEEDED FOR IFTABLE. 
          JLW    75/02/24    APPLIES TO FTN 4.3 
 FCC0564  CORRECTLY CHECK FOR STAND-ALONE HOLL CONST IN I/O LIST. 
          FORCE ARLIST TO BE GENERATED FOR A HOLLERITH CONSTANT LOAD
          IF THE CONSTANT IS IN AN I/O LIST.  THIS IS NECESSARY FOR 
          HOLL CONSTANTS THAT RESULT FROM AN ASF EXPANSION EVEN IF THE
          CONSTANT IS STAND-ALONE.  THIS IS DUE TO THE ASSUMPTION IN
          ASF PROCESSING THAT THERE IS AN ARLIST TO WORK WITH.  BEFORE
          RETURNING TO THE I/O PROCESSOR, THE LOAD WOULD BE NO-OPED 
          SINCE ONLY THE BASE AND BIAS OF THE CONSTANT IS NEEDED TO 
          GENERATE THE APLIST.
          JLW    75/02/24    APPLIES TO FTN 4.3 
 FCC0569  CORRECTS AN INCORRECT SYNTAX TABLE ENTRY THAT DISALLOWED
          CONSTANTS PREFIXED WITH + - . OR LITERALS TO APPEAR AS
          THE FIRST ITEM TO BE ENCODED IN AN ENCODE STATEMENT.
          PC     75/02/10    APPLIES TO FTN 4.3.
 FCC0574  CORRECT PRINTOUT OF LCM LBLED COM LEN WHEN .GT. 777 777B
          SIJ    75/02/26    APPLIES TO FTN 4.3 
  
 FCC0584  MCG/JAM - ALWAYS ISSUE T0 IN *UJR* SO WE DONT BYPASS IT IN
          CASE OF A PARCEL FAULT IN *SNI*.
          SIJ - 3/5/75 APPLIES TO FTN 4.3 
  
 FCC0586  AIS - DO NOT CONSIDER CANIDATES FOR B-REGS IF THEY
          PRECEED A *RS*,RJRS OR ARE RESULT OF A *DEF*
  
 FCC0588  SQZ - DELETE OPT=2 *EOS"S* FROM SEQUENCE IF PREVIOUS INST IS
          NOT A BOUNDARY MARKER 
          SIJ - 3/12/75 
  
 FCC0590  RESET ALC.REG TO ALC.00 AT BEGINNING OF EACH STATEMENT. 
          OTHERWISE, IN CASE OF ERRORS, IT IS LEFT POINTING TO SOME 
          B-REGISTER AND SOME TABLE, CAUSING UNPREDICTABLE WIERD
          RESULTS IN SUBSEQUENT PROGRAM UNITS.
          LJM    75/03/12    APPLIES TO FTN 4.4 - DECK MAIN 
  
L406     ***
 FCC0400  CORRECT ALGORITHM TO IGNORE LEADING ZEROS AND INCORPORATE 
          REAL CONVERSION ALGORITHM COMPATIBLE WITH FCL. REWRITE. 
          L.D.HARE     4/8/75 
  
 FCC0396  IN THE TWO PASS COMPILER...WHEN THE RIGHT HAND SIDE OF THE
          EQUAL SIGN IN AN ARITHMETIC FUNCTION STATEMENT IS UNDEFINED,
          THE COMPILER ABORTS WITH MODE ERROR.  CORRECTIVE CODE ISSUES
          DIAGNOSTIC... SYNTAX ERROR IN ASF STATEMENT.
          IN THE TS COMPILER... WHEN THE RIGHT HAND SIDE OF THE EQUAL 
          SIGN IN AN ARITHMETIC FUNCTION STATEMENT IS UNDEFINED, THE
          COMPILER ABORTS WITH MODE ERROR AFTER COMPILING THE FOLLOWING 
          PROGRAM UNIT.  CORRECTIVE CODE ALLOWS ASF PROCESSOR TO
          CORRECTLY DIAGNOSE THE ABSENCE OF RIGHT HAND SIDE AND ISSUE 
          THE DIAGNOSTIC.... STATEMENT FUNCTION HAS NULL DEFINITION--,
          IGNORED.
          ADDITIONALLY, IN THE TS COMPILER, IF A DOUBLY DEFINED DUMMY 
          ARGUMENT OCCURS, THE DIAGNOSTIC MESSAGE IS INCORRECTLY OUTPUT 
          AS ...DUMMY ARGUMENT 5...  .  THE CORRECTIVE CODE ALLOWS
          THE FULL CORRECT DIAGNOSTIC MESSAGE FOR DOUBLY DEFINED  TO BE 
          OUTPUT. 
          ERH    75/4/8      APPLIES TO FTN4.3
  
  
 FCC0458A RESET B1. INSTRUCTION LEFT OUT OF ORIGINAL FCC0458. 
          ARS    APPLIES TO FTN 4.4      REFMAP 
 FCC0537    INCLUDE IN *DATA* AN INF. DIAGNOSTIC FOR HOLLERITH CONSTANTS
          .GT. 10  CHARACTERS THAT ARE INITIALIZED INTO SUCCEEDING WORDS
          WITHOUT TRUNCATION. MODIFY *DATA* DIAGNOSTIC OUTPUT FOR DETAIL
          FIELD IMPROVEMENT. FOR TS COMPATIBILITY, CHANGE DIAGNOSTIC
          FORMAT TO REFLECT HOLLERITH INITIALIZATION POSSIBILITY. 
          LDH    75/11/2
  
 FCC0539  DIAGNOSE INTEGER CONSTANTS GREATER THAN 2**48-1.  (WHEN THEY
          ARE USED AS OPERANDS OF * OR /.)
          JLW    75/02/03    APPLIES TO FTN 4.3 
 FCC0539  MODIFICATION OF *CONRED* TO INCLUDE DIAGNOSIS OF INTEGERS 
          .GT. 2**48-1 INVOLVED IN MULTIPLICATION, DIVIDE OR OPERATIONS 
          WITH REAL VARIABLES. MODIFICATION ALSO TO *PAR* FOR 
          IMPROVEMENT OF COMPILE TIME ARITHMETIC. 
          LDH    75/3/3 
  
 FCC0556  MOVE TEST FOR EXCESSIVE SCM REQUIREMENT SUCH THAT TEST IS 
          MADE IF R=0 OR L=0 IS SELECTED. 
          ARS    75/03/03    APPLIES TO FTN 4.3 
  
 FCC0570  CONSTANT DIVISORS WILL NOT BE INVERTED IF DIVIDEND IS 
          TYPE DOUBLE 
          JLW    75/03/25    APPLIES TO FTN4.3
  
 FCC0575  SAVE A6 BEFORE ISSUING ANSI DIAGNOSTIC FOR TWO BARNCH IF
          MRR    75/02/28    APPLIES TO FTN 4.4 (TS ONLY).
  
 FCC0579  DO NOT ENTER LOOP IN DOTAB IF LABEL WAS PREVIOUSLY DEFINED. 
          THIS AVOIDS A MULTITUDE OF SPURIOUS DIAGNOSTICS.
          MAH    75/3/10     APPLIES TO FTN 4.3 . 
  
 FCC0583  STOP OUTPUTTING BLANK COMMON TO THE PIDL TABLE WHEN IT DOESNT 
          EXIST.
          MRR    75/04/14    APPLIES TO FTN 4.4, TS.
  
 FCC0585  OUTPUT FATAL DIAGNOSTIC FOR ILLEGAL USE OF ENTRY POINT. 
          MRR    75/03/06    APPLIES TO FTN 4.4, TS.
  
 FCC0589  CORRECTS PROBLEM OF F.P. USED AS MODE INDICATOR OR FWA IN 
          BUFFER I/O.  ALSO REMOVES PROCESSING FOR IOFMT AND IOSTL. 
          ALLOWS V TO BE SPECIFIED AS X OR P IN A FORMAT STMT.
          JLW    75/03/12    APPLIES TO FTN 4.3, TS 
  
 FCC0593  DIAGNOSE AS INFORMATIVE RATHER THAN FATAL IF FWA AND LWA ARE
          ARE NOT IN SAME ARRAY, EQUIV CLASS, OR COMMON BLOCK.
          MRR    75/04/04    APPLIES TO FTN 4.4, TS.
          JLW    75/04/03    APPLIES TO FTN 4.4 
  
 FCC0594  GRA/SCT - CHECK FOR SAME CANDIDATE TYPE WHEN SEARCHING FOR
          A MATCH IN *RCT* SO AS TO AVOID INCORRECT CODE IN OUTER LPS.
          SIJ - 3/22/75 - APPLIES TO FTN 4.3, OPT=2 
  
 FCC0596  MODIFY LOOP TEST WHEN OUTPUTTING FORMAT CONSTANTS.
          MRR    75/03/19    APPLIES TO FTN 4.4, TS.
  
 FCC0597  CORRECT MODE ERRORS AND OUTPUT OF BAD ERRORS DUE TO LACK OF 
          SYNTAX CHECKING FOR BUFFER I/O STMTS. REMOVE PROCESSING OF
          DFLAG AND ASSOCIATED CODE.
          JLW    75/03/18    APPLIES TO FTN4.3, TS OPTION 
  
 FCC0599  PREVENT SPURIOUS DIAGNOSTICS FOR UNMODIFIED ARRAY NAME IN I/O 
          LISTS FOLLOWING BUFFER I/O STATMENT.
          MAH    75/3/21     APPLIES TO FTN 4.3 . 
  
 FCC0603  DONT ASSIGN CANDIDATE TO AN A-REGISTER IF INCREMENT OF
          SUBSCRIPT OCCURS ON A SIDE BRANCH, SINCE POST FETCH FOR NEXT
          ITERATION IS ASSOCIATED WITH THE LOOP BACK JUMP.
          GRA & MCG - FREE UP X-REG OF A-CANIDATE WHEN USES=0 SO AS TO
          AVOID JAMS, AND IMPROVE QUALITY OF CODE IN INNER LOOPS. 
          SIJ - 3/26/75 - APPLIES TO FTN 4.3, OPT=2 
  
 FCC0611  CLEAR *IXFNCL* IN ERROUT AND *ACALL* IN INITR IN ARITH. 
          THIS INSURES PROPER INITIALIZATION OF *CALL* AND *LISTIO* 
          LINKAGES FOR FUTURE ARITH INVOCATIONS FOLLOWING PARSER ABORT. 
          MAH    75/4/4      APPLIES TO FTN VERSION 4.4 . 
  
 FCC0612  GPO/RDD - BLOCKS THAT TERMINATE WITH A COMPUTED GOTO ARE NOT
          SEARCHED FOR DEAD DEFINITIONS.
          SJP    75/04/03    APPLIES TO FTN 4.3  (OPT=2)
  
 FCC0613  BDT/RIO - DO NOT ADD ST TO ST-PRED CHAIN IF RI IS A DEF AND 
          RF IS AN EXPRESSION SINCE SIO MAY FOUL UP IF REDEF LINKS
          ARE PRESENT.
          SIJ - 4/2/75 - APPLIES TO FTN 4.4, OPT=2
  
 FCC0614  NO RESTART CALLS SHOULD BE CAUSED BY BUFFER I/O FWA OR LWA OR 
          BY VARIABLE PARAMETER IN ENCODE.  SYMPTOM OF THIS WAS ERROR 
          MODE IN READRL. 
          JLW    75/04/11    APPLIES TO FTN 4.4 
  
 FCC0616  CORRECT EVALUATION OF LOGICAL OPERATORS.
          MRR    75/04/07    APPLIES TO FTN 4.4, TS.
  
 FCC0618  PERFORM SOME COMMON BLOCK INITIALIZATION IN EXTERNAL PACKET 
          PROCESSING FOR EACH PROGRAM UNIT, AS THE COMMON BLOCKS ARE
          RELOADED. 
          M+H    75/4/11     APPLIES TO FTN 4.4 . 
  
 FCC0623  TEMPORARILY ZERO THE STORE-TO-APLIST CHAIN POINTER WHEN 
          ISSUING *BUGCLL* CALLS SO THAT ANY STACKED STORES ARE 
          NOT ERRONEOUSLY PROCESSED.
          FLUSH ANY SAVED FUNCTION RESULT THAT IS BACKED UP IN ARITH
          AFTER INITIAL *BUGCLL* IS GENERATED.
          MAH    75/4/8      APPLIES TO FTN 4.4 . 
  
 FCC0578  CORRECT REGISTER ERROR THAT CAUSED SPURIOUS ANSI DIAGNOSTICS
          TO BE ISSUED FOR ANY SUBSCRIPT BEGINNING WITH CONSTANT. 
          MAH    75/3/5      APPLIES TO FTN 4.3 . 
  
 FCC0587  REWRITE TABLE OVERFLOW DIAGNOSTICS FOR IMPROVED CLARITY.
          MAH    75/3/13     APPLIES TO FTN 4.3 . 
  
 FCC0624  ENDPRO - AVOID SPURIOUS DIAGNOSTIC *NO PATH* AFTER
          IF( ) RETURN IN A MAIN PROGRAM
          SIJ - 4/10/75 - APPLIES TO FTN 4.4
  
 FCC0625  MCG/JAM & BDT - CORRECT PROBLEMS THAT OCCURED WHEN AN 
          INSTRUCTION THAT *PRS* WAS REPEATEDLY MOVED AROUND IN *CRA*.
          SIJ - 4/11/75 - APPLIES TO FTN 4.4
  
 FCC0628  WHEN AN ASF DEFINITION HAS A *SCANNER* TYPE ERROR, THE COM- 
          PILER PREMATURELY TRIPS INTO EXECUTABLE STATEMENT PROCESSING. 
          THIS PRODUCES AN ERRONEOUS ERROR MESSAGE ON SUBSEQUENT ASF
          DEFINITIONS.
          THIS CODE ALSO CONTAINS SOME ERROR MESSAGE CLEANUP ASSOC- 
          IATED WITH CONTROL FLOW ERRORS AND *FORMAT* LABEL PROCESSING. 
          PC     74/04/15    APPLIES TO FTN 4.4.
  
 FCC0634  MIO - CHECK TO SEE IF BLOCK IS IN BLK BEFORE CALLING ASB
          IN WMB/WFB. 
          SJP    4/18/75     APPLIES TO FTN 4.4 
  
 FCC0637  FIX RECOGNITION TEST FOR LOGICAL AND RELATIONAL OPERATORS.
          MRR    75/04/16    APPLIES TO FTN 4.4, TS.
  
 FCC0640  GPO/DIF - CHECK OPERANDS OF IA/IS FOR INV/^INV BEFORE CHECK 
          FOR OPERANDS OUTPUT TO GET CORRECT CODE IN CASE V*I + (I+V) 
          SIJ    4/16/75     APPLIES TO FTN 4.4 
  
 FCC0641  BDT/CIP - SET LATE START TIMES OF *RS* INSTRUCTIONS TO 0 TO 
          FORCE THEIR ISSUE IMMEDIATELY AFTER THEIR PRED IN *MCG*.
          GPO/INIT - SETUP SEARCH TERMINATOR FOR GRA/CIS AT O.BIT-2 
          SIJ - 4/17/75 - APPLIES TO FTN 4.4
  
 FCC0642  BDT/SIO ENSURE THAT SXT IS NOT SEPERATED FROM CON SHIFT 
          WHEN REORDERING INSTRUCTIONS. 
          SIJ - 4/17/75 - APPLIES TO FTN 4.4
  
 FCC0643  GPO, PROSEQ/ESR - CHANGE PROCESSING OF FP & LEVEL2 MEMORY 
          REFERENCES IN OPT=2 TO FORM A EXTENDED BASIC BLOCK AND SQZ IT 
          BEFORE CALLING *ESR*.  ALSO ADD CODE IN *ESR* TO CORRECTLY
          SETUP SEMANTIC INFO WHEN *RF* IS -VAR* .
          SIJ - 5/29/75 - APPLIES TO FTN 4.4
  
 FCC0644  PROPERLY RESET INDICATOR AFTER THE CROSS REFERENCE TABLE HAS
          SPILLED TO DISK IN THE PREVIOUS PROGRAM UNIT. 
          MRR    75/04/18    APPLIES TO FTN 4.4, TS.
  
 FCC0645  GRA/SUP - DONT OUTPUT AN *STT* WITH ONLY AN *H2* SINCE SQZ
          AND FAX CANT HANDLE NEGATIVE RELOCATION.
          PROSEQ/ESR - SETUP UDI ORDINAL WHEN GENERATING ADDRESS LOADS. 
          GRA/SEE - PROPERLY PROCESS CANIDATES WITH UDI=1.
          GRA/IRA - PROPERLY SET RF OF DRL/DWL INSTS WHEN RF IS NOT 
          MATERIALIZED. 
          SIJ - 4/18/75 - APPLIES TO FTN 4.4
  
 FCC0646  GPO/COL - CHANGE OPT=1 LOOP PROCESSING SO THAT *RIO* IS CALLED
          TO REORDER THE SEQUENCE AND ELIMINATE OR MARK VARIABLES THAT
          ARE *XU* ( USES EXTEND PAST A REDEFINITION ). 
          GRA - FIX PROCESSING OF ADDRESS CANIDATES TO PROPERLY 
          GENERATE SHORT INSTRUCTIONS WHEN INCREMENT VAR IS *EU*. 
          SIJ - 4/22/75 - APPLIES TO FTN 4.4, DEPENDS ON FCC0514
  
 FCC0651  GRA/CLB - MARK INCR VALUE AS *EU* TO FORCE MATERIALIZATION IN 
          AN X-REGISTER IF INCR VARIABLE IS NOT ASSIGNED TO A B-REGISTER
          SIJ - 4/21/75 - APPLIES TO FTN 4.4
  
 FCC0658  BDT - DONT LINK RJRS TO PREVIOUS *BM* IF CALL FROM *RIO*. 
          SIJ    4/24/75     APPLIES TO FTN 4.4 
  
 FCC0602  GPO/CHB - COMBINES HOLDING BLOCKS WITH PREDECESSOR WHEN 
          THERE IS ONLY ONE PREDECESSOR BLOCK.
          SJP    75/03/26    APPLIES TO FTN 4.3 
  
 FCC0654  DO NOT PERFORM EXECUTION-TIME ARRAYS CHECK FOR A(C) IF C IS 
          IN BOUNDS.
          SIJ    4/18/75     APPLIES TO FTN 4.3 
  
 FCC0656  GPO/MIP - BUMP THE *LDI* FIELD OF A IA/IS INCREMENT TO PREVENT
          FORMING *IP"S* THAT USE THE OLD AND NEW VALUE OF THE *RD* VAR.
          GRA/SCT - MASK OUT UDI FIELD SO THAT DIFFERENT ORDINALS FOR 
          CLASS AND SCALAR ENTRIES WILL NOT BE ORED IN. 
          GPO - MAKE SURE PL/LVL BITS ARE SET IN DESCRIPTOR OF ALL LD/ST
          INSTRUCTIONS GENERATED BY GPO ( IPS,DIF,EIE,UPB ).
          SIJ - 4/23/75 - APPLIES TO FTN 4.4
  
 FCC0714  LENGTH OF CHARACTER STRINGS CALCULATED INCORRECTLY IF IT IS A 
          MULTIPLE OF 10
          JLW    75/05/21    APPLIES TO FTN 4.5, TS 
  
 FCC0716  SQZ - PREVENT OVERSQZING OF IAZ/ISZ INSTRUCTIONS IN OPT=2 
          BY DISALLOWING REPEATED REDUCTION OF THE REDUCED IA/IS INSTRUCTIN 
          WHEN THE BLOCK IS SQUEEZED A SECOND TIME. 
          SIJ - 5/23/75 - APPLIES TO FTN 4.4 , DEPENDS ON FCC0514.
  
 FCC0728  FIXES THESE PROBLEMS,1. VAR UNIT FOR I/O COMMANDS SUCH AS 
          REWIND, BACKSPACE, AND ENDFILE NOT PROCESSED PROPERLY IN OPT=2
          RESULTING IN INCORRECT CODE TO BE GENERATED. 2. WHEN
          PARAMETERS OF AN IMPLIED DO LOOP ARE CONSTANTS AND THE
          TERMINAL PARAMETER IS LESS THAN THE INITIAL, INCORRECT CODE IS
          GENERATED.
          JLW    75/05/30    APPLIES TO FTN 4.5 
  
 FCC0732  MODE ERROR WHILE DATA STMT. PROCESSOR COMPILES COMPLEX CONSTS.
          DEPENDENT ON FCC0537. 
          LDH.   6/2/75      APPLIES TO FTN44 
  
 FCC0761  CORRECT EXTRANEOUS EROSION OF WORKING STORAGE IN DEBUG MODE 
          WHICH ULTIMATELY RESULTED IN MEMORY OVERFLOW FOR PROGRAMS 
          WITH LARGE NUMBER OF SUBROUTINES RUN IN SMALL FIELD LENGTH. 
          ALSO CORRECTS UNRELATED PROBLEM MAINFESTED BY THIS CONDITION. 
          THIS WAS A MODE-OUT AFTER ANNOUNCING *MORE MEMORY NEEDED FOR
          DEBUG*. 
          MAH    75/6/11     APPLIES TO FTN VERSION 4.5 . 
  
 FEAT126A THIS FEATURE MODIFIES THE LISTINGS IN TS MODE WHEN AN OUTPUT
          FILE IS CONNECTED OR THE PW OPTION IS USED ON THE FTN CONTROL 
          CARD. 
          DDM    04/25/75    APPLIES TO FTN 4.4 TS
 FCC0709  ADD LOCAL COMMON BLOCK LENGTH WHEN COMPUTING PROGRAM UNIT 
          SIZE. 
          MRR    75/05/20    APPLIES TO FTN 4.5, TS.
  
 FEAT126B THIS FEATURE ADDS THE LIST/NOLIST OPTION TO FTN TS. 
          PXC    04/25/75    APPLIES TO FTN 4.4 TS
 FEAT126C THIS MOD DOES GENERAL COMPILER CLEANUP. 
          DDM    04/25/75    APPLIES TO FTN 4.4 TS
  
 FEAT126AA FIX BUGS IN ORIGINAL FEAT126A CODE.
          1.  FIXES INITIALIZATION PROBLEM IN MAP.
          2.  FIXES SPELLING ERRORS.
          3.  FIXES REGISTER USAGE PROBLEM IN MAIN. 
          DDM-ARS 75/05/13   APPLIES TO FTN 4.4 
 FEAT126AB       ALLOWS INSTALLATION TO CHANGE DEFAULT PAGE WIDTH FOR 
                 A CONNECTED OUTPUT FILE. 
          DDM    75/06/06    APPLIES TO FTN 4.5 TS
  
 FEAT126AB CORRECT ISOLATION AND TESTING FOR CONNECTED FILE.  FIX MADE
          NECESSARY BY MULTI-MAINFRAME MODS.
          ARS    06/18/75    INIT    APPLIES TO FTN 4.5 
  
 FEAT126BA CONTROL OF OBJECT LIST VIA C/-LIST DIRECTIVES WAS NOT
          CORRECTLY HANDLED.
          PC     75/05/01    APPLIES TO FEAT126B. 
 FEAT126BB SCANNERS *NLABEL/CLABEL* TRANSFER WAS HANDLED INCORRECTLY
          FOR C/-LINES THAT WERE MERELY COMMENTS. 
          PC     74/05/02    APPLIES TO FTN 4.5.
 FEAT126BC THIS CODE ALLOWS ONE TO OVERRIDE C/ LIST OPTIONS IN BOTH OPT 
          AND TS VERSIONS THAT ARE ASSEMBLED IN *TEST* MODE VIA THE 
          *SNAP=U* CONTROL CARD OPTION. 
          PC     75/05/02    APPLIES TO FTN4.5. 
FEAT126CA COMPILER RANGE ERROR ON 7600 CAUSED BY 7RM *FETCH* KILLING X5.
          LDH    6/13/75     APPLIES TO FTN44 
  
 FEAT129  CLEAN-UP EQUIVALENCE PROCESSING 
          ARS    74/09/10    APPLIES TO FTN 4.3.
  
  
L410     ***
 FCC0566  SCANNER INCORRECTLY POSITIONED ITSELF TO COLUMN 6 OF THE CONT-
          UATION CARD IN THE SPECIAL CASE OF *.EQ.* WHERE *E* CAN BE THE
          START OF AN EXPONENT OR AN *.EQ.* WHEN PRECEEDED BY A DIGIT.
          ERH    75/5/15     APPLIES TO FTN 4.3 
  
 FCC0580  GENERALIZED PROCESSING OF COMMON-LEVEL ERRORS.
          WITH THIS CODE THE COMPILER WILL GENERATE ONLY ONE ERROR
          MESSAGE PER COMMON BLOCK PER ERROR TYPE.
          ARS    06/13/76    DPCLOSE    APPLIES TO FTN 4.5
  
 FCC0639  CORRECT ASSIGN STATEMENT CODE ELIMINATING 
          ERRONEOUS DIAGNOSTIC OUTPUT WITHIN NESTED LOOPS.
          LDH.   4/23/75     APPLIES TO FTN4.4TS
  
 FCC0672  GPO/MII - DONT MOVE A APLIST STORE FROM A LOOP IF IT IS A 
          BASE MEMBER OF A CLASS OF EQUIVALENCED APLISTS. 
          PRE/PPL - SET *BASE* BIT IN *API* FOR BASE MEMBER OF CLASS OF 
          EQUIVALENCED APLISTS. 
          SIJ - 5/8/75 - APPLIES TO FTN 4.4 
  
 FCC0675  GPO,GRA,POST - REVISE TEMPORARY PACKING ALGORITHMS TO USE 
          INTERVAL INFORMATION SO WE GET CORRECT RESULTS WHEN HOLDING 
          BLOCK IS REMOTE . 
          SIJ - 5/8/75 - APPLIES TO FTN 4.4 
  
 FCC0683  IN THE TS COMPILER... WHEN THE CLOSING RIGHT HAND PARENTHESIS 
          IN THE DEFINITION OF AN ASF IS MISSING, FTN(TS) ABORTS WITH 
          MODE ERROR WHEN THE FAULTY ASF IS REFERENCED.  CORRECTIVE CODE
          ALLOWS PROPER DIAGNOSIS OF THE ERROR. 
          ERH    75/5/5      APPLIES TO FTN4.3
  
 FCC0684  FIX FOR INCORRECT CODE GENERATION ON DO LOOP TERMINATOR.
          LDH    5/2/75      APPLIES TO FTN4.4 TS 
  
 FCC0696  CORRECT PROBLEM WITH MIXED MODE CONSTANT CONVERSION.
          MRR    75/05/14    APPLIES TO FTN 4.5, TS.
  
 FCC0708  TEST FOR A CONSTANT 2 IS ERRONEOUS WHEN REDUCING 2*X TO X+X 
          JLW    75/05/21    APPLIES TO FTN 4.5 
  
 FCC0711  DETERMINE DEFINED/UNDEFINED STATE OF EQUIVALENCED NON-COMMON
          VARIABLES.  INFORMATION TO BE USED IN PRODUCTION OF THE 
          2-PASS REFMAP.
          ARS    06/06/75    ENDPRO,DPCLOSE     APPLIES TO FTN 4.4
  
 FCC0715  BDT/FIL - FORM ALL MEMORY REDEF LINKS WHEN HAVE MULTIPLE
          INCREMENTS IN A EXTENDED BASIC BLOCK IN OPT=2 . 
          SQZ/CIA - PROPERLY MARK INCREMENTS IN EBB"S IN OPT=2
          SIJ - 5/22/75 - APPLIES TO FTN 4.4
  
 FCC0718  FIX ERRORS IN HANDLING OF EXTERNALS PASSED AS ACTUAL ARGUMENTS
          MRR    75/05/27    APPLIES TO FTN 4.5, TS.
          MAH    75/05/27    APPLIES TO FTN 4.5 . 
  
 FCC0719  MCG/SNU - UPDATE NEXT USE DISTANCE FOR RJ,RK OPERANDS OF
          TYPE I MEMORY REFERENCES. 
          SIJ - 5/29/75 - APPLIES TO FTN 4.4
  
 FCC0733  CONSTANTS AND EXPRESSIONS WILL NOT BE ALLOWED IN INPUT LISTS. 
          JLW    75/06/05    APPLIES TO FTN 4.5 
  
 FCC0735  GRA/DUM - DO NOT PROPAGATE *RF* BIT ( SHORT USAGE) TO 
          PREDECESSORS OF IA,IS INSTRUCTION UNLESS IT IS AN INCREMENT,
          SO WE DONT INCORRECTLY ASSIGN IT TO A B-REGISTER. 
          6/6/75 - SIJ - APPLIES TO FTN 4.4 , OPT=1,2 
  
 FCC0741  PROPERLY OUTPUT THE *LONG FILE* TO DISK (WHEN NECESSARY) WHEN 
          IN END PROCESSING.
          MRR    75/06/16    APPLIES TO FTN 4.5, TS.
  
 FCC0743  CODE FIXES 2 *IF AS DO TERMINAL* PROBLEMS...
          1. A STATEMENT OF THE FORM *IF(...EQ...)GOTO...* GENERATED BAD
             CODE SUCH THAT *IF* CONDITION WAS ALWAYS SATISFIED.
          2. A 3 BRANCH *IF* WAS NOT DIAGNOSED AS A FATAL ERROR, CON- 
             SEQUENTLY GENERATING BAD CODE. 
          PC     75/6/6      APPLIES TO FTN 4.5.
  
 FCC0744  WHEN COMPILING IN TS USING THE  *SEQ*  OPTION, FTN HANGS WHEN 
          SEQ NO. IS .GT. 511.
          SEQ INFORMATION IN TURPLES MISTAKEN BY PAR FOR INTERMEDIATE 
          OPERANDS. 
          ERH    75/6/5      APPLIES TO FTN4.5(TS)
  
 FCC0751  FTN - DO NOT CLEAR RA+66 SINCE IT CONTAINS THE *XJ* BIT, AND
          IS REFERENCED IF THE *GO* OPTION IS SELECTED. 
          SIJ - 6/11/75 - APPLIES TO FTN 4.3
  
 FCC0752  WHEN *LCC OVERLAY(...)* LINE WAS WRITTEN TO OUTPUT ON OBJECT
          LISTING, AN EOL TERMINATOR WAS ASSUMED TO EXIST. THIS PRE-
          SENTED A PROBLEM FOR LINES THAT WERE A MULTIPLE OF 10 CHARS.
  
 FCC0762  DIAGNOSE LEVEL 2 SYNTAX ERRORS IN 6000-MODE.
          MAH    75/6/12     APPLIES TO FTN 4.5 . 
  
 FCC0775  WHEN THE PROGRAM CARD IS CONTINUED ON CONTINUATION CARD WITH
          PUNCTUATION OMITTED, FTN(TS) ABORTS WITH MODE ERROR.
          CORRECTIVE CODE APPLIED TO *HEADER* AND *ERRORS* FIXES INCOR- 
          RECT ERROR REPORTING METHOD.
          ERH    75/6/18     APPLIES TO FTN4.3(TS)
  
 FCC0784  PREVENT MODE 1 IN TBL MANAGER CAUSED BY SETTING L.IOLST TO -1 
          MAH    75/6/23     APPLIES TO FTN 4.5 . 
  
 FCC0789  IMPLEMENT CAPABILITY TO SHOW A USE AND A DEF IN THE *PIO* 
          MACRO USED IN OPT=2 FOR NAMELIST AND FREE FORM INPUT. 
          SIJ    75/06/24    APPLIES TO FTN 4.5 
          JLW    75/06/24    APPLIES TO FTN 4.5 
  
 FCC0791  BDT/RIO - SET *XU* BIT IN CASES WHERE MULTIPLE USES EXTEND
          PAST A REDEF. 
          6/26/75 - SIJ  APPLIES TO FTN 4.5 
  
 FCC0792  SQZ - ELIMINATE REFERENCE TO XMT IN *RF* OF LD/ST OR STT
          SIJ - 6/24/75 - APPLIES TO FTN 4.4
  
 FCC0826   CORRECT PROBLEMS WITH PW LISTING MODE. 
          ARS,DDM   75/07/15     APPLIES TO FTN 4.5 LEVEL 406 
  
L414     ***
 FCC0635  CORRECT HANDLING OF HOLLERITH FORMS NR: AND NL:.
          MRR    75/08/09    APPLIES TO FTN 4.5, TS.
  
 FCC0717  GPO - CORRECT PROCESSING OF *IP*"S THAT USE THE OLD VALUE OF
          THE INCREMENT VAR AND OCCUR AFTER A REDEFINITION OF IT. 
          10 IO = I $ I = I + 1 $ A(J,IO) = B(I) $ IF( I @ N ) GO TO 10 
          SIJ - 6/1/75 - APPLIES TO FTN 4.4 
  
 FCC0764  GRA/IRA/RS - CLEAR R-NUMBER IN ST-REG FIELD WHEN RESULT *PRS* 
          IF IT IS THE SAME AS THE R-NUMBER IN THE *XR* FIELD.
          SIJ    8/18/75   APPLIES TO FTN 4.4 OPT=2 
  
 FCC0768  DEGRADE *FIRST ELEMENT WILL BE USED* DIAGNOSTIC FOR BEF(ARRAY)
          FROM INFORMATIVE TO ANSI. 
          MAH    6/17/75     APPLIES TO FTN 4.5 . 
  
 FCC0780  SHARE *TT.COMM* WITH *TP.DO* INSTEAD OF *TT.USE*. 
          MRR    75/06/24    APPLIES TO FTN 4.5, TS.
  
 FCC0787  CORRECTS AND ENHANCES SYNTAX CHECKING OF I/O LIST.
          COMPLEX CONSTANTS IN I/O LISTS WILL BE RECOGNIZED.
          MRR,JLW 75/08/20   APPLIES TO FTN 4.5, TS.
          JLW    75/07/08    APPLIES TO FTN 4.5 
  
 FCC0794  PROPERLY HANDLE FORMAT DESIGNATOR UPON RETURN FROM PAR. 
          MRR    75/08/21    APPLIES TO FTN 4.5, TS.
  
 FCC0805  THIS CODE FIXES LEVEL 2 REGISTER CRASH PROBLEMS.
          HARE.  6/30/75     APPLIES TO FTN 4.5 TS
  
 FCC0811  GRA - PROPERLY RESTORE *RCT* ENTRY FOR AN X-CANIDATE WHEN A 
          TENATIVE ASSIGNMENT CANNOT BE MADE. CLEAR REG1,MIT FIELDS.
          GRA/IRA/RS - CHECK *IRA* BIT FOR *RS* MOTION, NOT *RA* BIT. 
          SIJ   7/8/75  APPLIES TO FTN 4.4 , OPT=2
  
 FCC0812  GRA/IRA/PVC - ENSURE XMT PRIOR TO AN *RS* IN THE CASE - 
          LD 4,A  RS 4,X1,A  XMT 14,4  RS 14,X2,A THAT APPEARED IN
          AN OUTER LOOP.
          SIJ   7/8/75   APPLIES TO FTN 4.4 , OPT=2 
  
 FCC0813  THE VALUE GIVEN FOR CM USED IN THE OUTPUT FILE WAS NOT
          CORRECT.  IT NOW IS.
          DDM    07/15/75    APPLIES TO FTN 4.5 TS
  
 FCC0814  GRA/MFA - ENSURE TABLE TERMINATOR WHEN ATTEMPTING ADDRESS 
          DIFFERENCING. 
         SIJ   7/9/75   APPLIES TO FTN 4.4
  
 FCC0818  PL PARAMETER DID NOT ALLOW .GT. 7 CHARACTERS. IT NOW
          WORKS AS ADVERTISED.
          DDM    07/15/75    APPLIES TO FTN 4.5 
  
 FCC0822  CORRECT PROCESSING OF DEBUG-TRACED FUNCTION WITH TRACED 
          ARRAYS AMONG ACTUAL ARGUMENTS.
          MAH    75/7/10     APPLIES TO FTN 4.5 . 
  
 FCC0824  CORRECT LOGIC ERROR THAT PREVENTS PASS 2 LOAD IF .OVL = 0 . 
          MAH    75/7/29     APPLIES TO FTN 4.5 . 
  
 FCC0827  BAD LABEL IN FORMAT STATEMENT WILL NOT CAUSE TIME LIMIT.
          JLW    75/08/06    APPLIES TO FTN 4.5 
  
 FCC0828  EXTRANEOUS CHARACTERS PRECEDING A KEYWORD WILL BE DETECTED. 
          JLW    75/08/06    APPLIES TO FTN 4.5 
  
 FCC0839  GRA/SEE - DONT MARK CANDIDATE THAT IS RD AND ^DEF AS KD.
          SIJ    7/30/75     APPLIES TO FTN 4.3 
  
 FCC0840  CORECT TEST FOR POSITION OF IMPLICIT STATEMENT WITHIN 
          A PROGRAM UNIT. 
          ARS    75/09/02    PH1CTL    APPLIES TO FTN 4.5 
  
 FCC0841  GPO - DO NOT COMBINE HOLDING BLOCK WITH NATURAL PREDECESSOR 
          UNLESS PARITY OF FINAL JUMP BITS FOR BOTH BLOCKS IS THE SAME. 
          SIJ    7/28/75     APPLIES TO FTN 4.3 
  
 FCC0842  PRESERVE (X1) ACCROSS ANSI MESSAGE CALL.
          MRR    75/07/22    APPLIES TO FTN 4.5, TS.
  
 FCC0844  INCREASE MAX WORD LENGTH OF HOLLERITHS FROM 37B TO 777B.
          INCREASE MAX LEADING BLANK COUNT FROM 1777B TO 3776B. 
          ARS    75/07/17    APPLIES TO FTN 4.5, TS.
  
 FCC0848  PROPERLY TEST FOR EXTRANEOUS COMMA PRECEEDING I/O LIST. 
          MRR    75/07/28    APPLIES TO FTN 4.5, TS.
  
 FCC0872  ALLOW S INSTRUCTION AS PRED. OF INDEXED SHIFT IN SQUEEZE
          MAH    75/8/5      APPLIES TO FTN VERSION 4.5 . 
  
 FCC0878  PROPERLY HANDLE INTEGER RAISED TO REAL POWER
          MRR    75/08/14    APPLIES TO FTN 4.5, TS.
  
 FCC0882  DO NOT CONFUSE LCM=I ADDRESS LOAD WITH A LOAD OF THE VALUE BY 
          SETTING THE *LCMA* BIT IN THE *IH* FIELD OF THE *LD*. 
          FTNTEXT, POST/ASN, PROSEQ/ESR, GRA/OIL
          SIJ    8/14/75  APPLIES TO FTN 4.5, OPT=2 
  
 FCC0883  BDT/CRW - DONT RESET REG-WIDTH TO 0 WHEN PROCESSING A *LAB* 
          SIJ - 8/11/75 - APPLIES TO FTN 4.5 , OPT=1
  
 FCC0885  GPO/MII - PREVENT LOSS OF MOVED INV ST IN HB OF A OUTER LOOP
          IN THE CASE THAT A ILD APPEARS AFTER IT BY CHANGING ALL ILD"S 
          TO LD"S.
          SIJ   8/14/75 - APPLIES TO FTN 4.5 , OPT=2
  
 FCC0887  LARGE HOLLERITH CONSTANTS EVALUATED AS INTEGERS WILL BE 
          DIAGNOSED.
          JLW    75/08/11    APPLIES TO FTN 4.5 
  
 FCC0888  CORRECTLY DIAGNOSE NON-ANSI USAGES OF FORMAT IN AN I/O STMT.
          JLW    75/08/17    APPLIES TO FTN 4.5 
  
 FCC0903  CORRECT HANDLING OF ARITHMETIC IF WHICH REDUCES TO AN 
          UNCONDITIONAL BRANCH WHEN APPENDED TO A LOGICAL IF.  ALSO 
          CORRECT ISSUING NOPATH MESSAGE FOR THE ABOVE CASE.
          MRR    75/08/23    APPLIES TO FTN 4.5, TS.
  
 FCC0912  GRA/SIV - CORRECTLY FORM B-REGISTER INITIALIZATION CODE FOR 
          THE CASE THAT THE B-REG IS AN ADDRESS DIFFERENCE OF A 
          SYMBOL THAT IS A LEVEL 2 F.P. ( BIT 59 OF APLIST WORD SET). 
          PROSEQ/ESR - PROPAGATE FP BIT TO STT"S WHEN IN LCM ONLY MODE
          SIJ    8/18/75   APPLIES TO FTN 4.5 OPT=1,2 
  
 FCC0919  GRA/ERC - COMBINE STT AND LD/ST LOGIC SO INC FIRST TEST IS
          PERFORMED ON THE RF OF AN STT THAT IS AN *AC*.
          SIJ    8/25/75     APPLIES TO FTN 4.5 , OPT=2 
  
 FCC0931  PROPERLY TERMINATE COMPILATION FOR TABLE OVERFLOW WHEN IN END 
          PROCESSING. 
          MRR    75/08/26    APPLIES TO FTN 4.5, TS.
  
 FCC0943  CORRECT EXPANSION OF ED MACRO IN FAX. 
          ARS    75/8/27     FAX      APPLIES TO FTN 4.5 LEVEL 410
  
 S3143FC  REVISIONS FOR THE CYBER 170 SERIES, ALLOW MODEL MICRO TO BE 
          3 CHARACTERS, CORRECT CONDITIONAL ASSEMBLY IN VARIOUS RTNS. 
          SIJ    8/27/75 - APPLIES TO FTN 4.5, OPT AND TS 
  
 *L420*    *********************************************************************
 FCC0715A BDT/FJL - IGNORE REDEF LINKS WHEN FORMING JUMP LINKS. 
          SIJ    10/23/75    APPLIES TO FTN 4.5, OPT=1, 2 
  
 FCC0777  GRA/OSI - DO NOT CHECK *WORDB* BITS IF *IH* IS A LABEL. 
          SIJ    10/2/75     APPLIES TO FTN 4.5 , OPT=2 
  
 FCC0835  CORRECT ERROR PRODUCTION DURING COMMON PROCESSING SUCH THAT 
          THE REGISTERS ARE SAVED AND RESTORED.  ALSO CORRECT THE FILL. 
          SET UP FOR THE CLASS ERROR MESSAGE. 
          MRR,ARS 75/09/22   APPLIES TO FTN 4.5, TS.
  
 FCC0859  THE PW OPTION CAUSED THE PRINT LINE WIDTH TO BE OFF BY
          ONE CHARACTER ON KRONOS.
          DDM    75/10/22    APPLIES TO FTN 4.5, TS 
  
 FCC0864  MEM DOWN TO MEM.GOFL VALUE BEFORE CALLING LOADER IN GO MODE.
          LJM    75/08/01    APPLIES TO FTN 4.5, BOTH MODES 
          LDH,DDM  75/10/25 
  
 FCC0881  MCG/JAM - REVISE HANDLING OF REISSUE OF INSTRUCTIONS THAT 
          *PS* AND NOT ALL USES ARE STORES.  REWRITE *SXB*. 
          CHANGE LONG APLIST LDS INTO SHORT WHEN PRECEEDING ST. 
          ELIMINATE XMT  R,R INSTRUCTIONS.
          BDT/RIO - FORCE LATE OUTPUT OF FULL LOCK *RS"S* TO X-REGS 
          SIJ    10/23/75    APPLIES TO FTN 4.5 , OPT=1,2 
  
 FCC0902  INCREASE THE SIZE OF THE EXECUTION TIME BUFFERS TO ACCOMMADATE
          DOUBLE BUFFERING WHEN PROCESSING 512 WORD BLOCKS ON STRANGER
          TAPES.
          ARS    75/10/06    OPTIONS,HEADER,PH1CTL   APPLIES TO FTN 4.5 
  
 FCC0909  GPO, GRA - CORRECT PROCESSING OF LOOPS WITH MULTIPLE
          PREDECESSORS (LABEL CHANGE NECESSARY) AND THE LOOP BACK IS
          BY AN ASSIGNED GOTO SO WE JUMP BACK TO THE BEGINNING OF THE 
          LOOP BODY, NOT THE BEGINNING OF THE HOLDING BLOCK.
          SIJ    9/8/75      APPLIES TO FTN 4.5 , OPT=2 
  
 FCC0914  GRA/SXC - CLEAR BITS IN LOOP LIVE ENTRY BIT VECTOR FOR
          VARIABLES THAT ARE NOT USED AND DEAD ON EXIT FROM THE LOOP. 
          SIJ    9/5/75      APPLIES TO FTN 4.5 , OPT=2 
  
 FCC0946  FOR FILE NAMES APPEARING ON A PROGRAM STATEMENT WHICH USE 
          MACHINE REGISTER NAMES, DELETE THE APPENDED *$* BEFORE APPEND-
          ING THE *#*.
          MRR    75/10/14    APPLIES TO FTN 4.5, OPT. 
  
 FCC0960  SUPPRESS *BRANCH TO NEXT STATEMENT* OPTIMIZATION IF CURRENT 
          STATEMENT IS DO TERMINATOR. 
          MAH    75/9/9      APPLIES TO FTN 4.6 . 
  
 FCC0961  RETAIN THE BINARY OF AN INTEGER CONSTANT CONVERTED TO REAL BY 
          CIR.
          MRR    75/09/08    APPLIES TO FTN 4.5, TS.
  
 FCC0962  UNLABELED OR INCORRECTLY LABELED FORMAT STMNT CAUSES FTN(TS)
          TO MODE OUT WHEN USING  *OL*  OPTION. 
          MANAGED TABLES INCORRECTLY PROCESSED WHEN FATAL OCCURS. 
          *OL*  TO BE TURNED OFF WHEN FATAL OCCURS. 
          ERH    75/9/9      APPLIES TO FTN 4.3(TS) 
  
 FCC0963  DONT OUTPUT NULL MODE CONVERSION TURPLES WHEN CONVERTING
          STATEMENT FUNCTION EXPANSION RESULTS. 
          MRR    75/09/16    APPLIES TO FTN 4.5, TS.
  
 FCC0970  I/O UNIT ZERO WILL BE ACCEPTED. 
          ERH    75/10/20    APPLIES TO FTN 4.6,TS
  
 FCC0975  CORRECT MASK SKELETON TO PROTECT FOR MASK(0) CASE.
          MAH    75/9/19     APPLIES TO FTN 4.5 TS ONLY.
  
 FCC0977  GRA,BDT - SUPPLY CORRECT SEMANTIC INFORMATION ( *RF* ) FOR
          TYPE I MEMORY REFERENCES THAT ARE FROM A NON-BASE *IP* THAT 
          IS ADDRESS DIFFERENCED IN GRA.
          SIJ    10/15/75    APPLIES TO FTN 4.5, OPT=1,2
  
 FCC0980  FIXES  ERRONEOUS ERROR MESSAGES WHEN P=0 OR ML WITH NO =
          IS SPECIFIED ON CONTROL STATEMENT. ALSO MAKES SURE SYSEDIT=0
          TURNS OFF SYSEDIT.
          DDM    75/10/22    APPLIES TO FTN 4.5 
  
 FCC0982  REPAIR APLIST PROCESSING FOR LCM/ECS ITEMS IN C-MODE. 
          MAH    75/9/24     APPLIES TO FTN 4.5 . 
  
 FCC0990  CHANGE THE UNTERMINATED I/O DO LOOP ERROR TO FATAL (FROM
          COMPILER).  ALSO CLEAN UP EXIT CONDITIONS WHEN AN ACTUAL
          COMPILER ERROR OCCURS.
          MRR    75/10/09    APPLIES TO FTN 4.5, TS.
  
 FCC0994  AVOID RESTART CALLS BETWEEN TWO REFERENCES TO AN ARRAY
          FOR LWA-FWA+1 TYPE LIST COLLAPSE. 
          MAH    75/10/13    APPLIES TO FTN 4.5 . 
  
 FCC0996  DO NOT ALLOCATE ROOM IN START. FOR EXIT. IN MAIN PROGRAM. 
          MAH    75/14/75    APPLIES TO FTN 4.5 . 
  
 FCC1004  ALLOW CONTROL CARD OPTION FILENAMES TO BE NUMERIC UNDER NOS.
          DDM    75/10/22    APPLIES TO FTN4.5
  
 FCC1011  TREAT SUBROUTINES REFERENCED AS FUNCTIONS AS EXTERNAL 
          FUNCTIONS.
          MRR    75/11/04    APPLIES TO FTN 4.5, TS.
  
 FCC1013  IN THE OPTIMIZING COMPILER, WHEN THE FOLLOWING SITUATION
          ARISES--
          1.  A C/-LIST DIRECTIVE, FOLLOWED BY--
          2.  A BLANK LINE, FOLLOWED BY-- 
          3.  AN INITIAL LINE OF A STATEMENT, FOLLOWED BY-- 
          4.  AT LEAST ONE CONTINUATION LINE, 
          THE STATEMENT AT *3* AND *4* IS NOT HANDLED PROPERLY. 
  
 FCC1014  GRA - ALLOW *RCT* TO CONTAIN CANIDATES ( INDEXED LD/ST"S )
          WHERE THE *RF* IS NOT A CANDIDATE. ENHANCES B-REG ASSGNMENT.
          SIJ    10/20/75    APPLIES TO FTN 4.5 , OPT=1,2 
  
 FCC1025  AVOID DEADLOCKS IN OUTER LOOPS WHEN VAR IS ASSIGNED TO A B-REG
          IN AN INNER LOOP AND INC FIRST IN THE OUTER LOOP. 
          SQZ/CIA - REDUCE DEF/SA/INC K/ST K TO DEF/STT/ST K
          GPO/IPS - SETUP SEMANTIC INFO IN R2 WORD OF *SA*. 
          SIJ    11/4/75     APPLIES TO FTN 4.5 , OPT=2 
  
 FCC1028  CHECK FOR AND SET LCM BIT FOR 7000 IF VARIABLE FORMAT DESIG-
          NATOR IN ENCODE/DECODE. 
          ERH    75/10/30    APPLIES TO FTN 4.5,TS. 
 FEAT79CZ ALLOW DSINH,DCOSH AND DTANH.
          MAH    9/25/75     APPLIES TO FTN 4.6 . 
  
 FEAT155A ADD OBJECT REPRIEVE INFORMATION TO THE COMPILED CODE. 
          ADD *ER* CONTROL CARD PARAMETER TO SELECT OBJECT TIME ERROR 
          RECOVERY CODE.
          SJP, MRR  10/15/75 APPLIES TO FTN 4.5 , ALL MODES 
  
 FEAT155B ENABLE LINE CONTROL FEATURE IN 2-PASS AND TS IN THE FORM OF A 
          TERMINATING COMMA IN AN LIST DIRECTED I/O STMT. 
          JLW/ERH  75/09/12  APPLIES TO 4.5 
  
 FEAT155C   THIS CODE CHANGES TS LONG FILE FORMAT INTO A COMPACTED
          FORM. 15 BIT INSTRUCTIONS ARE PACKED THREE PER WORD 
          WHEN POSSIBLE.
          HARE.  6/25/74     APPLIES TO FTN 4.6 TS
  
 FEAT155D WHEN FTN IN TS MODE NEEDS MORE FIELD LENGTH FOR A 
          COMPILATION IT WILL DO MEMORY REQUESTS.  NO TABLES WILL BE
          SPILLED TO DISK UNTIL THE FIELD LENGTH VALUE OF NOM.FL IS 
          REACHED.
          DDM    75/10/17    APPLIES TO FTN 4.5, TS.
  
 FEAT155E ADD PRINT DENSITY (PD) AND PAGE SIZE (PS) OPTIONS TO
          BOTH COMPILERS. 
          REPLACE THE TS CODE ADDRESSES WITH CARD NUMBER ON SOURCE CARD 
          IMAGES.  USE THOSE NUMBERS IN REFMAP. 
          ARS    75/09/29    APLIES TO FTN 4.5
  
 FEAT155G THIS FEATURE IS RELATED TO FEAT155D.  ITS PURPOSE IS TO 
          REARRANGE DECKS SO THAT WHEN NO OBJECT LISTING IS REQUESTED 
          OR WHEN NO OBJECT LISTING AND REFERENCE MAP IS REQUESTED, THE 
          AREAS CAN BE USED BY THE TABLE MANAGER FOR TABLE SPACE. 
          DDM    75/10/17    APPLIES TO FTN 4.5, TS.
  
          PARTS OF THIS FEAT155A HAVE BEEN INCORPORATED INTO
          FEAT155G BECAUSE OF AN OVERLAP IN CORRECTION SETS. THE SECTION
          ADDED HERE IMPLEMENTS THE CAPABILITY TO REPRIEVE FROM ANY 
          ABNORMAL TERMINATION --EXCEPT EXPLICIT *ABT* CALL-- AT
          EXECUTION TIME... KNOWN AS *OBJECT TIME REPRIEVE (OTR) *. THIS
          CODE GENERATES *SB0 B2-LEN.* , *SB0 B2+POINTER*, AND
          *RJ =XFTNRPV. *.
          ERH    75/10/17    APPLIES TO FTN 4.5, TS.
  
          FOR CONSISTENCY, THE TS OBJECT TIME REPRIEVE CODE HAS BEEN
          DROPPED IN THIS IDENT IN ITS ENTIRITY.  THE CODE IN QUESTION
          OUTPUTS LINE/SEQUENCE NUMBERS IN THE CODE FORM SB0 B2+LINENO. 
          MRR    75/10/24    APPLIES TO FTN 4.6, TS.
  
 TEXTCOM  CREATE COMDECK FOR MIN-MAX MACROS.
          DDM    75/10/28    TSTEXT,FTNTEXT   FTN4.5
  
 FEAT155H DECREASE THE SIZE OF FTN BY DECREASING THE SIZE OF THE
          FTN CONTROL CARD ERROR PROCESSING.
          ALSO ELIMINATE USED CELLS AND MOVE OTHER CELLS TO 
          HIGHER OVERLAYS.
          ARS    75/10/26    FTN    APPLIES TO FTN 4.5
  
 FEAT155J ADDS CONTROL CARD OPTION ER AND ER=0 FOR FEAT155A (SEE).
          DDM    10/15/75    APPLIES TO FTN 4.5 BOTH MODES
  
 FCC*76   UPDATE COPYRIGHT INFO FOR 1976
          DLD    75/12/05    FTN,FTNRES    APPLIES TO FTN4.5
  
 CP139FC  FTN COMPILER CODE TO SUPPORT 54-TABLES ON OVERLAYS. 
          LJM    75/08/25    APPLIES TO FTN 4.6.
          PXC,DCD  75/10/22  INCORPORATE *RPV/FRA* CORRECTIONS. 
          DDM    75/11/03    ADD COMPCOM RELATED CHANGES. 
          DCD    75/12/02    MAKE 54-TABLES STANDARD ON ALL MACHINES. 
  
FCC0937   REPAIR RECOGNITION OF C$-DEBUG AREA DIRECTIVES THAT USE UPDATE
          SEQUENCE NUMBERS AS LINE IDENTIFIERS.  THE IDENTIFIERS WERE 
          NOT BEING SAVED IN CORRECT ORDER IN AN INTERNAL TABLE.
          ALSO SUPPRESSES COMDECK LISTING IN FORTRAN-CODED C$-DEBUG 
          SUBROUTINES, USING C/-LIST,NONE DIRECTIVES. 
          DCD,ARS  75/10/22  FTN 4.5, OPT, C$-DEBUG OPTION ONLY.
  
 LDBGCOM  CREATE COMDECK FOR C/    LIST,NONE OF DEBUG DECLARATIONS. 
          ARS    75/10/28    ALL DEBUG ROUTINES IN FTN 4.5
  
 FEAT155EA CORRECT PROBLEMS WITH FEAT155E.
          ARS    75/11/13    FTN    APPLIES TO FTN 4.6
  
 FEAT155HA REMOVE WORD FROM FTNRES. 
          ARS    75/11/13    FTNRES   APPLIES TO FTN 4.6
  
 FCC0957  SQZ/SMR - REVISE HANDLING OF ST/ST ELIMINATION SO WE DON"T
          INCORRECTLY CLEAR THE *PS* BIT. 
          SIJ    1//1/75     APPLIES TO FTN 4.5 , OPT=1, 2
  
 FCC0985  GPO,GRA - GENERALIZE HANDLING OF LOOPS WITH EPILOGUE POST 
          STORE NODES TO HANDLE CASE WHERE LOOP HAS MORE THAN ONE.
          SIJ    9/6/75      APPLIES TO FTN 4.5 , OPT=2 
  
 FCC1097  ELIMINATES PAGE EJECT AFTER LOADER DIRECTIVES IN TS LISTINGS. 
          SJP    12/18/75    APPLIES TO FTN 4.6 TS
  
 FEAT155F TEST MODE ONLY INTERACTIVE AND BATCH DEBUG PACKAGE. 
          PC     75/10/31    APPLIES TO FTN 4.5.
 FEAT155K GENERATE LDSET FOR LIBRARY TSLIB ON KRO/NOS.
          REQUIRES RELEASE OF THE NEW LIBRARY *TSLIB*.
          PHM    75/12/11.   FTN 4.6, TS ONLY.
  
 S3143FCA PREVENT DIRECT READ/WRITE TO LCM FOR CYBER 170. 
          SIJ    12/08/75    APPLIES TO FTN 4.6 
 FEAT155EB CORRECTS PROBLEMS IN FEAT155E CODE.
          ARS    12/31/75    APPLIES TO FTN4.6,FTN4.6(TS) 
 FEAT155GA CORRECT PROBLEMS IN FEAT155G.
          1.  CORRECT DECK NAMES FOR COMPILE-TIME REPRIVE.
          2.  CORRECT PROGRAM UNIT NAME PROCESSING. 
          3.  CORRECT COMMON BLOCK MAP GENERATION.
          MRR, ARS    75/1/9      APPLIES TO FTN 4.5  420U
  
 FEAT155FA ADD MISSING IF TEST TO FEAT155F. 
          ARS    75/01/13     TSNAP,SNAP     APPLIES TO FTN 4.6 
  
 *L428*    *********************************************************************
 FCC0807  ARITH - SET BIT IN WORDB IF VAR IS REFED AS ARG TO *LOCF* 
          UDT/AUT - CONSIDER REF TO *LOCF* EQUIVALENT TO BEING IN COMMON
          SIJ    12/15/75    APPLIES TO FTN 4.5 OPT=2 
  
 FCC0825  ISSUE NON-ANSI DIAGNOSTIC FOR DO LOOP TERMINATING WITH A
          LOGICAL IF , THE OBJECT OF WHICH IS A GO TO, IF, RETURN,
          STOP, PAUSE.
          ERH    75/11/18    APPLIES TO FTN4.5
  
 FCC0868  ELIMINATE MULTIPLY BY ONE IGNORED DIAGNOSTIC FOR SUBSCRIPT
          MULTIPLIERS GENERATED BY THE COMPILER.
          MRR    75/11/12    APPLIES TO FTN 4.6, TS.
  
 FCC0949  DOPROC - DO NOT ISSUE SPURIOUS DIAGNOSTIC FOR LOOP CONTROL
          VARIABLE WHEN IT APPEARS IN A DATA STATEMENT. 
          SIJ    76/02/02    APPLIES TO FTN 4.6 
  
 FCC0964  WHEN TESTING TAGS FOR AN ARRAY LOAD, IGNORE THE BIAS FIELD
          WHEN THE SUBSCRIPT OPERAND IS INTERMEDIATE. 
          MRR    75/11/07    APPLIES TO FTN 4.6, TS.
  
 FCC0966  INTERPRET RANF AS AN INTRINSIC FUNCTION.  GENERATE PROPER 
          CODE.  ELIMINATE ABNORMAL BIT.
          MRR    76/02/19    APPLIES TO FTN 4.6, TS.
  
 FCC1007  PRECHECK FOR *EOS* UNSTACKING A LEFT PAREN.  QUIT THEN. 
          MRR    75/12/18    APPLIES TO FTN 4.6, TS.
  
 FCC1010  BAD CODE GENERATED FOR WRITE STMNT WITH I/O ELEMENT CONTAINING
          SUBSCRIPTED SUBSCRIPT.     REGISTER INTO WHICH THE SUBSCRIPT
          WAS LOADED WAS NOT BEING LOCKED BEFORE ENTERING  PLUG  CODE,
          WHICH THEN RE-USED THE REGISTER, THUS DESTROYING THE NEEDED 
          DATA. 
          LLB/MRR/ERH/LDH/PHM  76/1/21  APPLIES TO FTN 4.6(TS)
  
 FCC1012  ADD CODE TO *CIA* IN DECK *REG* SUCH THAT WHEN CLEARING 
          ASSOCIATES, ANY REGFILE ENTRY WITH A USE COUNT OF 0 (ZERO)
          ARE ZEROED OUT. 
          LDH    76/1/20     APPLIES TO FTN 4.6 (TS). 
  
 FCC1015  BAD CODE GENERATED FOR FORMAT WITH STRING LONGER THAN 99
          CHARS.  ALGORITM FOR TRANSLATING STRING DELIMITED CONSTANTS 
          CORRECTED TO HANDLE 99 CHARS FILLING PRECISELY TEN 60-BIT 
          WORDS.
          ERH    75/11/12    APPLIES TO FTN 4.5,TS
  
 FCC1029  SQZ/SMR - BYPASS SQUEEZE IF LD IF IH.LD BIT IS SET SO WE DONT 
          SQUEEZE PREFETCHS WHICH HAVE THE SAME INITIAL FETCH.
          SIJ    11/11/75    APPLIES TO FTN 4.5 , OPT=2 
  
 FCC1039  GRA/SCT - SET *EU* BIT FOR INC VALUE IF IT IS NOT IN *RCT*
          SIJ    11/11/75    APPLIES TO FTN 4.5 OPT=1,2 
  
 FCC1040  GRA - DO NOT ASSIGN A *CM* TO A REGISTER IN AN OUTER LOOP IF
          THE *CR* WAS DEFINED IN AN INNER LOOP.
          SIJ    11/14/75    APPLIES TO FTN 4.5 , OPT=2 
  
 FCC1045  PREVENT INCORRECT PIDL TABLE GENERATION FOR LCM BLOCKS
          OF LENGTH 131071. 
          MAH    75/11/18    APPLIES TO FTN 4.5 . 
  
 FCC1046  CORRECT VARIOUS DIAGNOSTICS, BOTH COMMISSIONS AND OMISSIONS.
                 CHARACTER MAPPING CONTAINS GARBAGE FOR SB SNAP.
                 STRING BUFFER SNAP INTERPRETS CONTROL CARD SWITCH
                      (SNAP=G) BACKWARDS -- THE OLD WAY.
          MRR    75/11/17    APPLIES TO FTN 4.6, TS.
          PHM    76/02/02.   APPLIES TO FTN TS ONLY.
  
 FCC1055  MODIFY SKELETONS USED BY TS FOR *AINT*, *AMOD*, *DIM*,
          AND *IDIM* SO THAT RANGES AND RESULTS WILL MATCH 2-PASS.
          MAH    75/11/19    APPLIES TO FTN 4.5 TS ONLY.
  
 FCC1056  MCG/CRA - CHECK TO SEE IF RESULT IN ST-REG IS *PRS* TO DECIDE 
          IF NEED A *XMT* BACK. 
          BDT/RIO - FORCE OPERATIONS WHICH *PRS* TO AN X-REGISTER TO
          COME AFTER ALL STORE INSTRUCTIONS.
          SIJ - 11/25/75     APPLIES TO FTN 4.5 , OPT=1,2 
  
 FCC1058  CLEAR THE ASSIGN FLAG BEFORE IDENTIFYING A STATEMENT LABEL
          WHEN THE ASSIGN STATEMENT IS NOT IN A DO LOOP.
          MRR    75/12/02    APPLIES TO FTN 4.6, TS.
  
 FCC1062  SKIP AN ILLEGAL *=* WHEN DIAGNOSED. 
          MRR    75/12/01    APPLIES TO FTN 4.6, TS.
  
 FCC1068  CLEAN UP ERROR REPORTING OF LIST DIRECTED I/O.
          ERH    75/12/3     APPLIES TO FTN 4.6.
  
 FCC1070  CHANGE *AMOD* ALGORITHM FOR INCREASED SPEED AND ACCURACY. 
          MAH    75/12/10    APPLIES TO FTN 4.6 . 
  
 FCC1082  ARITH/IXFN - ENSURE THAT COMPS IS IN *DATA.* BLOCK .
          SIJ    12/12/75    APPLIES TO FTN 4.6 
  
 FCC1085  GOTO/MACROX - CORRECT COMPUTED GOTO MACRO TO HANDLE LINE
          NUMBERS .GT. 4095 . 
          SQZ - REDUCE FMA 0 TO A *CLR* INSTRUCTION.
          SIJ    12/12/75    APPLIES TO FTN 4.5 , OPT=0,1,2 
  
 FCC1088  REMOVE SPURIOUS ENTRIES FROM *UDT* IN OPT=2 BY INTRODUCING
          A *LDO* (LOAD ONLY) BIT IN SYMTAB AND FOLDING ALL HOL. AND
          CON. ENTRIES INTO UDI=1 ENTRY.  FTNTEXT,LSTPRO,LISTIO,GPO,UDT.
          SIJ    12/19/75    APPLIES TO FTN 4.6 , OPT=2 
  
 FCC1091  OUTPUT XMIT FOR ANY MULTIPLY BY 1 IN ARITH TO FORCE ST. 
          MAH    75/12/17    APPLIES TO FTN 4.6 . 
  
 FCC1092  PREVENT OFFSET OF COMPLEX BUFFER IO FWA"S WHICH ARE REDUCED 
          TO LOADS BY PROPERLY INTERROGATING *ABIO* IN IXFN.
          MAH    75/12/18    APPLIES TO FTN 4.6 . 
  
 FCC1096  CLEAN UP FILL. SETTINGS FOR DIAGNOSTICS.
          ADD CODE TO INCREASE TEST-MODE ONLY FIELD LENGTH. 
          MRR    75/12/18    APPLIES TO FTN 4.6, TS.
          SJP    76/1/9      APPLIES TO FTN 4.6 
  
 FCC1107  GRA/IRA - CORRECT FCC0985 TO SEARCH ALL BLOCKS IN *RXI* 
          THAT HAVE THE SAME PRED WHEN LOOKING FOR FALL THROUGH NODES.
          SIJ    1/15/76     APPLIES TO FTN 4.6 , OPT=2 
  
 FCC1108  REVISE CODE GENERATED FOR INTRINSIC MIN AND MAX FUNCTIONS TO
          ALLOW MORE COMMON SUBEXPRESSION SQUEEZING.
          SJP    1/9/76      APPLIES TO FTN 4.6 
  
 FCC1119  OUTPTK - CORRECT A,R AND T FORMAT PROCESSING. 
          SIJ - 1/17/76 - APPLIES TO FTN 4.6
  
 FCC1123  CORRECT ERROR IN DUMPING BLOCKS ADJACENT TO 1 WORD FREE SPACE.
          SJP    3/3/76      APPLIES TO FTN 4.6 
  
 FCC1124  ARITH - DOES NOT DIAGNOSE SYNTAX ERROR IN IF STMT.
          SJP    2/12/76     APPLIES TO FTN 4.6 
  
 FCC1126  BDT/FIL MARK REDEFINITION STORE IN DESCR. SO WE DONT SET THE
          XU BIT WHEN NOT NECESSARY.
          SIJ    2/4/76      APPLIES TO FTN 4.6 
  
 FCC1127  GRA/DAA - ALLOW PREFETCHING IN CASE -  I = I+1 $  =A(I) 
          SIJ    1/27/76     APPLIES TO FTN 4.6 , OPT=2 
  
 FCC1129  CORRECT INCORRECT HANDLING OF ERROR CONDITION DURING
          EQUIVALENCE PROCESSING. (ERROR - MORE THAN ONE MEMBER OF
          EQUIVALENCE CLASS IN COMMON)
          ARS    76/2/6      DPCLOSE     APPLIES TO FTN 4.6 
  
 FCC1147  CORRECT *CONVERT* SUCH THAT WHEN PROCESSING A T.DBL 
          CONSTANT AND INTEGER DOUBLE PRECISION OVERFLOW HAS
          OCCURRED, *CONVERT* WILL HANDLE THE EXPONENT SEARCH 
          CORRECTLY WHEN OVERFLOW POINT TO EXPONENT SPAN
          DOES NOT CROSS WORD BOUNDARIES. 
          LDH.   2/6/76      APPLIES TO FTN 4.6 
  
 FCC1155  CORRECT TEST FOR REDUCTION OF DIVIDE BY 1.0.
          MRR    76/02/09    APPLIES TO FTN 4.6 TS. 
  
 FCC1163  APPEND *.* TO BEF NAME IN OL. 
          MRR    76/02/19    LIST 
  
 FCC1169  LCM BIT WILL BE SET FOR I/O ELEMENTS SPECIFIED FOR SAME IN
          A *LEVEL* STATEMENT.  *PLUG* TYPE AP-LIST ENTRIES WILL BE 
          DISTINGUISHABLE FOR LCM OR SCM ASSOCIATED VARIABLES.
          ERH    76/2/20     APPLIES TO FTN 4.6,TS. 
  
 FCC1200  FIXES MISCELLANEOUS BUGS IN FEAT155E. 
             1.  CORRECTS MAXIMUM PAGE LENGTH.
             2.  CORRECTS GENERATION OF FINAL EOR.
             3.  CORRECTS PROCESSING OF THE OPENING OF OUTPUT FILE. 
             4.  CORRECTS PROGRAM STATISTICS LINE IN PW MODE. 
          ARS    76/03/10    APPLIES TO FTN 4.6 LEVEL 420 
  
 FCC1208  ADDRESS KEPT IN B6 DURING CODE GENERATION CAN BE
          INVALIDATED IF TABLES MOVE AT INOPPORTUNE TIME. 
                 FIX GST (IN REG) TO RETURN LOCATION OF TAG AS AN 
          ADDRESS COUPLE:  (TABLE, OFFSET), AND CALLERS WHO PRESERVE
          THE RESULT TO REMEMBER BOTH PARTS.
                 REGISTER ASSOCIATE FOR (X0) WAS NOT BEING CLEARED AT 
          EXIT FROM CAI.  CAUSED VARIOUS SYMPTOMS, FIELD LENGTH 
          SENSITIVE.
                 ALSO, TABLE SNAP WAS COMPUTING SLOP INCORRECTLY. 
          PARSED FILE SNAP INCORRECT. 
          PHM/LDH   76/04/14       APPLIES TO FTN 4.6 (TS). 
  
 FCC1215  DELETE ERRANEOUS TEST FOR BAD FORMAT LABEL. 
          LDH    3/23/76     APPLIES TO FTN 4.6 TS
          ERH    3/23/76     APPLIES TO FTN 4.6 TS
  
 FCC1224  LOCK REGISTER *A5* IN *PIG* SUCH THAT ANY CALLS BY *PIG*
          TO *DPT* WILL ENSURE THAT THE *LONG-FILE* POINTER REGISTER
          (A5) WILL REMAIN CONSTANT RELATIVE TO (TT.LF) SHOULD
          THE TABLES CRASH. 
          LDH    76/04/09    APPLIES TO FTN 4.6 (TS)
  
 *L433*    *********************************************************************
 FCC0976  ENTERING NON-INNER LOOP WITHOUT EXITS CAUSED AN INFORMATIVE 
          RATHER THAN FATAL ERROR. THIS PROBLEM IS FIXED BY REVERSING 
          THE ORDER OF THE TESTS. 
          DDM    05/17/76    APPLIES TO FTN 4.6 
  
 FCC0995  PROPERLY DENOTE PLUGGED AP-LIST ENTRIES FOR FORMAT DESIGNATORS
          AND ENCODE/DECODE STRING ADDRESSES. 
          MRR    76/05/13    IO     APPLIES TO FTN 4.6, TS. 
  
 FCC1134  REPAIR LOCF IN TS TO ALLOW LCM ITEMS AND DIAGNOSE INVALID 
          ARGUMENTS.
          MAH    76/3/12     APPLIES TO FTN 4.6 TS. 
  
 FCC1175  ELIMINATE EXPLICIT LOAD FROM MASK CODE SKELETON.
          MRR    76/03/02    GEN   APPLIES TO FTN 4.6, TS.
  
 FCC1191  CFA - GO DEPTH FIRST TO ADD BLOCKS TO AN INTERVAL IF A
          SUCCESSOR NODE HAS ONLY 1 PREDECESSOR SO HOLDING BLOCK DOESN"T
          GET SEPERATED FROM ITS IMMEDIATE PREDECESSOR. 
          SIJ    3/17/76     APPLIES TO FTN 4.5, OPT=2
  
 FCC1196  GRA/IRA/ST - DO NOT DESTROY R-NUMBER IN B-REG OF A ST-PRED IF 
          VAR IS NOT IN A ST-REGISTER.
          SIJ    3/12/76     APPLIES TO FTN 4.5, OPT=2
  
 FCC1201  PROVIDE AN EXTENDED POINTER FIELD FOR STATEMENT FUNCTIONS.
          MRR    76/03/12    TSTEXT,ASF  APPLIES TO FTN 4.6, TS.
  
 FCC1206  CORRECT ADDRESSING OF LCM RESIDENTS CELL IN LCM=I MODE. 
          ARS    76/3/30     APPLIES TO 4.6 LEVEL 428 
  
 FCC1210  WHEN PROCESSING CONSTANT SUBSCRIPTS, RETAIN BOTH THE SUBSCRIPT
          AND THE SUBSCRIPT INDICATOR.
          MRR    76/04/02    GEN     APPLIES TO FTN 4.6, TS.
  
 FCC1211  THIS CODE FIXES A PROBLEM THAT OCCURRED WHEN A *C/-LIST,NONE* 
          WAS IN EFFECT AT *END* LINE TIME IN A *BLOCKDATA* SUBPROGRAM
          THAT -- 
            1. WAS COMPILED WITH *EL=A* SELECTED, AND 
            2. CONTAINED NO FATAL-TO-EXECUTION ERRORS, AND
            3. DID CONTAIN INFORMATIVE AND/OR ANSI ERRORS...WHEW
          THIS PROBLEM OCCURRED BECAUSE, DUE TO BAD FLAG CHECKING, THE
          (2,2) OVERLAY GOT LOADED FOR A *BLOCKDATA* SUBPROGRAM.
          PC     76/04/28    APPLIES TO FTN 4.6.
  
 FCC1213  FAX/L4.CKRB - CLEAR RBTEMP IF RELOCATION TYPE IS ABSOLUTE.
          SIJ    3/24/76     APPLIES TO FTN 4.6, OPT=0,1,2
  
 FCC1222  SET VARIABLE BIT FOR FORMAL PARAMETERS USED AS VARIABLE 
          DIMENSIONS. 
          MRR    76/04/01    TSTEXT,LEX,DECL  APPLIES TO FTN 4.6, TS. 
  
 FCC1226  DETECT SYNTAX ERROR OF FORM  AR(I,) . 
          MAH    76/5/26     APPLIES TO FTN 4.6 . 
  
 FCC1227  GRA/IRA - LD FPADDR IS EQUIVALENT TO A *STT* IF IT IS AN *AC* 
          SIJ    4/16/76     APPLIES TO FTN 4.5, OPT=1,2
  
          TRACER (SEE,RAT,RCT)
 FCC1237  ADD SYMBOL TABLE CLASS BIT TO DETERMINE IF A SYMBOL HAS 
          APPEARED IN A TYPE DECLARATION.  ALSO REMOVE THE IBM * TYPING 
          KLUDGE. 
          MRR    76/04/08    TSTEXT,ERRORS,MAIN,TYPE  APPLIES TO FTN 4.6
  
 FCC1238  DIAGNOSE EXTRANEOUS LABELS, ETC. ON ARITHMETIC IF.
          MRR    76/04/06    ERRORS, IF   APPLIES TO FTN 4.6, TS. 
  
 FCC1239  SUPPRESS SQUEEZING OF FP(I-LOCF(FP)) AS LOSS OF SEMANTIC INFO.
          IS DANGEROUS TO PASS 2. 
          MAH    4/27/76     APPLIES TO FTN 4.6 . 
  
 FCC1247  ASF/AFD,DECL/EQU   CATCHES PREVIOUS DEFINITION OF AN
          ASF NAME IN ANY STATEMENT OTHER THAN TYPE OR ASF.  IN CASE OF 
          REDEFINITION OF ASF, FIXES POINTER INSERTION WHICH
          WAS CAUSING MODE ERROR.  CAUSES EQUIV PROCESSOR 
          TO SET VAR BIT. 
          CXM    06/22/76    APPLIED AGAINST 4.6 TS 
  
 FCC1254  GPO/MIE - CORRECT MOTION OF INVARIANT FUNCTION CALLS SO THAT
          ALL DEF"S FOLLOWING THE *RJX* ARE MOVED OUT AFTER IT. 
          ALSO - MAKE REGISTERS AVAILABLE FOR ASSIGNMENT IN *GRA* IF
          ALL EXT-REFS ARE MOVED OUT OF THE LOOP. 
          SIJ    5/7/76      APPLIES TO FTN 4.6 , OPT=2 
  
 FCC1259  PRODUCE ANSI DIAGNOSTIC FOR SEVEN CHARACTER SYMBOLS.
          MRR    76/04/26    ERRORS,ALLOC,DECL  APPLIES TO FTN 4.6, TS. 
  
 FCC1274  CORRECT VARIOUS ERROR AND DIAGNOSTIC MESSAGES.
          MRR    76/05/07    ERRORS,HEADER,MAIN,KEY,DECL
                             APPLIES TO FTN 4.6, TS.
  
 FCC1275  FOR BUFFER IN/OUT OF COMPLEX AND DBL PRECISION VARIABLES, 
          THE LWA PARAM IN APLIST MUST BE INCREMENTED BY ONE. 
          ERH    76/5/14     APPLIES TO FTN 4.6,TS. 
  
 FCC1283  THE ERROR MESSAGE EXTRACTOR FOR THE FTN REFERENCE MANUAL
          USES THE SECOND PARAMETER OF THE ERMSG MACRO TO DETERMINE THE 
          ERROR SEVERITY.  THIS IS THE ONLY USE OF THIS PARAMETER.  THE 
          PARAMETER ON MESSAGE NUMBER 306 DISAGREED WITH ACTUAL MESSAGE 
          USAGE.  IT HAS NOW BEEN CHANGED.
          DDM    05/21/76    APPLIES TO FTN 4.6 
  
 FCC1290  BDT/SIO - SET PRIORITIES OF TERMINAL INSTRUCTIONS ST"S AND
          THOSE THAT *PRS* ) SO THAT B-OPERAND OF ILS/IRS ALWAYS COMES
          IMMEDIATELY BEFORE THE SHIFT INSTRUCTION. 
          SIJ    5/20/76     APPLIES TO FTN 4.6, OPT=2
  
 FCC1293  PAR/POP ORDER OF OCTAL CONSTANTS SHOULD NOT BE CHANGED
          MMF    06/02/76    APPLIED AGAINST FTN 4.6 TS.
  
 FCC1293  CONRED/PCA  MODE OF RESULT OF ARITHMETIC OPERATION
          ON OCTAL CONSTANTS SHOULD BE INTEGER. 
          MMF    06/02/76    APPLIED AGAINST FTN 4.6 TS.
  
 FCC1295  CORRECT DIAGNOSIS OF INFINITE AND INDEFINITE CONSTANTS. 
          MRR    76/05/17    ERRORS,CONRED    APPLIES TO FTN 4.6, TS. 
  
 FCC1314  RESTORE THE NULL DO LOOP WARNING DIAGNOSTIC.
          MRR    76/06/01    DO   APPLIES TO FTN 4.6, TS. 
  
 FCCT001  THIS CODE CONTAINS /DBG=IDP/ INTERFACES FOR *TS* AND *OPT*
          PC     76/05/10    APPLIES TO FTN 4.6.
 FCCT002  FTN - MODIFY *LOVER* TO LOAD FROM RANDOM FILE IF *LINK* HAS 
          FILLED IN DISK ADDRESS"S IN IN THE *INDEX BUFFER *
          DDM    76/05/10    APPLIES TO FTN 4.6.
  
 FCCT003  SPP ADDITIONS FOR REJ AND IVG.
          DDM    76/05/10    APPLIES TO FTN 4.6.
  
 DBG0001  FIXES THE FOLLOWING PROBLEMS IN *COMDECK DBG=IDP* --
            1. FOR THE FOLLOWING IDP COMMANDS-- 
                 REG,X6 
               SET B,1       (ANY STMT THAT CALLED PARSER *PAS*)
                 REG,7
               REGISTER TYPE (*X* IN THIS EXAMPLE) WAS FORGOTTEN FOR
               *REG 7* COMMAND. 
            2. WHEN AN IDP GENERATED BREAKPOINT WAS PLACED AT A WORD
               CONTAINING AN *RJ* INSTRUCTION, AND THEN THE *RJ*
               INSTRUCTION WAS STEPPED, THE /EQ *+1/ GENERATED BY *RJ*
               WAS INCORRECT. 
          PC     76/3/20     APPLIES TO FTN 4.6.
 DBG0002  FIXES THE FOLLOWING PROBLEMS AND ADDS THE FOLLWING FEATURES 
          TO *COMDECK DBG=IDP* -- 
            1. *SNAP* COMMAND NOW SNAPS ONLY NR OF WORDS REQUESTED
               (EXPLICITLY OR BY DEFAULT).  I.E. DOES NOT ROUND UP TO 
               MULTIPLE OF *L.ISL* OR *L.BSL*.  THIS WAS DONE TO PREVENT
               ERRONEOUS MODE=1 ERROR NEAR FL.
            2. NEW COMMAND *DPC FWA,LWA,LEN* - DUMP OCTAL AND DISPLAY 
               CODE.
            3. NEW COMMAND *OUTPUT I,B,ECHO*.  ALLOWS USER MORE CONTROL 
               OVER WHERE IDP OUTPUT IS WRITTEN.  E.G. IDP OUTPUT 
               CAN GO TO TTY OR HARD COPY, OR BOTH. 
            4. THE INTERACTIVE PROMPT IS MADE AN ASSEMBLY OPTION VIA
               MICRO "PROMPT".
            5. INTRODUCES MULTIPLE STATEMENTS ON A LINE SYNTAX TO IDP 
               VIA CHARACTER DEFINED BY MICRO "EOS".
            6. NEW COMMAND *XFER NR* - LISTS THE LAST *NR* BRANCHES 
               TAKEN IN STEP MODE.  USEFUL IF A WILD BRANCH IS TAKEN
               TO NOWHERE...
            7. *STNR NR,L,RJ* COMMAND FIXED SO THAT *NR* DOES NOT HAVE
               TO BE  0 .LE. NR .LT. (CP.NFLS). 
          PC     76/4/1      APPLIES TO FTN 4.6.
 DBG0003  FIXES AN INCORRECT MACRO EXPANSION OF *SNAP* MACRO IN 
          *COMDECK DBG=MAC*.
          PC     76/4/1      APPLIES FO FTN 4.6.
 *L439*    *************************************************************
 FCC0971  CERTAIN CONTROL CARD CONFLICTS WERE BEING HANDLED IMPROPERLY
          THE FOLLOWING CHANGES HAVE BEEN MADE -
          1.  C,D,E, OR Q WITH TS CAUSES A FATAL CONTROL CARD ERROR.
          2.  C,D,E, OR Q WITH OUT TS OR WITH TS=0 IMPLIES OPT
          3.  OPT WITH TS CAUSES A FATAL ERROR. 
          4.  PW OR SEQ WITHOUT TS IMPLIES TS.
          5.  PW OR SEQ WITH TS=0 CAUSES A FATAL CONTROL CARD ERROR.
          DDM    05/22/76    APPLIES TO FTN 4.6 
  
 FCC1179  DECPRO/CDN, DPCOM  -ERROR PROCESSING FOR BAD COMMON STATEMENTS
          IS CORRECTED TO ENSURE THAT VARIABLES APPEARING IN REFMAP SHOW
          CORRECT RELOCATION ENTRIES
          COMFLAG IS ADDED TO SIGNAL THE PRESENCE OF BAD COMMON STATS 
          ATH    08/08/76    APPLIED AGAINST FTN 4.6, OPT 
  
 FCC1244  DECPRO/DPCOM FIXES B1 CONFLICT BETWEEN DPCOM AND ADDWD
          CXM    06/22/76    APPLIED AGAINST 4.6
  
 FCC1247A ASF/AFD INSERT THE L.SYM MASK DESTROYED BY *SSY* AND
          NOT RE-INSTATED, CORRECT VARIOUS COMMENTS.
          LDH    7/28/76     APPLIES TO FTN 4.6 TS. 
  
FCC1258   FTN.TS INCORRECTLY ALLOWS MULTIPLE IMPLICIT STATEMENTS
          SSK    06/21/76    APPLIED AGAINST FTN 4.6,TS.
  
 FCC1264  OPTIONS,TSTEXT,FTNMAC,FTNTEXT,END,FAX - 
          CYBER 175 CPUS WILL HAVE PREFIX TABLE *TARGET* AND *VALID*
          FIELDS OF C5 AND CX RESPECTIVELY. THE FIELDS FOR CYBER MODELS 
          172,173,174 WILL BE 64.  FOR 176, THE FIELDS WILL BE 76, 7X.
          ERH    76/5/28     APPLIES TO FTN 4.6 
  
FCC1286   LISTIO/UNITN.C FTN DOES NOT TRAP ILLEGAL TAPE UNIT NUMBERS
          THAT EXCEED THE CAPACITY OF 18 BIT ARITHMETIC 
          SSK    08/06/76    APPLIED AGAINST FTN4.6 
  
 FCC1294  PAR/A=ASF INCOMPATIBLE ASF EXPRESSION AND FUNCTION
          TYPES CAUSED INCORRECT CONVERSIONS TO BE PERFORMED. 
          CXM    06/10/76    APPLIED AGAINST 4.6TS
  
 FCC1299  PAR/C=DO    SET DEFINE BIT FOR THE CONTROL INDEX - SYMBOL 
          TABLE TAG ENTRY.
          CYY    76/06/23    APPLIES TO FTN4.6,TS.
  
 FCC1307  NUM/ISN - TEST FOR LEGALITY OF DO NESTING WHEN DO ENCOUNTERED.
          NUM/RDE - CREATE NEW ROUTINE TO REMOVE DO TABLE ENTRIES WHEN
                    SEVERE ERRORS NOTED.
          DO/CDI  - RETAIN CURRENT LINK FOR DO STATEMENTS ALREADY LINKED
          MRR    76/08/24    ERRORS,NUM,DO   APPLIES TO FTN 4.6, TS.
  
FCC1309   FTN.TS - MAIN - ERRORS- PRODUCES GARBLED OUTPUT FROM COMPILE
          FILE GENERATED BY UPDATE  WHEN L=0  IS SELECTED AND A FORTRAN 
          STATEMENT WITH AT LEAST ONE CONTINUATION CARD CONTAINS AN 
          ERROR 
          SSK    07/07/76    APPLIED AGAINST FTN 4.6,TS.
  
 FCC1313  ENDPRO/PST.  CORRECTS AN INCORRECT TERMINATION TEST IN
          FCC0711 WHICH CAUSED PREMATURE EXIT AND HENCE, DEF BITS WERE
          NOT CORRECTLY PROPAGATED THROUGH EQUIVALENCE CLASSES. 
          CXM    06/04/76    APPLIED AGAINST 4.6
  
 FCC1319  REVISE PROCESSING OF MULTI PREDECESSOR LOOPS IN OPT=2 SO THAT 
          WHEN A INNER LOOP EXITS TO THE HEADER OF AN OUTER LOOP WE DO
          NOT REEXECUTE THE LOOP PROLOGUE.  AFFECTS FTNTEXT,GPO,CFA,POST
          SIJ    6/10/76     APPLIES TO FTN 4.6, OPT=2. 
  
 FCC1320  I/O OF AN ARRAY OF DIMENSION GREATER THAN 17777B AND WITHOUT
          SUBSCRIPTS SPECIFIED IN THE I/O LIST CAUSED ARRAY SIZE TO BE
          ENTERED INTO  TS.CON  WITH APPROPRIATE POINTER AND BIT SET IN 
          AP-LIST  FOR THAT ARRAY.  PARAMETERS SPECIFYING THE AMOUNT OF 
          DATA TO BE WRITTEN TO  TS.CON  (ONE WORD IN THIS CASE) WAS
          INCORRECTLY SPECIFIED (I.E.,LWA+1=FWA) WHICH RESULTED IN
          NOTHING BEING ENTERED INTO TS.CON, WHICH IN TURN RESULTED IN
          FAILURE IN I/O OF THE ARRAY.
          ERH    75/8/6      APPLIES TO FTN 4.6,TS. 
  
 FCC1322  BDT/RIO7 - LATE OUTPUT FOR FULL LOCK RS"S TO B-REGISTERS
          IF PRS INSTRUCTION IS *ZP*
          SIJ    6/4/76      APPLIES TO FTN 4.6, OPT=2
  
 FCC1332  DECL/EQU  FIXES AN INCORRECT TEST FOR REDUNDANT EQUIVALENCE 
          SPECIFICATION.  ADDS VARIABLE NAME TO DIAGNOSTIC MESSAGE. 
          CXM    06/28/76    APPLIED AGAINST 4.6 TS 
  
 FCC1336  DEFAULTING CONTROL CARD A OPTION ON CAUSED ASSEMBLY ERROR DUE 
          TO CHANGE IN COMPCOM. "CP.ABORT" HAS BEEN CHANGED FROM
          1S59 TO 1.
          DDM    06/18/76    APPLIES TO FTN 4.6 
  
 FCC1337  IO/DOC  REDUNDANT PARENS IN TRIPLE SUBSCRIPTED IMPLIED DO 
          LOOP IN IO STATEMENT NOT PROPERLY DIAGNOSED.
          CYY    76/27/7     APPLIES TO FTN 4.6,TS. 
  
 FCC1339  FUN/O=ARG, CLEAR OUT ANY DELAYED STORES BEFORE PROCESSING AN
          EXTERNAL ARGUMENT LIST SO WE DO NOT CLOBBER ANY DELAYED STORE 
          REGISTERS.
          LLB/LDH            7/21/76        APPLIES TO FTN 4.6 TS.
  
 FCC1352  MIO/GMB - CORRECT CHECK FOR BLOCK FITTING INTO *RRB* SO WE
          DON"T CLOBBER THE FIRST WORD OF A BLOCK IN **RWB*.
          GJM    8/19/76     APPLIES TO FTN 4.6 OPT=2 
  
 FCC1353  PROSEQ/ESR - GENERATE CORRECT CODE FOR INDEXED LCM=I REFERENCES 
          WHEN *RF* IS IN A B-REGISTER AND *CA* IS 0. 
          SIJ    6/29/76     APPLIES TO FTN 4.6, OPT=2
  
FCC1373   KEY/LCC FTN,TS INCORRECTLY ATTEMPTS TO WRITE TO AN
          UNINITIALIZED LGO FILE UNDER FOLLOWING CONDITIONS - B=0 
          OVERLAY CARD PRECEDES PROGRAM UNIT
          SSK    07/28/76    APPLIED AGAINST FTN 4.6,TS.
  
 FCC1385  FMT/FMT.RP,ERPRO/FINISH,FTNMSG  -  EXTRANEOUS GARBAGE FOLLOW- 
          ING A CLOSING RIGHT PARENTHESIS ON A *FORMAT* STATEMENT WAS 
          INFORMATIVE IN FTN AND FATAL IN TS.  CORRECTION MAKES BOTH
          COMPILERS ISSUE FATAL DIAGNOSIICS.  ALSO, TS SPECIFIED INCORR-
          ECTLY THE CHARACTER FOLLOWING THE CLOSING RIGTH PARENTHESIS.
          CORRECTION ALLOWS CORRECT SPECIFICATION OF THE CHARACTER
          FOLLOWING CLOSING RIGHT PARENTHESIS.
          ERH    8/4/76      APPLIED AGAINST FTN 4.6, OPT AND TS. 
  
 FCC1338  FTNMSG,SCANNER. CHANGE *ILLEGAL LABEL FIELD.* DIAGNOSTIC
          SEVERITY TO FATAL.
          LDH    7/26/76     APPLIES TO FTN 4.6 
  
 FCC1410  DECL/DIR - TEST FOR ARRAY SIZE GREATER THAN 2**17-1.
          MRR    76/07/28    ERRORS,LEX,KEY,DECL  APPLIES TO FTN 4.6,TS.
  
 FCC1412  REG/ASR, CORRECT *ASR* TO INITIALIZE REGISTER X5 CORRECTLY
          FOR *CLI*. WHEN *ASR* DECIDES TO STORE TO A TEMPORARY, HE 
          CALLS  *CLI* WITH X1 CONTAINING THE TEMP TAG, X5 CONTAINED
          JUNK OR AN INTERMEDIATE RESULT INSTEAD OF THE TAG BEING STORED. 
          TO ACCOMODATE THOSE CALLS TO *ASR* WHERE X5 DOES CONTAIN A
          VALID SETTING, SAVE AND RESTORE X5 ACCROSS THE CALL TO *CLI*. 
          LDH/LLB            7/26/76        APPLIES TO FTN 4.6 (TS).
  
 FCC1413  SQZ/SRCH - PREVENT EXTENDING USES PAST AN INCREMNT IN THE 
          CASE - IF(I"1) GOTO N $ V=A(I) $ I=I-1 $ X=A(I) 
          SIJ    7/29/76     APPLIES TO FTN 4.6, OPT=2
  
 FCC1421  END/DFT    INCREASE ALLOCATION TO SCRATCH TABLE BY 1 WORD 
          BEFORE BUILDING *PIDL* TABLE TO ACCOMODATE *PIDL* 
          TABLE HEADER WORD. CORRECT LOOP COUNT CODE OF *PIDL*
          TABLE COMMON BLOCK ENTRY GENERATION.
          LDH    7/29/76     APPLIES TO FTN 4.6 TS. 
  
 FCC1424  SQZ/IS - DON"T OVERIZE OPTIMIZE  IF( IVAR .RO. I-CON )
          SIJ    8/5/76      APPLIES TO FTN 4.6 , OPT=1,2 
  
 FCC1425  PS1CTL/ENDPRO - CORRECTLY PROCESS LABELED END STATEMENTS IN 
          PASS 1 SO PASS 2 DOESN"T MODE OUT IF OPT=2. 
          SIJ    8/2/76      APPLIES TO FTN 4.6, OPT=0,1,2
  
 FCC1442  MCG/AVC - CLEAR B-REGISTER ASSOCIATES IN *TRA* SO *TRS* 
          DOESN"T BECOME -0 LEADING TO AN INFINITE LOOP ON THE 7600 
          IN *MCG*. 
          SIJ    8/17/76     APPLIES TO FTN 4.6 , OPT=0,1,2 ON 7600 
  
 FCC1449  IO/RTC  SET THE AVAR BIT (AP-LIST TABLE ENTRY) FOR A VARIABLE 
          NAME I/O DESIGNATOR - FOR I/O STATEMENTS WHICH CONTAIN AN 
          EXPLICIT *TAPE NUMBER* DESIGNATOR.
          CYY     76/08/19     APPLIES TO FTN4.6,TS.
  
 FCC1451  MCG/JAM - TRY TO ISSUE A INSTRUCTION IN *UJR* IF *CSI* HAS
          SUCCEEDED IN ISSUING A STORE, SINCE THE ORIGINAL INSTRUCTION
          MAY NOW BE ISSUABLE, AND *RIL* WILL MESS UP THE WORKS IF
          USES OF THE REISSUED INSTRUCTION IS 0.
          SIJ    8/25/76     APPLIES TO FTN 4.6, OPT=0,1,2
  
 FCC1453  PAR/C=DO - AFTER DIAGNOSING AN EXTRANEOUS ELEMENT ON A DO 
                     STATEMENT, EXIT FROM PAR.
          MRR    76/08/25    APPLIES TO FTN 4.6, TS.
  
 *L444*    *************************************************************
 FCC*77X  FTN,FTNRES.  UPDATE THE COPYRIGHT INFORMATION TO INCLUDE THE
          YEAR 1977.
          DLD    76/10/29    APPLIES TO FTN4.6
  
 F7540FT  *GLOBAL CHANGE*/TSTEXT/FTNTEXT/FTNMAC/FTN/OUTPTK/DECPRO/MIO/
          FAX/ -- ADAPT FTN 4.6 FOR CYBER MODEL 176 WITH NOS, NOS/BE, 
          AND SCOPE 2 OPERATING SYSTEMS.
                 SIDE EFFECT - DISABLES PART OF THE TEST-MODE *M* OPTION
          CODE.  LEVEL 2 DECLARATIVES ARE NO LONGER IGNORED WHEN THIS 
          OPTION IS SELECTED. 
          DCD    1976/08/26  APPLIES TO FTN 4.6 (TS, ALL OPT LEVELS). 
 RSM2763X MODIFY PASS 2 TO DYNAMICALLY INCREASE FIELD LENGTH
          AS NECESSARY TO COMPILE LONG SUBPROGRAMS. 
          EFFECTS FTN,LSTPRO,FAX,CLOSE2,MIO,GPO,PROSEQ,MCG,AND PRE. 
          GJM    7/26/76     APPLIED TO 4.6, OPT=0,1,2
  
 RSM2763AX PROSEQ - FIXES MODE ERROR IN READRL
          SIJ    76/12/01    APPLIES TO FTN 4.6 
 FCCT005  UDT - CHANGE MODE OF ACTIVATING *UDT* SNAPS FROM A *DEFINE TO 
          SNAP=2 ON THE CONTROL STATEMENT.
          SIJ    11/7/76     APPLIES TO FTN 4.6 
  
 FCC1059X SCANNER/NXT5A  FTN INCORRECTLY ISSUES A DUPLICATE STATEMENT 
          LABEL MESSAGE FOR THE FOURTH AND SIXTH CARDS
          5                  CARD 1 
           + CONTINUE        CARD 2 
                             CARD 3 
           +STOP 1           CARD 4 
                             CARD 5 
           +PAUSE 1          CARD 6 
          SSK    10/14/76    APPLIED AGAINST FTN 4.6
  
 FCC1086X SCANNER/PCON  WHEN A CONSTANT STRING THAT BEGAN WITH A DECI-
          MAL POINT FOLLOWED A STATEMENT CONTAINING AN ERRONEOUS CONST- 
          ANT, THE NEW STRING LENGTH WAS NOT INITIALIZED TO ZERO. 
          ATH    10/22/76    APPLIED AGAINST FTN 4.6/ OPT 
  
 FCC1109X SETARR - IN C$-DEBUG MODE, VARIABLE NAMES AND LABELS WERE LOST
          OR ALTERED WHEN COMPILING LARGE PROGRAMS.  A SYMBOL TABLE 
          POINTER (SYMTAB B) WAS NOT BEING UPDATED CORRECTLY DURING 
          SYMBOL TABLE MOVES. 
          DCD    1976/10/15  APPLIES TO FTN 4.6 (OPT).
  
 FCC1117X CORRECT DEBUG ABORT AT LSTPRO+366 WHEN FIELD LENGTH IS AT OR
          NEAR MINIMUM AND A LONG REFERENCE MAP IS SELECTED (R=2 OR =3).
          PART OF THIS CORRECTION SET INCREASES THE MINIMUM DEBUG 
          FIELD LENGTH BY 2000 (OCTAL) WORDS.  REFERENCE BASELINE 
          DOCUMENTATION CHANGE, DCS LOG S1935.
          DCD    76/10/08    APPLIES TO FTN 4.6.  (FTN, DBGPHCT)
  
 FCC1128X CHANGE NAME OF OBJECT CODE OUTPUT FILE FROM *COMPS* TO
          *ZZZZZFC* IN SYSTEM-MODE COMPILER, UNLESS *E* OPTION SELECTED.
          REFERENCE DOCUMENTATION BASELINE CHANGE, DCS LOG ARH1276. 
          DCD    76/10/08    APPLIES TO FTN 4.6.  (FTN) 
  
 FCC1134AXREG/CLI- LCM CODE TURNED ON BY FCC1134 CAUSED UNNECESSARY 
          CHECKS FOR LCM TAGS AND A CORRESPONDING TIME DEGRADATION. 
          PRECEDING THE LCM TEST WITH A CHECK FOR AN ADDRESS LOAD 
          FILTERS ALL BUT THE LEGITAMATE LCM TESTS. (THIS CODE APPLIES
          ONLY IN THE NON-DIRECT-ACCESS-LCM CASE) 
          WED    76/12/2  APPLIED AGAINST TS 4.6
  
 FCC1173X SCANNER/LEX   CONTINUATION LINE PROCESSING OF DEBUG STATEMENT 
          CAUSE WILD JUMP OF B3 REGISTER. 
          IF THE DEBUG KEYWORD IS UNTYPED, INSTEAD OF CONTINUEING THE 
          SCANNING PROCESS, SHOULD STRIP CONTINUATION CARDS UNTIL NEW 
          STATEMENT IS FOUND
          ATH   09/09/76    APPLIED AGAINST FTN/OPT V.4.6.
  
 FCC1252X LISTIO/INDXST2,DOPROC/INTVAR  FTN ISSUES AN INCORRECT ERROR 
          MESSAGE FOR AN IMPLIED DO LOOP CONTAINING A REAL SUBSCRIPT. 
          IF THE SUBSCRIPT IS NOT USED AS A DO CONTROL VARIABLE NO
          ERROR MESSAGE SHOULD BE ISSUED. 
          SSK    09/24/76    APPLIED AGAINST FTN 4.6
  
 FCC1300X FTNMSG,ERPRO/SPES,FLY - CHANGE FORMAT SPECIFICATION DIAGNOSIS.
          1. REMOVE MESSAGE  *DECIMAL POINT......MISSING.....* FOR -V-
             EDIT DESCRIPTORS OF THE FORM -VN-, AND GIVE INFORMATIVE
             DIAGNOSTIC ONLY FOR THE FORM -VN.-, AND NOT FOR THE FORM 
             VN (WITHOUT A PERIOD). 
          2. CHANGE MESSAGE TEXT FOR FLOATING POINT EDIT DESCRIPTORS
             THAT LACK A FRACTIONAL DIGIT COUNT SPECIFICATION.
             ALDO REMOVE SPURIOUS DIAGNOSTIC SPECIFYING A FIELD WIDTH 
             VIOLATION FOR THE FORM -VN.D-. 
          3. REPAIR PROCESSING OF DESCRIPTORS -I-,-O-, OF THE FORM
             -IW. -, -OW. -, AND THE FORMS -EW.DEE-,-EW.DDE-. 
             ROUTINE *SPES* IN DECK *ERPRO* CHECKS FOR BLANK CHARACTERS 
             FOLLOWING THE DECIMAL, CAUSING THE POINTER TO THE NEXT 
             CHARACTER TO BE ADVANCED TWICE BEFORE A CHARACTER CHECK, 
             THUS MISSING A CHARACTER WHEN IMBEDDED BLANKS ARE PRESENT. 
             THUS IN DESCRIPTORS OF THE FORM -(I 8. )-, THE -)- FORCES
             *SPES* TO EXIT WITH A CORRECT ERROR MESSAGE BUT LEAVES THE 
             POINTER ADVANCED TO THE CHARACTER FOLLOWING THE -)-. 
             THIS CAUSES AN UNWANTED *NO ZERO LEVEL RIGHT PAREN* DIAG-
             NOSTIC WHEN PROCESSING CONTINUES IN *FLY*. 
             ADDITIONALLY, THE LOOP AT *SPES3* WHICH USES A DIGIT MASK
             (DIGMASK) IN REGISTER X4 DESTROYS THE CONTENTS OF X4 IN
             IN THE FIRST ITERATION OF THE LOOP, THUS CAUSING *SPES*
             TO MISS THE DIGIT AFTER THE DECIMAL POINT IF THERE ARE 
             IMBEDDED BLANKS. 
             IN A SEQUENCE OF DESCRIPTORS, A DESCRIPTOR OF THE FORM 
             -IW.- FOLLOWED BY A SEPARATOR (E.G. / , ) RESULTS IN THE 
             SEPARATOR BEING SKIPPED, A DIAGNOSTIC ISSUED (FROM *SPES*) 
             AND INCORRECT BINARY BEING PRODUCED FOR THAT DESCRIPTOR
             (SHOWN BY AN OBJECT LIST). 
             CORRECTION FIXES THE REGISTER DESTRUCTION AND ALLOWS FOR 
             INCREMENT TO NEXT ELEMENT OF A DESCRIPTOR ONLY IF THE
             ELEMENT IS NOT A -)- OR OTHER LEGAL SEPARATOR. 
          ERH    76/6/24     APPLIES TO FTN 4.6 
  
 FCC1328X TABLES, ERRORS/LLN, BATCH, HEADER, MAIN/(AFS, ACD, ALN, ASK,
          BUL,CLO, CNT, CUS, LSL, PLO, PLR, RNC, RNS), KEY, INIT/FCA, 
          *** LSTPRO, SCANNER/(SCAN, CBL, ENDP, GNL, LEX, NXT)
  
          AS OF PSR LEVEL XXX (SEE DAP S1040), BOTH NOS AND NOS/BE
          CONSIDER A LINE CONSISTING OF 60 BITS OF ZERO TO BE A 
          BLANK LINE.  THIS IS A DIVERGENCE FROM A SOMEWHAT UNSPOKEN
          *MACE* I/O CONVENTION WHICH *STATES* THAT A BLANK LINE
          WILL CONTAIN AT LEAST ONE BLANK CHARACTER.  FOR YEARS,
          FTN AND COMPASS HAVE USED THE FACT THAT A SOURCE LINE 
          COULD NEVER BE A FULL WORD OF ZEROES.  IN FTN/COMPASS 
          INTERCOMMUNICATION, SUCH A LINE WAS DEFINED AND SET UP
          TO BE AN END-OF-RECORD INDICATOR.  THIS IS OBVIOUSLY
          INCOMPATIBLE WITH THE NEW OPERATING SYSTEM CONVENTION.
          THIS CODE MAKES FTN DO THE RIGHT THINGS FOR FULL ZERO 
          WORD (BLANK) LINES IN BOTH TS AND OPT COMPILERS.
  
          THE TECHNIQUE USED HERE WAS TO COMDECK THE ROUTINE
          THAT READS SOURCE LINES (COMFRNC) SO THAT TS AND
          OPT HAVE A BETTER CHANCE OF BEING COMPATIBLE.  THIS 
          REQUIRED SOME INTERNAL RESTRUCTURING OF VARIOUS 
          SCANNING FUNCTIONS.  THEREFORE THE OPPORTUNITY
          WAS TAKEN TO CLEAN UP SOME INTERFACES, PARTICULARLY 
          IN TS.
  
          THIS CODE ALSO STANDARDIZES THE HEADER LINE BETWEEN 
          TS AND OPT COMPILERS.  THIS REQUIRED IMPLEMENTING 
          *HEADER DELAY* CODE IN TS WHICH TRIES TO SAVE ALL SOURCE LINES
          IN THE DEFERRED LIST BUFFER UNTIL THE PROGRAM UNIT NAME HAS 
          BEEN FOUND BY THE APPROPRIATE STATEMENT PROCESSOR AND 
          STUFFED INTO THE TITLE LINE BUFFER. 
  
          IF YOU ARE WONDERING WHY THIS PSR DOES SO MUCH, IT IS BECAUSE 
          ALL THIS STUFF IS INTERTWINED IN THE SCANNING LOGIC AND WAS 
          MUCH SIMPLER TO DEAL WITH AS A WHOLE. 
  
          PC     76/7/26     APPLIES TO FTN 4.6.
  
 FCC1328AX  MAIN/PLR, END/END, ALLOC/ALC
          CORRECT MOVE DESTINATION ADDRESS COMPUTATION IN MAIN
          TO INCLUDE BASE ADDRESS OF T.DLBUF AFTER THE ALLOC
          CALL INSTEAD OF BEFORE TO ALLOW FOR TABLE MOVES.
          IN DECKS END AND ALLOC, UPDATE T.END WHEN MORE
          MEMORY IS AVAILABLE.
          LDH/DDM    11/11/76      APPLIES TO FTN 4.6 TS. 
  
 FCC1328BXMAIN/AFS11 STATEMENT LABELS ARE NOT HANDLED CORRECTLY 
          IN TS,SEQ MODE. 
          SSK    12/09/76    APPLIED AGAINST FTN,TS 
  
 FCC1361  OPTIONS, TSTEXT, FTNTEXT, FTN/MIB, LSTPRO, BATCH
          WHEN PD WAS NOT ON CONTROL CARD THE VALUE OF CP.PD
          WAS NOT SET.
          DDM    76/09/05    APPLIES TO FTN 4.6 
  
 FCC1371X GEN/SLD THE HARD STORE REGISTER WAS BEING CLOBBERED BY
          LFP IN REG. LOCKING THIS REG BEFORE THIS CALL CORRECTS
          THE PROBLEM.
          WED    76/11/11    APPLIED AGAINST TS 4.6 
  
 FCC1390X ERRORS/ SEVERITY CHANGED FROM W TO F FOR *MULTIPLE STATEMENT
          IGNORED AFTER LOADER DIRECTIVE*. JUMP ADDRESS CHANGED FROM
          RUN. X TO END93 FOR THIS ERROR AS WELL AS *TRIVIAL PROGRAM
          UNIT IGNORED*. THIS BECAUSE THE UPDATE TO THE FATAL ERROR 
          COUNT WAS BEING BYPASSED IN BOTH CASES. 
          WED    10/14/76    APPLIES TO FTN 4.6, TS.
  
 FCC1402X WHEN A RETURN WAS INSIDE A DO IT WAS TREATED AS AN EXIT 
          INTO AN EXTENDED RANGE. ACTUALLY, ONLY IF AND GOTO ARE LEGAL
          IN THIS CONTEXT.
          DDM    APPLIES TO FTN 4.6 OPT+TS
  
 FCC1434X END/     SET LCM BIT FOR LEVEL 2 / NAMELIST ITEMS.
          KEY/NAM  CHECK FOR LEVEL 3 IN NAMELIST. 
          GEN/SLD  PROGLEM DUE TO OVERFLOW BIT IN TAG FIELD AFTER 
          ADDING 2 BIAS VALUES. 
          DLD/LLB 76/11/01   APPLIES TO FTN 4.6 TS
  
 FCC1448X FTNTEXT/ THE USE OF A SX.R  X.P+9D IN THE CW OPDEF CAUSES 
          UNWANTED SIGN EXTENSION FOR N.GE.2**17-9. USING A SET AND 
          MASK COMBINATION, CW NOW ACCOMIDATES 0.LE.N.LE.2**18-11D. 
          EFFECTED DECKS- FAX,PH1CTL,AND SCANNER
          WED    10/1/76     APPLIED AGAINST FTN 4.6 OPT. 
  
 FCC1464  HEADER/PPA62 FTN,TS INCORRECTLY ISSUES THIS WARNING MESSAGE 
          WHEN 50 FILE NAMES ARE DECLARED IN A PROGRAM CARD. - ONLY 
          50 FILES ARE PERMITTED -- EXCESS IGNORED. 
          SSK    09/07/76    APPLIED AGAINST FTN,TS 4.6 
  
 FCC1467  KEY/CLL  SET BEF CLASS BIT FOR AN EXTERNAL FUNCTION USED IN A 
          CALL STATEMENT. 
          CYY     76/09/09     APPLIES TO FTN4.6,TS.
  
 FCC1469X SCANNER/LEX,CBL  DBGPHCT/DBGEPKT    NON-DEBUG STATEMENTS ON EXTERNAL
          DEBUG FILE CAUSE FATAL DIAGNOSTICS  TO APPEAR ON SAME PAGE AS 
          PROGRAM.
          DIAGNOSTICES ARE SUPRESSED BY TESTING FOR NON-DEBUG STATEMENTS
          EXTERNAL DEBUG FILE MODE IN THE BEGINNING OF LEXICAL SCAN.  TO
          RID OF THE *ILLEGAL LABEL FIELD* DIAG.,  PROCESSING OF LABEL F
          SKIPPED IN CBL. 
          ALSO, DBGEPKT WAS FIXED SO THAT EXTERNAL DEBUG FILE PROCESSING
          TERMINATES WHEN EOS/EOP/EOI IS ENCOUNTERED INSTEAD OF A NON-DE
          STATEMENT.
          ATH   9/27/76   APPLIED AGAINST FTN 4.6/OPT 
  
 FCC1476X LEX/TAB.VA  FTN,TS 4.6 FAILS TO DETECT THE ILLEGAL
          CHARACTER IN THIS STATEMENT.   INTEGER TEXT(4): 
          SSK    12/17/76    APPLIES TO FTN,TS 4.6
  
COMPILE,HISTORY 
 FCC1479  ARITH/PIM, LISTIO/COLAP - I/O RESTART CALLS WERE NOT BEING
          ISSUED FOR I/O LISTS CONTAINING INTEGER SCALARS FOLLOWED BY 
          IMPLIED DO ARRAY ITEMS WHERE THE INTEGER WAS USED AS A
          SUBSCRIPT.
          LDH/MAH 9/17/76    APPLIES TO FTN 4.6 
  
 FCC1491X GRA/SXC - BYPASS BIT VECTOR UPDATE IN OPT=1 SINCE INFORMATION 
          IS NOT USED, AND ELA, ETC ARE NOT SETUP CORRECTLY TO DO CALC. 
          SIJ    9/21/76     APPLIES TO FTN 4.6, OPT=1
  
 FCC1495X HEADER/PSA - SET DEFINE BIT FOR ALL FORMAL PARAMETERS.
          MRR    76/09/22    TABLES,BATCH,HEADER  APPLIES TO FTN 4.6,TS.
  
 FCC1495AXMAP/WVV - DONT OUTPUT THE REFERENCE MAP UNDEFINED INDICATOR 
                    FOR FORMAL PARAMETERS.
          MRR    76/12/03    APPLIES TO FTN 4.6, TS.
                             TABLES,HEADER,PAR,MAP
  
 FCC1498X MIO/CGB - RESET O.SEQ CORRECTLY WHEN A CURRENT BASIC
          BLOCK IS MOVED WITHIN BLK 
          GJM    9/27/76     APPLIED TO 4.6, OPT=1,2
  
 FCC1504X ADD A *RF* BIT TO *UDT* SO WE CAN PROPAGATE SHORT USES FROM 
          LOADS BACK TO THE PREDECESSORS OF STORES IN LOOPS WITH MULTIPL
          LOADS BACK TO THE PREDECESSORS OF STORES IN LOOPS WITH
          MULTIPLE BLOCKS. NOW WE WILL CATCH A FEW MORE INTEGER POLYNOMI
          SIJ    11/8/76     APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1510X GEN/FIV   CHANGE ARGUMENT TYPE OF INTRINSIC MASK FUNCTION 
          TO BE TYPE INTEGER. 
          ATH    9/30/76     APPLIES TO FTN 4.6 TS. 
  
 FCC1512X DATA/ADDCON  NEGATIVE HOLLERITH IN DATA STATEMENT IS NOT
          COMPLEMENTED BECAUSE (B7) WAS NOT PROPERLY SET TO -0,IE,A 
          *SB7    X7* INSTRUCTION DID NOT PRESERVE THE NEGATIVE SIGN IN 
          B7. 
          ATH    9/30/76     APPLIED AGAINST FTN 4.6/OPT
  
 FCC1513X FAX/FTNXAS,PIDENT,PEND   IF NOT MAIN PROGRAM, SKIP WRITING OF 
          XFER TABLE ON BINARY FILE.  ALSO, IF BLOCK DATA, SKIP WRITING 
          OF LDSET TABLE.  ADDED ALSO PROGRAM UNIT TYPE IN WORD 10 OF 
          PREFIX TABLE. 
          ATH    10/05/76    APPLIED AGAINST FTN 4.6/OPT
  
 FCC1514X CONRED/MUC - RESTORE TEST FOR REDUCTION OF MULTIPLY BY ONE
          FORCED BY SUBSCRIPT CALCULATIONS. 
          MRR    76/10/05    APPLIES TO FTN 4.6, TS.
  
 FCC1518X BDT/IPL - REVISE HANDLING OF REDEF LINKING FOR SIMILAR *IP"S* 
          SO *GRA* GENERATES THE CORRECT CODE WHEN ADDRESS DIFFERENCING 
          BDT/FTL - FORM REDEF LINKS FOR BOTH BASE AND NON-BASE  WHEN 
          ALTERNATE REDEFINITION FLAG IS SET. 
          GRA/DUM - SET *EU* FOR *IP* IF THE INCREMENT AND STORE ARE
          SEPERATED SO WE DONT DO ANY ADDRESS DIFFERENCING. 
          IS DONE.
          GRA/MFA - DONT ADDRESS DIFFERENCE IF BASE IS *XU* ( EU IN RCT 
          SIJ    11/12/76    APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1530X GPO/MIE - CORRECT CODE MOTION WHEN MOVING OUT AN EXPRESSION 
          THAT *PRS* AND HAS REMAINING USES IN THE SEQUENCE.
          SIJ    10/12/76    APPLIES TO FTN 4.6, OPT=2
  
 FCC1531X GRA/MFA - DONT CHANGE THE TYPE OF A CANIDATE ( VC TO AC ) 
          SINCE THIS CAN CAUSE INCORRECT CODE TO BE GENERATED.
          SIJ    10/20/76    APPLIES TO FTN 4.6 , OPT=1,2 
  
 FCC1532X GPO/MIP - CORRECT HANDLING OF MULTIPLE BLOCK LOOPS WITH 
          MULTIPLE INCREMENTS SO THAT THEY ARE HANDLED CORRECTLY IN 
          OPT=1.
          SIJ    10/14/76    APPLIES TO FTN 4.6 , OPT=1,2 
  
 FCC1545X ARITH/MOPA  THIS CODE CAUSES A FLOATING POINT MULTIPLY BY A 
          CONSTANT 2. TO BE CONVERTED TO AN ADD REGARDLESS OF THE ROUND 
          OPTION SETTING.  THE ADD WILL BE ROUNDED IF AND ONLY IF 
          ROUND=+ WAS SELECTED. 
          MAH    76/10/20    APPLIES TO FTN 4.6 
  
 FCC1551X OCTAL CONSTANT IN LIST DIRECTED OUTPUT CAUSES ERROR MODE 1. 
          MMF    10/29/76   APPLIED AGAINST FTN4.6 TS.
  
 FCC1555X MCG/JAM/CRA - DONT BLOWUP IF A B-REGISTER DEADLOCK. 
          SIJ    11/6/76     APPLIES TO FTN 4.6, OPT
  
 FCC1556X GPO - SET BIT IN REGION LIVE ENTRY BIT VECTOR FOR MOVED STORES
          SO *GRA* PRELOADS REFERENCES TO THEM THAT ARE ASSIGNED TO 
          REGISTERS IN A LOOP. ALSO REMOVE *RF* BIT KLUDGE. 
          SIJ    11/5/76     APPLIES TO FTN 4.6, OPT=2
  
 FCC1559X OPTIONS,HEADER/PPA,LEX/=XLIB,INIT/IMO,PH1CTL/PROG 
          ACCOMODATE PHASE I OF THE CRM2 CHANGE-OVER BY ENLARGING 
          THE FIT LENGTH BY 9 WORDS, AND CHANGING THE CALLS 
          OF *Q8NTRY* AND *FTNRPV.* TO *Q1NTRY* AND *FTNRP1.* 
          RESPECTIVLY.
          IF THIS IDENT IS INSTALLED YOU MUST INSTALL FCL1064.
          LDH    11/8/76     APPLIES TO FTN OPT AND TS. 
  
 *L452*    *************************************************************
 F7540FTA FTNMAC, KEY/NTR, GEN/O=VOID, FAX/PADDSUB, POST/OVC -
          ALWAYS VOID CPU INSTRUCTION STACK WITH *RJ* WHEN MODIFYING
          OBJECT CODE, REGARDLESS OF TARGET CPU MODEL.  AFFECTS OPT 
          ADDSUB LOOP EXIT AND TS ALTERNATE ENTRY POINT CODE. 
          IMPROVES OBJECT CODE PORTABILITY IN MULTI-MAINFRAME 
          ENVIRONMENTS. 
          MAH,DCD  77/04/19  APPLIES TO FTN 4.6 (OPT AND TS). 
  
 DBG0004  MAKES COMDECK /DBG=IDP/ USE *COMCSFN* FOR SPACE FILL NAME.
          PC     76/05/24    APPLIES TO /DBG=IDP/ VERSION 1.0 
  
 DBG0005  CHANGES INTERACTIVE INPUT AND OUTPUT FILES
          FROM *IDPI* TO *ZZZZZDI*, AND *IDPO* TO *ZZZZZDO*.
          ALSO CHANGES *FET* LENGTHS FROM DEFAULT (5) TO 7. 
          PC     76/12/09    APPLIES TO /DBG=IDP/ VERSION 1.0 
  
 DBG0006  NEW COMMAND - *FREEZE* WRITES INTERACTIVE CORE IMAGE
          TO FILE *FRZ*.
          PC     76/12/10    APPLIES TO DBG=IDP VERSION 1.0 
          DECKS  DBG=IDP
 DBG0009  THIS CODE FIXES AN INTERFACE PROBLEM BETWEEN *IDP*
          AND ITS HOST.  THIS BUG EVIDENCED ITSELF IN THE FOLLOWING 
          FASHION --
          WHEN THE USER HAD *OUTPUT,B* SELECTED AND DID A *CODE* TO 
          SEE SOME CODE, *IDP* ONLY DEASSEMBLED THE HIGH ORDER
          INSTRUCTION IN EACH WORD (I.E. ONE INSTRUCTION PER WORD..UGH).
          THIS WAS DUE TO THE FACT THAT *IDP* CALLS A HOST SUBROUTINE,
          VIA *PRBDO* MACRO, TO OUTPUT LINES THAT ARE DESTINED FOR BATCH
          (I.E. NOT INTERACTIVE...*OUTPUT,B*).  WHEN CALLING THIS 
          *PRBDO* SUBROUTINE, *IDP* EXPECTED SOME REGISTERS TO BE 
          LOCKED  (I.E. LEFT ALONE)...ONE HOST DIDNT.  ERGO, TO 
          TOTALLY AVOID THE PROBLEM, *IDP* NOW SAVES THESE CRITICAL 
          REGISTERS THEREBY AVOIDING UNRULY HOSTS.
 FCCT006X DBGPHCT - FIX C$-DEBUG INITIALIZATION PROBLEM THAT CAUSES 
          REGRESSION TEST *DEB04* TO MODE OUT DURING TEST-MODE
          COMPILATION.  ALSO REMOVES DEAD ENTRY POINTS. 
          DCD    76/11/09    APPLIES TO FTN 4.6 (OPT).
 FCCT007  MAKES *TSNAP* AND *SNAP* USE *COMCSFN*. 
          PC     76/05/24    APPLIES TO FTN 4.6.
  
 FCC1456X FLY/N4  FTN FAILS TO DETECT AN ILLEGAL REPEAT COUNT BEFORE
          A SLASH FIELD SEPARATOR. E.G.    10  FORMAT(7/) 
          SSK    10/06/76    APPLIED AGAINST FTN
  
 FCC1462X REG/RUT  THE REGISTER ALLOCATION LOOP OF SLD IN GEN BECAME
          HUNG. THIS OCCURED BECAUSE RUT WAS ALLOWING A-REG REGFILE 
          ENTRIES TO REMAIN EVEN AFTER THE CORRESPONDING X-REG ENTRY
          (WITH THE SAME TAG) HAD BEEN CLOBBERED.RUT CHOOSES TO CLOB- 
          BER REGS ON THE BASIS OF A CALL TO GST (WHICH KEYS ON TAG). 
          ERRONEOUS ENTRIES IN REGFILE CAUSED THE CURRENT ENTRIES TO
          BE CLEARED RATHER THAN THE A-REG RESIDUES THAT SHOULD HAVE
          BEEN REMOVED EARLIER.IN SLD, THE ADDRESS FUNCTION REG GOT 
          CLEARED IN THIS FASHION ON EACH PASS THROUGH THE LOOP,
          CAUSING ANOTHER REPEAT TO RELOAD. 
          WED   76/12/21   APPLIED AGAINST TS 4.6 
  
 FCC1463X HEADER/PPA3,ERRORS,FTNMSG FTN 4.6 HANDLES BUFFER SIZE 
          DECLARATIONS EXCEEDING THE MAXIMUM ALLOWED INCORRECTLY. 
          TS SUBSTITUTES THE STANDARD LENGTH OF 2000B  (SHOULD USE THE
          MAXIMUM ALLOWED). OPT SUBSTITUTES THE MAXIMUM ALLOWED BUT 
          THE ERROR MESSAGE INDICATES 2000B USED. 
          SSK    08/31/76    APPLIED AGAINST FTN 4.6
  
 FCC1550X ERRORS,END  FTN,TS 4.6  A FUNCTION NAME NOT APPEARING 
          ON THE LEFT SIDE OF AT LEAST ONE ASSIGNMENT 
          STATEMENT IS A FATAL ERROR IN FTN(OPT) AND A WARNING
          MESSAGE ERROR IN  FTN(TS). IT SHOULD BE A FATAL ERROR 
          IN BOTH COMPILERS.
          IO/A=STR SET DEFINE BIT FOR THE STRING ADDRESS
          VARIABLE IN ENCODE STATEMENTS.
          SSK/LDH/MAH 12/15/76     APPLIES TO FTN 4.6 TS. 
  
 FCC1558X TABLES/CHARMAP
          DUC NORMALLY ENDS UP IGNORING O=NTR0 TURPLES IN CALCULATING 
          USAGE COUNTS.  HOWEVER, WHEN THE INDEX TO THE SYMBOL TABLE
          ENTRY FOR THE ENTRY POINT NAME OVERFLOWS INTO BIT 9, DUC
          CONSIDERS THE WORD AS A POINTER TO AN INTERMEDIATE.  THIS CODE
          MODIFIES CHARMAP INDEX O.NTR TO CAUSE DUC TO IGNORE COMPLETELY
          ALL TURPLES WHOSE OPERATOR CONTAINS O.NTR IN THE LOW 18 BITS. 
          JLA    76/11/10    APPLIES TO FTN4.6,TS.
  
 FCC1568X GRA/IRA/ST - OUTPUT XMT BETWEEN DEF AND RS IF CANIDATE IS 
          NOT IN SAME REGISTER AS THE *DEF*.
          SIJ       11/17/76       APPLIES TO FTN 4.6, OPT=2
  
 FCC1571X IO/IOL47 FTN,TS 4.6 ALLOWS THE USER TO CHANGE A DO INDEX BY 
          A READ STATEMENT LOCATED WITHIN THE DO. FTN(OPT) DETECTS
          THIS AS A FATAL ERROR.
          SSK    11/19/76    APPLIED AGAINST FTN,TS 4.6 
  
 FCC1573X DECL/EQU, ERRORS- TS DOES NOT DIAGNOSE ILLEGAL EXTENSION OF 
          COMMON BLOCK ORIGIN.  CHECK EQUIVALENCED VARIABLES FOR NEGATIV
          COMMON BLOCK EXTENSION IN G-F PASS 1 AND ADJUST ITS RA TO FIT 
          WITHIN BLOCK.  ADD NEW ERROR MESSAGE *E.EQ16*.
          ATH    76/11/30    APPLIED AGAINST FTN 4.6/TS 
  
 FCC1576X POST/ASN - SPACE FILL LABELS PROPERLY 
          SIJ    76/11/23    APPLIES TO FTN 4.6, OPT=2
  
 FCC1580X MCG/JAM/CNU - DONT CALL *SSR* WHEN RESULT IS FROM A *DEF* OR A
*         *RS*.  THE SEQUENCE WITH DEF X0,X6,X7 CAUSED INCORRECT CODE 
          WHEN SSR TRIED TO DUMP X0 BEFORE THE DEF X6,X7 WERE ISSUED. 
          SIJ    12/1/76     APPLIES TO FTN 4.6 , OPT 
  
 FCC1583AX GEN/SKELS, MACROX/SKELS.   IMPROVE ACCURACY OF THE 
          AMOD   INTRINSIC FUNCTION.
          LDH/MAH 2/23/77    APPLIES TO FTN TS AND OPT. 
  
 FCC1587X STMTP/FMAC
          FMAC TRUNCATES A 7-CHARACTER GENERATED LABEL TO THE HIGH-ORDER
          6 CHARACTERS.  THIS CODE INITIALIZES THE BIT COUNTER ("BC") TO
          USE ALL 7 CHARACTERS IN -CHARACTER CONVERSION-. 
          JLA    76/11/30    APPLIES TO FTN4.6
  
 FCC1596X PROSEQ/ESR/IXI - CHECK REG TYPE BEFORE CHANGING XMIT TO SA SO 
          WE DONT TRUNCATE LCM=I ADDRESSES THAT ARE IN X-REGISTERS. 
          SIJ    12/17/76    APPLIES TO FTN 4.6.
  
 FCC1603X END/CKS 
          CKS MADE TO IGNORE COMPILER GENERATED LABELS IN T.DO. 
  
          JLA    76/12/17    APPLIES TO FTN 4.6, TS 
  
 FCC1605X FTN - REMOVE DOLLAR SIGN $ FROM END OF TIME IN TITLE LINE.
          DLD/SIJ 76/12/16   APPLIES TO FTN 4.6 
  
 FCC1608X INIT/FTO,INIT/IMO,BATCH/IST,PIG/WIN,ERRORS/LLN
          THIS CODE CAUSES A FULL OBJECT CODE LISTING BY THE TS COMPILER
          WHENEVER -OL- AND -B=0- APPEAR ON THE -FTN- CONTROL CARD.  THE
          PREVIOUS INCONSISTENCY WAS THE CAUSE OF SOME INTERMITTENT MODE
          1S. 
          JLA    76/12/16    APPLIES TO FTN 4.6, TS.
  
 FCC1616X PAR/A=BEF: THE STACK POINTER WAS NOT INTERROGATED FOR 
          STACKED SCRATCH TABLE ENTRIES WHENEVER THE TRACE- 
          BACK OPTION WAS OFF. THIS CAUSED READING UP A BOGUS 
          OPERAND WHICH FORCED A MODE OUT IN GST OF REG.
          WED    77/02/24    APPLIED AGAINST TS 4.6 
  
 FCC1623X CFA/MRB - KEY LISTING OF UNREACHABLE CODE OFF SOURCE LIST 
          OR REFMAP.
          SIJ    1/7/77      APPLIES TO FTN 4.6, OPT=2
  
 FCC1624X PRE/RJX - PROCESS I/O LIST OF BUFFER IN STMT SO LOCAL VARIABLE
          ARE HANDLED PROPERLY IN OPT=2 
          SIJ    1/21/77     APPLIES TO FTN 4.6, OPT=2
  
 FCC1626X GRA/IRA - SET *EU* BIT FOR INC VALUE IF INCREMENT VARIABLE IS 
          ASSIGNED TO AN X-REGISTER 
          SIJ    1/4/76      APPLIES TO FTN 4.6, OPT=2
  
 FCC1636X KEY/CON FTN,TS GENERATES A JUMP TO A NON EXISTENT INTERNAL
          LABEL WHEN A CONTINUE IS THE OBJECT OF A LOGICAL *IF* 
          ARITH/IFSTMTGO FTN(OPT) FAILS TO ISSUE A WARNING MESSAGE
          WHEN A CONTINUE STATEMENT FOLLOWED BY SPURIOUS CHARACTERS 
          IS THE OBJECT OF A LOGICAL *IF* 
          SSK    01/25/77    APPLIED AGAINST FTN,4.6
  
 FCC1644X GRA/IRA/LD - DO NOT OUTPUT ERRONEOUS *SA* IF LD FPADDR AND
          CANDIDATE IS IN AN X-REGISTER SINCE THIS WILL TRUNCATE A LCM=I
          ADDRESS.
          SIJ    2/1/77      APPLIES TO FTN 4.6, OPT=2
  
 FCC1545X PROSEQ - ELIMINATE MEMORY OVERFLOW CHECK FOR OPT=1 LOOP 
          PROCESSING. 
          SIJ    77/01/26    APPLIES TO FTN 4.6 
  
 FCC1646X GRA/OIL - DO NOT OUTPUT *ILD* OF *CM* THAT IS ASSIGNED TO A 
          REGISTER IF BASE WAS USED IN THE LOOP SO A DEFINITION OF THE
          *CR* IN THE PROLOGUE IS STORED IN MEMORY. 
          SIJ    2/1/77      APPLIES TO FTN 4.6, OPT=2
  
 FCC1653X REG/SST: UNNECESSARY LCM CHECKS CAUSED A SIGNIFIGANT
          SLOW DOWN IN 6000 COMPILATION TIME. A CHECK FOR ADD-
          RESS LOADS FILTERS ALL BUT NECESSARY LCM CHECKS.
          WED    76/1/26     APPLIED AGAINST  TS 4.6
  
 FCC1655X MCG - RESOLVE DEADLOCK SITUATIONS IN A WIDER VARIETY OF CASES 
          SIJ    77/02/28    APPLIES TO FTN 4.6 
  
 FCC1656X MCG/JAM/CRC - COUNT A INTERFERING STORE AS A USE WHEN 
          CALCULATING THE NEXT USE DISTANCE.
          SIJ    2/9/77      APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1658X INIT/FTO SUPPRESS PRINT DENSITY CARRIAGE CONTROL CHARACTERS 
          WHEN   COMPILER OUTPUT IS DIRECTED TO A CONNECTED 
          TERMINAL. 
          LDH    2/10/77     APPLIES TO FTN 4.6 TS. 
  
 FCC1660X SQZ/IA&IS - DO NOT REDUCE (I+-J)-+I COMBINATIONS IF FIRST IS
          AN INCREMENT AND THEY SPAN BASIC BLOCKS.
  
          SIJ    2/24/77     APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1681X END/BT.LIB   ELIMINATE *LDSET LIB=SYSIO* ON SCOPE 2.
          LDH    3/8/77      APPLIES TO FTN 4.6 TS. 
  
 *L460*    *********************************************************************
 RSM3545C FTNTEXT,FTNMAC,PH1CTL/ESF,POST/OPL/LD/TSL,
          FAX/AVEC/ADDSUB/PDELAY/PSUB.
          IMPLEMENT IMPROVED ADDSUB CODE COMPATIBLE ACROSS
          ALL    CYBER MACHINES.
          LDH/MAH 5/10/77    APPLIES TO FTN OPT=0/1/2.
  
 RSM3545CA POST/TSL - CHANGE INSTRUCTION TO INTEGER ADD AS IT SHOULD BE.
          LDH    77/08/23    APPLIES TO FTN 4.6 
  
 FCC0885AX GPO/MII - CHANGE ILD TO TLD IF IH = IT. SO CODE IS CORRECT 
          WHEN WE MOVE AN INVARIANT FUNCTION REFERENCE FROM AN INNER LP.
          SIJ    4/7/77      APPLIES TO FTN 4.6, OPT=2
  
 FCC0238AX GPO/MII - MARK INVARIANT *IM* AS UNSAFE IF ANY OF ITS
          OPERANDS MAY CAUSE AN INTERRUPT WHEN THE *IM* IS EXECUTED.
          SQZ - INSERT AN UNPACK INSTRUCTION PRIOR TO UNSAFE IM.
          SIJ    6/6/77      APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1289X DPCLOSE/PDC,PCE,EQV   DOPROC/PSYM,DODEF.E   REFMAP/DSORT
          DECPRO/DPEQU  ARITH/STRIP  FTNMSG 
          EQUIVALENCE PROCESSING REWRITE.  DIAGNOSTIC MESSAGE *COMMON 
          EQUIVALENCE ERROR* IS DELETED, INSTEAD, THE MESSAGE *CONTRA-
          DICTORY EQUIVALENCING* IS GIVEN WHEN MEMBERS OF DIFFERENT 
          COMMON BLOCKS ARE EQUIVALENCED, AND *REDUNDANT EQUIVALENCING* 
          IS DIAGNOSED WHEN REDUNDANCY OCCURS.
          ROUTINE CLE ADDED TO RESOLVE LEVEL/LCM BIT PROPAGATION PROB-
          LEM IN EQUIVALENCE CLASSES. 
          ALL MEMBERS OF THE EQUIVALENCE CLASS NOW APPEAR IN THE REF MAP. 
          FTNATH 77/3/12     APPLIED AGAINST FTN 4.6/OPT
  
 FCC1289AX  DPCLOSE/EQV      INCORPORATE COM BIT IN G-F TABLE ENTRY 
         SO THAT BASE OF A COMMON EQUIVALENCE CLASS CHOSEN HAS AN 
         ENTRY IN THE COMMON TABLE. 
         FTNATH  77/5/11     APPLIED AGAINST FTN 4.6/OPT
  
 FCC1289BX DPCLOSE/EQV  LOOP IN SCAN 5 OF EQV FAILS TO RECOGNIZE
           BEGINNING OF NEXT CLASS BECAUSE COMPARE IS DONE ON 0 FROM
           LOGICAL DIFFERENCE, AND THE OPERANDS WERE COMPLIMENT OF
           EACH OTHER.   CHANGED THE LOGICAL DIFFERENCE TO AN INTEGER 
           SUBTRACT.
          ATH    77/08/01    APPLIED AGAINST FTN 4.6 OPT. 
  
 FCC1524X KEY,TABLES,ERRORS,MAIN,END
          ELIMINATE GENERATION OF EXECUTABLE CODE FOR BLOCKDATA 
          SUBPROGRAMS.
          CYY/MMF  77/04/18  APPLIED AGAINST FTN4.6,TS. 
  
 FCC1563X FTNMSG,DATA/BVT/ADDCON/ODI/PDV -
          ERRORS,TSTEXT,TSDATA/ADC/ODI/PDV -  MODIFY DATA 
          STATEMENT PROCESSING TO INCLUDE DATA/CONSTANT TYPE
          CHECKING. 
          LDH    4/1/77      APPLIES TO FTN 4.6 OPT AND TS. 
  
 FCC1584X GPO/MII/LD - DO NOT MOVE INDEXED LD OFF A SIDE BRANCH IF THE
          SUBSCRIPT IS NOT A LD OF A SIMPLE INTEGER VARIABLE. 
          SIJ    3/9/77      APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1588X CALL - REPLACE FCL ENTRY POINT *BUGCLL* WITH TWO NEW ENTRY
          POINTS *BUGCL1* AND *BUGCL2*.  THE NEW ENTRY POINTS DO NOT USE
          ACTUAL ARGUMENTS, AND ARE THUS IMMUNE TO *CON.* BLOCK WIPEOUT.
          REFERENCE DAP S2175, 1977 FEB 25. 
                 *** INSTALLATION WARNING *** - FCL1138X MUST BE
                 INSTALLED BEFORE OR WITH THIS CORRECTION SET.
          DCD    77/04/13    APPLIES TO FTN 4.6 (OPT WITH C$-DEBUG).
  
 FCC1590X ARITH/OUT,ACALL - PREVENT MODE 1 IN *MCG* WHEN C$-DEBUG 
          SELECTED.  ARITH POPPED SAVED FUNCTION RESULT TABLE (FRSTB) 
          ENTRIES PREMATURELY WHEN TRACING CALLS, RESULTING IN BAD
          R-LIST AND SUBSEQUENT PASS 2 ABORT. 
          DCD    1977/03/07  APPLIES TO FTN 4.6 (OPT WITH C$-DEBUG).
 FCC1638X ERRORS,KEY/END1E,PAR/OMC2,GEN/MCTBL,FTNMSG,ENDPRO/PSS FTN(OPT)
          AND FTN(TS) ISSUE INCONSISTENT ANSI DIAGNOSTICS INVOLVING 
          CONTROL FLOW INTO END LINE AND M XED MODE ARITHMETIC. 
          SSK    02/08/77    APPLIED AGAINST FTN 4.6
  
 FCC1664X LISTIO/BUFIO - SET LOCF BIT FOR VARIABLES IN INPUT LIST OF
          BUFFER IN STMT TO INHIBIT CODE MOTION IN LOOPS WITH EXTERNAL
          REFERENCES IN THE CASE OF A BUFFERIN PRIOR TO A LOOP AND THE
          UNIT CALL IS CONDITIONALLY EXECUTED IN THE LOOP.
          SIJ/ATH 3/17/77    APPLIES TO FTN 4.6, OPT=2
  
 FCC1668X ARITH/IFBRT.2 FTN,OPT MODES OUT WITH LEADING ZEROS IN BRANCH
          LABELS OF ARITHMETIC IF STATEMENTS. FIX IFBRT(ARITH) TO SAVE
          THE HOLLERITH FORM OF THE LABEL ONLY AFTER CALLING DOLABR 
          WHICH RETURNS THE LABEL IN X7 WITH NO LEADING ZEROS.
          SSK    03/07/77    APPLIED AGAINST FTN,OPT
  
 FCC1670X LISTIO/PLFN,FTNMSG FTN(OPT) DOES NOT ISSUE A DIAGNOSTIC 
          WARNING MESSAGE WHEN AN UNDEFINED I/O FILE IS REFERENCED
          IN AN I/O STATEMENT.
          SSK    03/01/77    APPLIED AGAINST FTN,OPT
  
 FCC1677X PROSEQ/ESR - TRANSFER UDT ORDINAL FROM LD/ST TO STT FOR USE BY
          GRA SO WE DONT KILL STORES OF SIMPLE LCM VARIABLES .
          SIJ    3/15/77     APPLIES TO FTN 4.6, OPT=2
  
 FCC1678X BATCH - CLOSE LGO IF INPUT IS EMPTY ON SCOPE 2.1. 
          LDH/DLD/DDM 77/03/09 APPLIES TO FTN 4.6 TS
  
 FCC1692X DO/CDI - RETURN REGISTER X6 WAS GETTING DESTROYED BY A CALL 
          TO *SHRINK* 
          ERH/DLD 77/03/17   APPLIES TO FTN 4.6 TS
  
 FCC1695X BDT/FIL - FORM INTERFERENCE LINKS BETWEEN CONDITIONAL JUMPS 
          WHEN CALLED FROM *RIO* SO IT REORDERS THE SEQUENCE CORRECTLY. 
          SIJ    3/16/77     APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1700X BDT/FTL - CHECK FOR TABLE OVERLAP SO WE DONT MODE OUT DURING
          COMPILATION.
          SIJ    8/8/77      APPLIES TO FTN 4.6, OPT
  
 FCC1703X IF/IFS - CORRECT PROCESSING OF IF STATEMENT LABEL 
          CHECKING TO CATCH *EOS* CORRECTLY FOR INCORRECT SYNTAX. 
          LDH/DLD 77/04/04   APPLIES TO FTN(TS) 4.6 
  
 FCC1706X CLOSE2 - ENSURE FTNOPT BUFFER POINTERS ARE WITHIN FIELD LENGTH
          BEFORE ISSUING AN EVICT REQUEST.
          SIJ    77/03/21    APPLIES TO FTN 4.6 
  
 FCC1709X PAR,IO - MODELESS INTRINSIC FUNCTION IN LIST DIRECTED OUTPUT
          CAUSES ERROR MODE 1.
          MMF        77/03/11   APPLIED AGAINST FTN4.6 TS 
  
 FCC1710X GPO/CIF - WHEN AN *IP* EXPRESSION IS OF THE FORM (I+INVEXP)-I,
          ETC IS REDUCED BY *SQZ* TO *INVEXP* DO NOT FORM THE *IP*
          FORMULAS IN *IIT* FOR IT. 
          SIJ    3/31/77     APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1716X  TSTEXT,DECL,ERRORS,PAR,FTNTEXT,PH1CTL,FTNMSG,ARITH 
           EXTERNAL IN CALL ARGUMENT LIST SHOULD APPEAR IN EXTERNAL 
           STATEMENT. 
           MMF       6/1/77   APPLIED AGAINST FTN 4.6 
  
 FCC1719X SQZ/IS - DO NOT CALL *CIA* IF HAVE  IS I,CON,K SO WE DONT 
          REDUCE K = CON-K TO K = K-CON AFTER A LOOP. 
          SIJ    4/1/77      APPLIES TO FTN 4.6, OPT=2
  
 FCC1728X   NUM,ERRORS,  FALSE *DO LOOP TERMINATED* ERROR.
            WED/MMF      7/20/77   APPLIED AGAINST FTN 4.6 TS.
  
 FCC1731X ARITH/DIV - ENSURE THAT ARITH POPS OCTAL
          DIVIDE/MULTIPLY SEQUENCES CORRECTLY DESPITE FLIP/FLOP.
          LDH    4/29/77     APPLIES TO FTN 4.6 OPT=1,2,3.
  
 FCC1736X IO/IOL49A  FTN,TS DOES NOT PASS A VARIABLE DIMENSION
          PARAMETER TO A SUB PROGRAM WHEN THE FIRST DIMENSION OF A
          MULTI DIMENSION STATEMENT IS A CONSTANT AND THE INVOLVED
          ARRAY IS USED IN A PRINT STATEMENT. 
          SSK    05/04/77    APPLIED AGAINST FTN,TS 
  
 FCC1739X BDT - CLEAR *TSTC* AFTER *FIL* SO IT IS RESET WHEN *GAS* IS 
          CALLED TO GET MORE SPACE. 
          SIJ    5/1/77      APPLIES TO FTN 4.6, OPT
  
 FCC1740X GRA/IRA/XMT - IF PRED HAS NO X-VALUE THEN USE B-REG VALUE 
          AND GENERATE A *SA* INSTEAD.
          SIJ    5/1/77      APPLIES TO FTN 4.6, OPT=2
  
 FCC1741X FTN   *A* OPTION SHOULD DIRECT JOB PROCESSING TO AN EXIT(S) 
          CONTROL CARD IF FATAL COMPILATION ERRORS ARE DETECTED.
          MMF     5/16/77    APPLIED AGAINST FTN 4. 
  
 FCC1746X TSDATA/BIT/CRL - CORRECT *REPFLAG* FORMAT 
          SO THAT REPS WITHIN REPS CAN BE DIAGNOSED.
          LDH    5/2/77      APPLIES TO FTN 4.6 TS. 
  
 FCC1754  FAX/EX - LIMIT WORKING STORAGE BUFFER SIZE TO 7777
          OCTAL SO THAT THE FILL TABLE LENGTH WILL NOT EXCEED 
          THE MAXIMUM POSSIBLE LOADER TABLE SIZE. 
          LDH    8/4/77      APPLIES TO FTN 4.6 OPT.
  
 FCC1755X UDT/PBB - SET  THE FINAL JUMP BIT IN THE *BIT* ENTRY OF 
          A BLOCK THAT HAS A *JIN* INSTRUCTION. 
          GJM    06/01/77    APPLIES TO FTN 4.6,OPT = 2 
  
 FCC1767X DECL/CLU  ERROR MESSAGE SHOWS INCORRECT BLOCK NUMBER.  CODE 
          ASSUMED BLANK COMMON HAD BLOCK NUMBER OF 1 WHETHER IT WAS 
          PRESENT OR NOT.  *BLNKCOM* HAS THE CORRECT BLOCK NUMBER.
          FTNATH 77/5/19     APPLIED AGAINST FTN4.6/TS
  
 FCC1769X IO/IOD4 FAILS TO DETECT A MISSING COMMA SEPARATING A RIGHT
          AND LEFT PARENTHESIS. THE RIGHT PARENTHESIS ENDING A
          SUBSCRIPTED LIST ELEMENT AND THE LEFT PARENTHEIS
          MARKING THE BEGINNING OF AN IMPLIED DO. 
          SSK    05/25/77    APPLIED AGAINST FTN,TS 
  
 FCC1770X GRA/ERC/RS - DO NOT SET *IRA* BIT FOR CASE UL = N $ DO I =1,UL
          WHERE N IS A F.P. AND IS CHANGED TO A *AC* IN THE OUTER LOOP
          BECAUSE OF REFS IN THE INNER LOOP.
          SIJ    5/26/77     APPLIES TO FTN 4.6, OPT=2
  
 FCC1776X DPCLOSE/EQV  NEGATIVE VALUE OF RA IN DIM TABLE  COMPUTED
          BY SCAN 5 OF EQV CAUSES ERROR MODE 1 IN FAX.
          MEMBER OF LOCAL EQUIVALENCE CLASS MAY HAVE NEGATIVE RA IN EQV 
          TAB ENTRY AFTER SCAN 4 OF EQV, SO THE FINAL RA SOULD BE 
          COMPUTED AS RA(BASE) + BIAS INSTEAD OF RA(ROOT) + RA(MEMBER). 
          ATH    77/5/25     APPLIED AGAINST FTN4.6/OPT 
  
 FCC1790X DECL/EQU - ENSURE *P.COMM* GETS SET IN SYMBOL TABLE FOR 
          NON-ROOT MEMBERS OF A NON-LOCAL CLASS.
          LDH    77/6/6      APPLIES TO FTN 4.6 TS. 
  
 FCC1795X PH1CTL - IF LABELED END IS THE ONLY STATEMENT THE COMPILER
          LOOPS OR MODES OUT. 
           MMF       6/20/77  APPLIED AGAINST FTN 4.6 OPT.
 FCC1797X FTN - PRINT DENSITY CONTROL CHARACTERS S AND T SHOULD 
          NOT BE SENT TO A TERMINAL CONNECTED OUTPUT FILE.
           MMF       6/14/77  APPLIED AGAINST FTN 4.6 OPT.
  
 FCC1801X PAR      LARGE INTEGER OR OCTAL EXPONENT WITH VARIABLE BASE 
          CAUSES ERROR MODE = 1.
          MMF     6/22/77    APPLIED AGAINST FTN 4.6  TS. 
  
 FCC1808X KEY - INCORRECT CODE GENERATED FOR STOP STATEMENT.
          MMF     7/18/77    APPLIED AGAINST FTN 4.6  TS. 
  
 FCC1812X GEN/SLD - LOCK ADDRESS FUNCTION REGISTER WHEN AN ARRAY
          LOAD CONFLICT OCCURS SUCH THAT *AIR* WILL NOT CHOOSE IT WHEN
          LOOKING FOR AN INTERMEDIATE.
          LDH    7/22/77     APPLIES TO FTN 4.6 TS. 
  
 FCC1825X BDT/RIO - FORCE LATE OUTPUT OF INSTRUCTIONS THAT *PRS* TO AN
          X-REGISTERS IF THEY HAVE NO OPERAND PREDECESSORS. 
          SIJ    8/9/77      APPLIES TO FTN 4.6, OPT=2
  
 FCC1828X GRA/MFA - DO NOT ADD ADDRESS CANIDATES WITH A H2 TO THE MFA 
          ADDRESS CANIDATE TABLE SINCE THERE IS NOT ROOM FOR THE H2 
          FIELD IN IT.
          SIJ    77/08/04    APPLIES TO FTN 4.6, OPT=2
  
 *L470*    *************************************************************
 FCC*78X  FTN,FTNRES.  UPDATE THE COPYRIGHT INFORMATION TO INCLUDE THE
          YEAR 1978.
          DLD    77/06/13    APPLIES TO FTN4.6
  
 FCCT010  OUTPTK - ADD SPA= TO OUTPTK SO THAT FORTRAN CODED 
          SUBROUTINES WHICH INCLUDE *SUBS* WILL HAVE THE
          *SPA.* EXTERNAL SATISFIED WITHIN THE COMPILER.
          LDH    8/25/77     APPLIES TO FTN OPT=0,1,2.
  
 F191FCC  ADD FOLLOWING NAMES TO BEF TABLE (TS,OPT) TO ACCOMODATE NEW 
          FCL ROUTINES...DOUBLE PRECISION MODE (DTAN,DASIN,DACOS), REAL 
          MODE (ERF,ERFC,ATANH,SIND,COSD,TAND)
          ERH/DLD 77/07/01   APPLIES TO FTN4.6 TS AND OPT.
          MUST BE INSTALLED IN CONJUNCTION WITH FCL 4.7.
  
 STLOAD   ADD COMDECK FOR GENERATING *LDSET USE=STLXXX.* DIRECTIVES.
          MUST BE INSTALLED TO SUPPORT IDENT *F162FTNA*.  THIS IDENT
          SEPARATED FROM *F162FTNA* TO PROVIDE THE APPROPRIATE
          DECK NAME ON EACH NEW LINE. 
          DCD    77/02/01    APPLIES TO FTN 4.6.
  
 F162FTN1 OPTIONS, TSTEXT, FTNRES, FTN/FTNINIT, TABLES, BATCH/IST,
          HEADER/PPA, END/DFT, INIT/IMO,
          IO/BCK/BUF/DCD/EFI/NCD/FNC/REW/RIT/WOT/NDC
          INTERFACE CODE FOR THE TS COMPILER TO MEET THE *FCL/CRM*
          INTERFACE SPECIFICATIONS. INCLUDES:-
          1.     REFORMATTING THE *FIT*.
          2.     IMPLEMENTING STATIC LOAD *USE* TABLES. 
          3.     IMPLEMENTING CONTROL CARD OPTION FOR THE ABOVE.
          4.     CHANGING *Q1NTRY./FTNRP1.* TO *Q2NTRY./FTNRP2.*. 
          LDH/MRR/DDM 1/25/77    APPLIES TO FTN,TS 4.6. 
  
 F162FTN2 OPTIONS,FTNMAC,FTNTEXT,LSTPRO,ENDPRO,LISTIO,PH1CTL,FAX,REFMAP.
          REVISE OPTIMIZING COMPILER TO PROVIDE FCL/CRM INTERFACE.
  
          SIGNIFICANT OBJECT CODE CHANGES (CRM - NOS,NOS/BE ONLY) --
          1.  LENGTHENS AND REFORMATS CRM FIT SKELETON. 
          2.  ADDS 6-WORD FIT EXTENSION FOR FCL.  1ST WORD CONTAINS MRL 
              AND WSA IF MRL SPECIFIED ON *PROGRAM* STATEMENT.
          3.  REMOVES 4-WORD EXTENSION TO WSA BUFFER. 
          4.  ADDS *LIBLNK* PARAMETER LIST THAT CONTAINS -- 
              A.  NUMBER OF FILES.
              B.  FWA *FLINK* FILE VECTOR LIST. 
              C.  STATIC LOAD BIT.
              D.  RUN-TIME PRINT LIMIT (POSITIVE INTEGER).
          5.  ADDS *LDSET USE=STLXXX.* DIRECTIVES WHEN *STATIC* OPTION
              SELECTED. 
          6.  ADDS ZERO-WORD TERMINATOR TO *FLINK* FILE VECTOR LIST.
          7.  REMOVES  *  DATA -PRINTLIM*  DECLARATION. 
  
          ADDITIONAL CHANGES AFFECTING ALL SYSTEMS (CRM OR 7RM) --
          8.  CHANGES  * Q1NTRY./FTNRP1. *  TO  * Q2NTRY./FTNRP2. *.
          9.  IN *FTNMAC* --
              A.  ADDS *LIBLNK*, *FILCRM* AND *FIL7RM* MACRO DEFINITIONS
              B.  REMOVES OBSOLETE *FILE* MACRO DEFINITION. 
              C.  PREFACES ALL MACROS WITH *PURGMAC*. 
          10. REVISES *REFMAP* TO ISSUE EXACT I/O BUFFER LENGTHS. 
          DCD    77/02/01    APPLIES TO FTN 4.6 (OPT).
  
          FCC1289CX DPCLOSE - COMMON EQUIVALENCED VARIABLES HAVE
          INCORRECT RA IN REFMAP. 
          ATH    77/09/07    APPLIES TO FTN4.6 OPT
  
 FCC1826  GEN/O=SUBL - REMOVE *P.2ARY* BIT ON THE LOAD OF THE 
          FIRST SUBSCRIPT WHEN PROCESSING A SUBSCRIPTED SUBSCRIPT,
          THIS WAY *RUT* WILL STORE IT TO A TEMP IF NECESSARY.
          LDH    8/10/77     APPLIES TO FTN 4.6 TS. 
  
 FCC1829  BATCH/RUN,MAIN - CYCLE OFF ANY POSSIBLE COMMENT CARDS 
          PRECEEDING THE FIRST STATEMENT OF A PROGRAM UNIT SO 
          WE CAN TRULY IDENTIFY POSSIBLE INTERMIXED COMPASS.
          LDH    8/15/77     APPLIES TO FTN 4.6 TS. 
  
 FCC1837X PROSEQ/AIS - SET LAST USE ADDRESS OF INSTRUCTION THAT *PRS* 
          A UJP OR FULL LOCK *RS* TO END OF SUBSEQUENCE SO WE DONT
          END UP WITH A B-REGISTER DEADLOCK IN *MCG*. 
          SIJ    8/24/77     APPLIES TO FTN 4.6, OPT=2
  
 FCC1842X POST/ILD - CHECK ILD OPCODE TO SEE IF IH = *IT.* AND TREAT
          IT AS A *TLD* IF SO.
          SIJ    8/26/77     APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1843X DBGPHCT - MICRO ADDED FOR SYSTEM MODE FILE NAME ZZZZZOP 
          AND FTNOPT. 
          DLD    77/09/19    APPLIES TO FTN 4.6 OPT.
  
 FCC1845X MCG/CRA - ALLOW OVERRIDE OF FULL LOCK RS"S TO B-REGISTERS 
          SO A SWAP(BI,BJ) SEQUENCE OF INSTRUCTIONS WORKS.
          SIJ    8/29/77     APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1847X OPTIONS,TSTEXT,FTNMAC,FTNTEXT,END,FAX - ADD MODEL 71 AND 171
          TO PREFIX TABLE.
          DLD    77/09/06    APPLIES TO FTN OPT AND TS. 
  
 FCC1851  DBGPHCT/EXP - DEBUG EXTERNAL PACKET PROCESSING INTERROGATES 
          *CP.CARD(1)* FOR EOR/EOF BEFORE CHECKING WHETHER THE
          STATEMENT *SCANNER* JUST HANDED HIM WAS A GOOD *DEBUG*
          STATEMENT. THUS THE LAST CARD IN AN EXTERNAL DEBUG
          PACKET DOES NOT GET PROCESSED.
          LDH    9/23/77     APPLIES TO FTN 4.6 DEBUG.
  
 FCC1852  DBGCOM,DBGEPKT/EXP,SCANNER/ERP - WHILE PROCESSING 
          AN EXTERNAL DEBUG PACKET OR FILE, CERTAIN CLASSES OF ERROR
          ARE ALSO ACCUMULATED BY *SCANNER*. THIS CODE TURNS *SCANNER*
          ERROR PROCESSING OFF IN THE ABOVE CASES WHILE *DBGPHCT* HAS 
          CONTROL. IF THIS IS NOT DONE, ERROR MESSAGE LIMIT CAN BE
          REACHED IN WHICH CASE *ERPRO* NEVER RETURNS CONTROL TO
          *DBGPHCT*.
          LDH    9/20/77     APPLIES TO FTN 4.6 DEBUG.
  
 FCC1853X PH1CTL/CCS - CHECK COLUMNS 10-14 FOR * END * FOR END LINE.
          DLD    77/09/13    APPLIES TO FTN 4.6 OPT.
  
 FCC1858X GPO - ENSURE 0 TERMINATOR AT END OF *BIT* WHEN INITIALIZING IT
          SIJ    9/21/77     APPLIES TO FTN 4.6, OPT=2
  
 FCC1870  BATCH/RUN - REWIND F.LF BEFORE CLOSING IT SO THAT 
          THE PSEUDO SCOPE 2 FET WILL BE RESET FOR THE NEXT USE.
          LDH    11/7/77     APPLIES TO FTN 4.7 TS. 
  
 FCC1872  SCANNER/CBL - CHECK CONTINUATION CARDS TO INSURE THAT WHEN DEBUG IS 
          ON, WE DO NOT GET A CONTINUATION OF A C$-DEBUG STATEMENT WITHOUT A
          C$ IN COLUMNS ONE AND TWO.
          LDH    10/25/77    APPLIES TO FTN 4.6 OPT.
  
 FCC1879  DPCLOSE/PDC,EQV,ACA - LEVEL 3 DECLARATION ON LABELED COMMON BLOCK 
          THROUGH EQUIVALENCING DOES NOT CAUSE THE BLOCK TO BE LCM. 
          LEVEL NO. PROPAGATION THROUGH COMMON BLOCKS MUST BE DONE ONCE 
          BEFORE AND AFTER EQUIVALENCE PROCESSING.
          THE COMMON/LEVEL PROPAGATION LOOP IN PDC IS TAKEN OUT AND 
          MADE SUBROUTINE CCL.
          THE LCM INDICATOR ON COMMON BLOCK HEADER WORD IS SET IN CCL 
          INSTEAD OF ACA. 
          ATH    77/10/20    APPLIES TO FTN 4.7 OPT 
  
 FCC1891  LIST/WCT - RE-FETCH BA.TEM FOR VAR-DIM OBJECT LIST AS 
          TEMPORARY OBJECT LISTING CODE DESTROYED THE ORIGINAL. 
          LDH    77/11/01    APPLIES TO FTN 4.7 TS
  
 F66FCC   OPTIONS/.FID,FTN/CONFIG,FTN/CTL.CARD,FTN/CO.ID,FTN/FTNINIT, 
          FTN/ARG,FTN/CLERR,FTN/MIA,FTN/MIB,TSTEXT/T.LNT,TABLES/T.LNT,
          BATCH/IST,LEX/S.IOCAL,HEADER/PPA,GEN/O=NTRN1,MAIN/CUS,
          GEN/O=OTR,REG/CIA,PIG/PIG,KEY/RTU,KEY/SPR,END/DFD,ERRORS/E.CT 
  
          ADD OPTIONAL CAPABILITY TO TSFTN TO INTERFACE TO THE CYBER
          INTERACTIVE DEBUGGER.  A NEW TABLE (T.LNT - LINE NUMBER TABLE)
          IS IMPLEMENTED AS AN IMAGE OF THE LOAD FILE 5700 TABLE.  PIG
          CREATES THE TABLE ENTRIES WITH INFORMATION PASSED FROM EIS
          (O=OTR).  EIS RECEIVES ITS INFORMATION FROM A REVISED-FORMAT
          OTR TURPLE.  EIS ALSO GENERATES AN RJ TO *DBUG.LN* WHEN 
          REQUESTED.  CODE IS ALSO GENERATED TO SAVE A1 ON ENTRY TO 
          FUNCTIONS AND SUBROUTINES.  NEW ROUTINE DFD ADDED TO OUTPUT 
          SYMBOL (5600) AND LINE-NUMBER (5700) TABLES TO THE LOAD FILE. 
          TP.DIM IS SAVED IN DECL IN A NEW TABLE(TP.CIDM) TO PRESERVE 
          INFORMATION FOR ROUTINE DFD IN END. 
          JLA,ERH,DDM 76/10/27    APPLIES TO FTN4.6,TS. 
  
 F66FCCA  CHANGE COMMENT LINE SO AS TO USE EXISTING TEXT. 
          LDH    77/12/01    APPLIES TO FTN 4.7 
  
 FCC1886  PAR/C=BIF - SET SMOD (DOMINANT MODE) FOR ADT TO PLACE IN TURPLE 
          OPERATOR WORD WHEN PROCESSING INTRINSIC FUNCTION. 
          LDH    77/12/01    APPLIES TO FTN 4.7 TS. 
  
 FCCA405  END/BT.LIB REMOVE *TSLIB* LDSETS
          FOR LEVEL 466 AND ONWARDS.
          LDH  1/10/78    APPLIES TO FTN 4.7 TS 
  
 FCC1882  LISTIO/IOLIST - DO NOT FLUSH OUT I/O USE/DEF INFO AT BEGINNING
          OF LIST BECAUSE UNIT/FORMAT INFO GETS LOST IF THERE IS A FUNCT
          CALL IN THE LIST. 
          SIJ    11/1/77     APPLIES TO FTN 4.6, OPT=2
  
 *L477*    **************************************************** 
 FCCA403  END/DFD - UNUSED VARIABLES APPEARING IN TYPE STATEMENTS 
          ARE PLACED IN LOADER SYMBOL (5600) TABLES BY CHECKING 
          FOR TYPE AS WELL AS VARIABLE. 
          WHEN ONLY ONE AND THE LAST 5600 TABLE IS GENERATED, 
          THE LAST TABLE BIT (F) IN HEADER WORD IS ALWAYS SET.
          A 5600 TABLE IS GENERATED EVEN WHEN THERE IS NO 
          VARIABLES IN THE SOURCE PROGRAM.
          AML    01/23/78    APPLIES TO FTN 4.7 TS. 
  
 FCCA406  FTN/MIB - TWO IMPORTANT COMPILER OPTIONS HAVE BEEN
          INTRODUCED AT CODE LEVEL 466: 
          1) STATIC - FOR BAM 1.5 STATIC LOADING. 
          2) ID - FOR INTERACTIVE DEBUG SUPPORT (THIS IS ONLY IN TS). 
          OBJECTIVE IS TO HAVE THESE NEW OPTIONS APPEAR IN THE
          "SELECTED OPTIONS" FIELD IN THE TITLE LINE IF THEY ARE
          CHOSEN BY THE USER. 
          AML    01/16/78    APPLIES TO FTN 4.7 OPT & TS. 
  
 FCC1897  FTNMSG - DO NOT JUMP TO FTNEND WHEN FATAL ERRORS OCCURRED AND 
          NOT IN DEBUG MODE, INSTEAD PASS2 SHOULD BE LOADED AND EXECUTED. 
          AML    01/04/78    APPLIES TO FTN 4.7, OPT=1, R=0 
  
 FCC1902  FTN/IEM - CORRECT TEST FOR END OF STRING IN IEM.
          DLD    77/12/14    APPLIES TO FTN 4.7 OPT 
  
 FCC1918  GRA/OSI - MARK STT"S THAT SETUP INITIAL ADDRESS"S WITH THE
          *SIA* BIT SO THAT PROSEQ/ESR KNOWS TO TRUNCATE THE ADDRESS
          (LCM AND FP) TO 18 BITS TO AVOID PROBLEMS WHEN THE SUBSCRIPT
          EXPRESSION IS NEGATIVE. 
          SIJ    2/2/78      APPLIES TO FTN 4.6, OPT=2 ON 7600 ONLY 
  
 FCC1923  EQV/DPCLOSE - CHANGED OA. DEFINITION FROM 
          7/RB,18/FWA,18/LWA,17/GFI TO 1/0,7/RB,18/FWA,18/LWA,16/GFI. 
          LARGE RB WAS CAUSING LOOP TO TERMINATE PREMATURELY
          IN SCAN3 OF EQUIVALENCE PROCESSING WHERE EOT INDEXES
          WERE BEING PUT INTO GF2 ENTRIES OF EACH CLASS ROOT. 
          ATH    2/2/77      APPLIED AGAINST FTN4/OPT 
  
 FCCA402  ERPRO/HCOUNTER WHEN PROCESSING A FORMAT STATEMENT CONTAINING
          A HOLLERITH FIELD OF 99 CHARACTERS THE FINAL FORM CONTAINS THE
          FOLLOWING: (1H1,99H... 99 CHARACTERS ..., 0H) ERPRO HAS BEEN
          MODIFIED TO ELIMINATE THE 0H. 
          SSK    10/02/78    APPLIED AGAINST FTN,OPT
  
 FCCA408  TSTEXT,BATCH/IST,HEADER/PPA,END/DFT,IO/STLI - 
          FTNTEXT,FTNMAC,PH1CTL/PROG,FAX/PID -
          1)     CORRECT HANDLING OF STATIC MODE IN OVERLAYS IN BOTH TS 
          AND OPT. THIS INVOLVES CHECKING FOR STATIC MODE, AND IN 
          A MAIN PROGRAM WITHOUT FILES (DEFINITION OF OVERLAY) WE 
          EXPAND THE Q2NTRY AP-LIST TO CONTAIN A POINTER TO A LIST
          OF WEAK EXTERNALS, ONE EACH FOR ALL POSSIBLE *STLTAB* 
          ENTRIES. FOR THIS PURPOSE TS IS FIXED UP TO USE THE 
          COMDECK *STLTAB* ALONG WITH OPT.
          2)     PUT THE *FIT* LENGTH IN THE *FIT*. 
          LDH    12/12/77    APPLIES TO FTN TS AND OPT. 
  
 FCCA410  FTN/MIB,LSTPRO/FA=NPG,BATCH/RUN.X,MAIN/WOF,INIT/FTO 
          PD IS WRITTEN TO OUTPUT FILE EVEN WHEN L=0 AND NO DIAGNOSTICS 
          ARE GENERATED, OR RATHER WHEN OUTPUT FILE IS COMPLETELY EMPTY.
          WHEN PD IS NOT SELECTED, DO NOT SET CP.PD TO THE SYSTEM 
          DEFAULT FOR THE PURPOSE OF DEFERRED CHECKING FOR THE EXISTENCE
          OF PD PARAMETER IN THE CONTROL CARD.  WHEN PD IS SELECTED AND 
          OUTPUT FILE IS NOT EMPTY, ON OPENING OF A FILE, WRITE PD TO 
          THE OUTPUT FILE, AND ON CLOSING OF A FILE, WRITE THE SYSTEM 
          DEFAULT TO THE OUTPUT FILE. 
          AML    03/22/78    APPLIED AGAINST FTN,TS & OPT 
  
 FCC1908  BDT/SIO - DO NOT STACK STORES IF RF > RI AND RF NOT PROCESSED 
          WHEN THE RI IS ENCOUNTERED. 
          SIJ    3/8/78      APPLIES TO FTN 4.6 
  
 FCC1924  ENDPRO/PST11 BASE ADDRESS OF SYMBOL TABLE IS WIPED OUT WHEN:  
          1. E OR C OPTION IS INVOKED. 2. NO USAGED-DEFINED VARIABLES 
          ARE PRESENT. 3. NO DATA STATEMENTS ARE PRESENT. 
          4. EQUIVALENCE STATEMENTS ARE PRESENT.
          SSK    02/17/78    APPLIED AGAINST FTN,OPT
  
 FCC1925  ARITH/RTPRN - ENCODE SYNTAX ERROR(MISPLACING OF RIGHT PAREN-
          THESIS) NOT DIAGNOSED.
          IN PROCESSING RIGHT PARENTHESIS, LOOK AHEAD TO SEE IF IT IS 
          FOLLOWED BY AN IDENTIFIER, CONSTANT OR A LEFT PARENTHESIS.
          WHEN THIS IS THE CASE, AND WE ARE PROCESSING I/O UNIT OR
          VARIABLE FORMAT, AND THE PARENTHESIS LEVEL IS POSITIVE, 
          GENERATE A FATAL TO EXECUTION ERROR.
          AML    03/10/78    APPLIED AGAINST OPT
  
 FCC1928  SQZ/SA - DONT"T SET RF BIT FOR PRED SO WE DONT INCORRECTLY
          REDUCE 60 BIT ARITHMETIC TO 18 BITS IN GPO/GRA. 
          SQZ/STT - SET RF BIT ONLY IF IH " 0 FOR SAME REASONS. 
          SIJ    3/1/78      APPLIES TO FTN 4.6, OPT=2
  
 FCC1936  SCANNER/POINT2 THE ERROR MESSAGE FOR A MISSPELLED 
          RELATIONAL OPERATOR HAS BEEN CHANGED TO *UNRECOGNISED 
          OPERATOR*. WAS *INVALID USE OF CHARACTER STRING*. 
          SSK    03/14/78    APPLIED AGAINST FTN,OPT
  
 FCC1946  DPCLOSE/EQV,DECPRO/DPEQU.L  REPLACE ALL PACK AND UNPACK 
          INSTRUCTIONS TO ALLOW A LARGER SIZE FOR EQUIVALENCE TABLES, 
          BUT RETAIN THE SAME 12 BIT , 48 BIT FORMAT. THE EXPONENT
          FIELD MAXIMUM VALUE WILL INCREASE FROM 1023 TO 4095 
          AND ALLOWS PROGRAMS THAT RAN AT LEVEL 452 TO RUN AGAIN. 
          SSK    04/10/78    APPLIED AGAINST FTN,OPT,TS 
  
 FCC1954  THE LAST INVALID DEBUGGING STATEMENT ON THE EXTERNAL DEBUG
          PACKAGE FILE (FTN,D=LFN,...) IS NEVER PROCESSED, BECAUSE THE
          *CP.CARD* IS CHECKED TOO EARLY FOR THE EOS/EOP/EOI. CORRECTION
          IS SUCH THAT THE LAST INVALID STATEMENT ON THE FILE IS
          DIAGNOSED BEFORE INTERROGATING *CP.CARD* FOR EOS/EOP/EOI. 
          AML    04/05/78    APPLIED AGAINST FTN,OPT
  
 FCC1957  PH1CTL/PLD - IN *OVERLAY* DIRECTIVE, FILE NAME CAN NOT BE A 
          HOLLERITH CONSTANT. 
          E-LIST ELEMENT IS CHECKED TO SEE IF HOLLERITH CONSTANT OCCURS,
          IF SO, *=HOLL=* IS GENERATED FOR LOADER TO PROCESS AS THIS
          *OVERLAY* FILE NAME.  *=HOLL=* IS CHOSEN FOR THE SAKE OF
          CONSISTENCY BETWEEN OPT AND TS, AND LOADER WILL DIAGNOSE IT.
          AML    04/24/78    APPLIED AGAINST FTN,OPT
  
 FCC1967  DATA/PDV
          TYPE FIELD INADVERTANTLY REMOVED FROM DVT ENTRY WHEN
          MASKING OUT SYMBOL ORDINAL IN EQUIVALENCE TEST. ADJUST
          MASK TO KEEP TYPE FIELD.
          ERH    4/4/78      APPLIES TO FTN 4.7, OPT
  
 FCC2009  DPCLOSE/EQU290 WHEN ISOLATING BLOCK LENGTH FIELD CLEAR
          BIT 17 (LCM BIT) IN ORDER TO AVOID UNWANTED SIGN EXTENSION. 
          SSK    06/08/78    APPLIED AGAINST FTN,OPT
  
 *L485*    *****************************************************
 FCCA426  PH1CTL/PPN
          UNDEFINED SYMBOL WHEN COMPILING WITH E OR C OPTION.  INSERT 
          SST  WHEN E OR C OPTION SPECIFIED.
          ERH    06/30/78    APPLIED AGAINST FTN,OPT
  
 FCCA437  PH1CTL/PROG - GETTING OUTPUT LIMIT EXCEEDED ON TWO LINES OF 
          OUTPUT, USING LGO FROM E OR C OPTION.  NARGS NOT GETTING
          UPDATED AFTER SETTING PRINT LIMIT.
          ERH    02/AUG/78    APPLIED AGAINST FTN.
  
 FCC1811XA GEN/SLD RESOLVE A SITUATION IN WHICH THE K PORTION OF AN 
          INSTRUCTION GETS CLOBBERED BY STORING THE ADDRESS FUNCTION TO 
          A TEMPORARY (IF IN A STORE REGISTER AND THE OTHER ONE IS
          LOCKED ) AND RELOADING. 
          SSK    03/23/78    APPLIED AGAINST FTN,TS 
  
 FCC1901  ARITH/EQPO,DOPROC/DOTOP,PAR/(POPRQ,C=DO) -
          REDEFINITION OF A FORMAL PARAMETER USED AS DIMENSION INDICATOR
          IS NON-ANSI.
          1) LEFT-HAND SIDE VARIABLE OF AN EQUAL SIGN IS CHECKED FOR
          SUCH A VIOLATION. 
          2) CONTROL VARIABLE OF A DO LOOP IS CHECKED FOR THE SAME
          VIOLATION.
          IN BOTH CASES, WHEN VIOLATION OCCURS, ANSI DIAGNOSTIC IS
          GENERATED.
          AML     02/28/78    APPLIES TO FTN 4.7 OPT & TS 
  
 FCC1960  GEN/EIS.L15 INSERT CODE THAT ANTICIPATES THE POSSIBILTY OF A
          STORE REGISTER BEING WIPED OUT AT I REGISTER SELECTION TIME.
          IF TAG IS IN A STORE REGISTER AT K REGISTER SELECTION 
          TIME  AND THE OTHER STORE REGISTER IS A TEMPORARY, GET A
          TEMPORARY CLASS REG, IF ITS USE COUNT IS ZERO TRANSMIT TO IT. 
          ELSE GET A LOAD CLASS REGISTER. IF TAG IS STILL IN STORE
          REGISTER TRANSMIT TO LOAD REGISTER ELSE RELOAD TAG. 
          AT J REGISTER SELECTION TIME IF A TEMPORARY CLASS REGISTER
          IS AVAILABLE DO NOTHING ELSE PROCEED AS ABOVE.
          SSK    06/09/78    APPLIED AGAINST FTN,TS 
  
 FCC1984  SCANNER/LEX46 - SYNTAX ERROR IN *WRITE* NOT DIAGNOSED.
          WHEN STATEMENT OF THE FORM: *KEYWORD* ALPHANUMERIC(...)(...)
          IS DETECTED, A *JP* IS MADE TO *LEX46* TO LEXICALLY SCAN THE
          STATEMENT WITH THE KEYWORD BEING STRIPPED OFF BY *SRCH* 
          PROCESSOR.  HERE A *RJ ADJ* SHOULD BE MADE TO REMOVE THE
          ALPHANUMERIC AND STORE IT IN *ELIST* FOR FURTHER PROCESSING.
          THE FAULTY FORM IS DIAGNOSED IN *ARITH*.
          AML    05/15/78    APPLIED AGAINST FTN,OPT
  
 FCC1997  GRA/DUM - SET *EU* FOR INCREMENT CANIDATE IF STORE IS NOT NEXT
          TO INCREMENT VARIABLE.
          SIJ    6/6/78      APPLIES TO FTN 4.6, OPT=1,2
  
 FCC1998  PH1CTL/DPBDA,FTNMSG,KEY/BKD,ERRORS - NAMED BLOCK DATA SUB-
          ROUTINE IS NOT ANSI-DIAGNOSED.
          WHEN NAME IS SPECIFIED FOR BLOCK DATA SUBROUTINE, AN ANSI 
          DIAGNOSTIC OF THE FOLLOWING TEXT *NON-ANSI FORM OF BLOCK
          DATA STATEMENT* SHOULD BE GENERATED.
          AML    05/18/78    APPLIED AGAINST FTN,TS & OPT 
  
 FCC2031  IO/A=STR TAG FIELD NOT PRESERVED IF PLUG CODE IS NECESSARY
          RESULTING IN DEFINE BIT BEING SET IN THE HASH ADDRESS FIELD 
          OF THE FIRST WORD IN THE SYMBOL TABLE.
          THIS PSR CONTAINS A ONE LINE CORRECTION TO F162FTNA.
          SSK    07,19,78    APPLIED AGAINST FTN,TS 
  
 FCCA434  KEY/AGN4 AFTER CALL TO TRV USE X6 INSTEAD OF X2 TO SET DEFINE 
          BIT (SYMBOL TAG ). X2 IS THE PASS *2* TAG (NO CLASS BITS).
          THIS ALLOWS THE VARIABLE TO BE PUT IN THE 56 TABLE FOR CID
          SSK    08/11/78    APPLIED AGAINST FTN,TS 
  
 FCCA435  SCANNER/SRCH12 ISSUE INFORMATIVE ERROR MESSAGE IF NON ALPHA 
          NUMERIC CHARACTERS APPEAR AFTER THE END STATEMENT.
          SSK    08/07/78    APPLIED AGAINST FTN,OPT
  
 FCCA442  KEY/LCC-
          OVERLAY CARD NOT PRINTED.  GETS WIPED OUT OF DEFERRED LISTING 
          BUFFER (T.DLBUF) AT END OF LCC PROCESSING.
          ERH    08/23/78    APPLIED AGAINST FTN,TS 
  
 FCCA444  GEN/EIS.L15 *B2* NOT RESTORED AFTER *WCODE*. OLD REGFILE
          ENTRY NOT ZEROED. THESE CORRECTIONS APPLY TO FCC1960. 
          SSK    10/18/78    APPLIED AGAINST FTN,TS 
  
 FCCA451  OPTIONS   REMOVE COMPILER CONFIGURATION DEFINITIONS ( TEST
          MODE OR SYSTEM MODE ) FROM OPTIONS TO PREVENT DEFINITIONS 
          FROM APPEARING IN FTNMAC . INSERT DEFINITIONS IN TSTEXT AND 
          FTNTEXT.
          SSK    09/28/78    APPLIED AGAINST FTN,TS,OPT 
  
 FCCA456  GEN/CAI40 CLEARS INTERMEDIATES FOR X REGISTER ENTRIES IN
          REGFILE SHOULD ALSO CLEAR *A* REGISTER ENTRIES FOR
          INTERMEDIATES.
          SSK    10/23/78    APPLIED AGAINST FTN,TS 
  
 FCC1972  ARITH/MOPB2 DO NOT ALLOW REAL CONSTANT DIVISORS TO BE 
          INVERTED IF ((1/CON) * CON .NE. 1). 
          SSK    07,24,78    APPLIED AGAINST FTN,OPT
  
 FCC1983  ARITH/SFLPR ISSUE MACRO FOR DATA MODE CONVERSION THEN 
          UPDATE MODE CHANGE TYPE AND SAVE MODE CHANGE ADDRESS. 
          THIS PREVENTS AN INCORRECT RLIST HEADER ADDRESS IN CASE A MODE
          CONVERSION MACRO IS NOT NECESSARY AND IT ALLOWS A NECESSARY 
          MODE CONVERSION MACRO (OCTAL TO COMPLEX) TO BE ISSUED 
          WHEN NECESSARY. 
          SSK    08/28/78    APPLIED AGAINST FTN,OPT
  
 FCC2004  ARITH/CMMA7 PRESERVE ADDRESS OF NEXT ELIST TO PROCESS(EPOINT).
          - CAUSING MODE OUT IF THERE ARE COMPILATION ERRORS TO REPORT. 
          SSK    08/02/78    APPLIED AGAINST FTN
  
 FCC2030  SCANNER/SCANNER.580 SET RECORD LENGTH IN WORDS TO ONE SO
          A BLANK WORD REPRESENTING A BLANK LINE BETWEEN PROGRAM UNITS
          WILL NOT BE ZEROED OUT CAUSING SCANNER TO COMPLAIN ABOUT
          ILLEGAL INPUT.
          SSK    08/03/78    APPLIED AGAINST FTN
  
 FCC2038  MCG/CSI - AWWAYS START AT X6 AFTER ISSUING A STORE SINCE ISI
          WILL NOT RETURN B3 SET PROPERLY IF A DWL WAS ISSUED.
          SIJ    8/8/78      APPLIES TO FTN 4.6, OPT=1,2
  
 FCC2039  GPO/MII - PROCESS RJ6 INSTRUCTION SO THAT *FAC* IS CLEARED
          AND Z PARAMETER NULL ARG LIST IS NOT ADDED TO ARG LIST OF 
          THE NEXT INVARIANT FUNCTION.
          SIJ    7/25/78     APPLIES TO FTN 4.6, OPT=2
  
 FCC2045  GPO/UPB - GET CORRECT TLD FOR XMT IN OPT=1 WHEN PROCESSING
          ABNORMAL IP IN LOOP WITH MULTIPLE BLOCKS. 
  
 FCC2051  GRA/IRA - PROCESS HOLDING BLOCK OF INNER LOOP SO THAT ANY 
          EPILOGUE POST STORES THAT HAVE TO BE PLACED IN IT ARE.
          SIJ    8/14/78     APPLIES TO FTN 4.7, OPT=2
  
 FCC2053  DBGPHCT/DBGCUN,BUGCON - 
          1. RE-INITIALIZE A FLAG (CUR OP BD) AFTER REPORTING AN
          ERROR CONDITION.
          2. ORDINAL OF NAME LOST IN ROUTINE DBGCUN.
          ERH    8/31/78    APPLIED AGAINST FTN,OPT.
  
 FCC2056  GRA/DUM - MARK PRED OF RS AS *EU* SO WE DONT BIAS THE 
          ASSIGNMENT OF AN OUTER LOOP INDEX WHICH HAS BEEN ASSIGNED TO
          A REGISTER IN A INNER LOOP. 
          SIJ    8/24/78     APPLIES TO FTN 4.7, OPT=2
  
 *L498*    ************************************************ 
 FCC*79   UPDATE COPYRIGHT INFORMATION FOR 1979 
          BEA    79/01/18    FTN,FTNRES    APPLIES TO FTN 4.7 
  
 FEAT1070C FTNTEXT,FTN,LSTPRO,ENDPRO,REFMAP,FAX - 
          REQUIRED POST MORTEM DUMP (PMD) MODS TO THE FTN4 (OPT) COMP-
          ILER ARE (PER DAP S2619) ...
          1.  PMD OPTION ON FTN CONTROL CARD.  PMD MEANS GENERATE CODE
          FOR REPRIEVE ON ALL ERRORS SO THAT A SYMBOLIC PRESENTAION OF
          ERROR CONDITIONS, VARIABLE CONTENTS, AND TRACEBACK INFORMATION
          MAY BE WRITTEN TO THE OUTPUT FILE BY THE POST MORTEM DUMP 
          PACKAGE.  IF PMD = 0, THEN POST MORTEM DUMP IS DISABLED.
          DEFAULT IS PMD = 0. 
  
          2.  WHEN PMD IS INVOKED CREATE A PMD SYMBOL FILE -ZZZZZSY- TO 
          CONTAIN THE FTN4 SYMBOL TABLE, COMMON BLOCK TABLE, AND DIM- 
          ENSION TABLE. 
  
          3.  IN ORDER TO FACILITATE FTN4/FCL4 COMMUNICATION OF PMD 
          MODE BIT 47 OF THE FIRST WORD OF THE APLIST PASSED TO Q2NTRY
          AND FTNRP2 WILL BE SET WHEN PMD IS INVOKED. 
  
          4.  WHEN PMD IS INVOKED CREATE AN LDSET PRESET TABLE THAT 
          REQUESTS LOADER TO PRESET USER CORE TO NEGATIVE INDEFINITES 
          SO THAT PMD CAN TELL THE USER WHICH VARIABLES WERE USED WITH- 
          OUT BEING INITIALIZED.
  
          5.  WHEN PMD IS INVOKED CREATE AN LDSET MAP TABLE THAT
          REQUESTS LOADER TO WRITE A SHORT MAP (*BS* OPTION) TO FILE
          ZZZZZMP.  PMD USES THIS MAP FOR OBTAINING BLOCK DATA. 
  
          6.  LTP OPTION ON CONTROL CARD FOR BENEFIT OF CURRENT USERS OF
          *MANTRAP*.  IDENTICAL TO PMD OPTION.  LTP WILL NOT BE DOCU- 
          MENTED IN THE STANDARD CDC REFERENCE MANUALS IN ORDER TO
          ENCOURAGE FUTURE USERS TO USE PMD.
          VOS/SMT/ERH    11/28/78   APPLIED AGAINST FTN,OPT 
  
 FCCA422  FTN,BATCH,MAIN,INIT,MAP,LIST,LSTPRO - FTN PASSES COMPASS WRONG
          PAGE SIZE IN CP.PS.  ALSO, ILLEGAL ARGUMENT FOR PD AND PS DOES
          NOT GET SET TO DEFAULT VALUE. 
          A NEW CELL LCP.PS IS CREATED FOR LOCAL USE.  IT IS EQUATED TO 
          CP.PS - 3, WITH 3 LINES RESERVED FOR PAGE HEADER.  CORRECT
          PS VALUE IS PASSED TO COMPASS THROUGH CP.PS.
          WHEN ILLEGAL ARGUMENT IN PD/PS IS DETECTED, CP.PD/CP.PS WILL
          BE SET TO IP.PD/IP.PS AS APPROPRIATE. 
          AML    07/10/78    APPLIED AGAINST FTN,TS & OPT 
  
 FCCA454  BATCH/RUN1A  FAILURE TO CHECK FOR A BLANK LINE PRIOR
          TO COMPASS IDENT CAUSES SUBSEQUENT COMPASS CODE TO BE 
          INTERPRETED AS FORTRAN SOURCE.
          SJC    10/5/78     APPLIED AGAINST FTN.TS 
  
 FCCA455  DPCLOSE/EQV255 WHEN COMPUTING FWA OF CLASS ( COMMON MEMBER
          LOOP ) A NEGATIVE RESULT CAUSES A MODE OUT LATER WHEN 
          CREATING AN ENTRY FOR A COMMON ELEMENT. COMPLEMENT FWA OF 
          CLASS WHEN RESULT IS NEGATIVE.
          SSK    10/25/78    APPLIED AGAINST FTN,OPT
  
 FCCA462  GPO/MII - CHANGE INSTANCES OF 18 BIT ARITHMETIC IN JUMP 
          PROCESSORS TO 60 BIT SO TOP BITS OF *N.LJ* DON"T GET DESTROYED
          SIJ    11/24/78    APPLIES TO FTN 4.7, OPT=2
  
 FCCA463  IF - STATEMENT(S) BETWEEN ARITHMETIC IF(OR TWO-BRANCH 
          LOGICAL IF) AND FIRST STATEMENT LABEL ENCOUNTERED NOT 
          DIAGNOSED AS "NO PATH". 
          SJC    11/9/78     APPLIED AGAINST FTN.TS 
  
 FCCA465  KEY MUST PROVIDE PROGRAM NAME ON PAGE 1 OF THE OUTPUT 
          LISTING WHEN EL=A IS SPECIFIED ON FTN CONTROL CARD. 
          SJC    12/7/78     APPLIED AGAINST FTN.TS 
  
 FCCA468  PAR/POP.RQ12 THE CHECK FOR C.SYM(200000) MAY FAIL IF TAG
          BEING LOOKED AT IS NOT A SYMBOL TAG . THIS MAY RESULT IN
          INCONSISTENT DIAGNOSTICS USING CONTROL CARD OPTION
          B=0 IN ONE CASE AND B NE 0 FOR THE OTHER CASE.
          SSK    12/11/78    APPLIED AGAINST FTN,TS 
  
 FCCA469  END/DFD90 WHEN GENERATING A 5600 TABLE (DEBUG ON) SAVEA1 ( SUB
          PROGRAM REL. ADDR. OF WORD IN WHICH SUBPROGRAM INITIALIZATION 
          WILL SAVE REG A1 ) IN THE HEADER WORD IS NOT USED AND IS SET
          TO ZERO WHEN THE CURRENT SUBPROGRAM UNIT IS  BLOCKDATA. 
          SSK    01/04/79    APPLIED AGAINST FTN,TS 
  
 FCCA474   TSDATA/PSS 
           INCONSISTENT ERROR DIAGNOSTIC PRODUCED FOR 
           CERTAIN DATA STATEMENTS, SUCH AS DATA(A(I-4),I=1,4)
           /4*4/.  THE ERROR IS DIAGNOSED AS DATA SUBSCRIPT 
           LIST SYNTAX ERROR. 
           CORRECTION CODE WILL FORCE TO DIAGNOSE THE 
           ERROR AS SUBSCRIPT LESS THAN 1 OR EXCEEDS DIMENSION. 
           KKN    2/9/79     APPLIED AGAINST FTN,TS 
  
  
 FCCA476  DATA/BVT,TSDATA/(CSC,BVT) 
          BOTH COMPILERS FAILED TO DETECT SUBSCRIPTS WHICH
          EXCEED ARRAY DIMENSION BY ONE.
  
          KKN    2/14/79    APPLIED AGAINST FTN,TS + OPT
 FCC1964  FTN/ARG=PD,LSTPRO/END1 APPEND A 55B TO THE PAGE DENSITY 
          CONTROL CHARACTER TO SEE IF THIS ELIMINATES SPURIOUS COLONS 
          ON THE 7611-1 PRINTER. (02/05/79 CUSTOMER IS SATISIFED
          WITH RESULT). 
          SSK    02/05/79    APPLIED AGAINST FTN4 
  
 FCC2020  THE COMPILER TERMINATES THE COLLECTION OF A SEQUENCE
          OF STATEMENTS (BASIC BLOCK) AFTER A CONDITIONAL JUMP, 
          A GOTO, A CALL WITH RETURNS, OR BEFORE A STATEMENT
          WITH AN ACTIVE LABEL. WHEN A USER PROGRAM CONTAINS
          NONE OF THE ABOVE THE COMPILER COLLECTS IT AS ONE 
          SEQUENCE AND ATTEMPTS TO OPTIMIZE IT. AT A LATER STAGE
          OF THE CODE GENERATION IT MODES OUT BECAUSE THE SEQUENCE
          IS TOO LONG. THIS WILL BE CHANGED TO PUT OUT THE MESSAGE
          "PROGRAM CONTAINS SEQUENCES THAT ARE TOO LONG,
          CANNOT BE COMPILED."
          SIJ    12/28/78    FTN 4, OPT=2 
  
 FCC2059  REFMAP
          THE DO-LOOP MATERIALIZATION FLAG -MF- SHOWN IN THE
          REFERENCE MAP FOR DO-LOOPS WILL BE ELIMINATED FROM THE
          REFERENCE MAP SINCE,ESPECIALLY UNDER OPT=2, THE ACCURACY
          OF THE FLAG CANNOT BE CORRECTLY DETERMINED IN AN EXCESSIVE
          NUMBER OF USER PROGRAM CONDITIONS.
          SJC    12/19/78    APPLIED AGAINST FTN.OPT
  
 FCC2064  UNDER SCOPE 2.1 PH1CTL FAILS TO KEEP TRACK OF NUMBER
          OF EQUIVALENCED FILES CAUSING ERRORS IN REFERENCE MAP.
          SJC    11/15/78    APPLIED AGAINST FTN.OPT
  
 FCC2069A END/CKSX DON'T STORE THE PROGRAM UNIT LENGTH IF L=0 IS USED.
          LPS.PL (IN MAP)  IS THE DESTINATION CELL FOR THE PROGRAM UNIT 
          LENGTH AND IS TRASHED ALONG WITH MAP IF L=0 IS USED RESULTING 
          IN A CELL BEING WIPED OUT IN THE LONG-FILE WHEN USING A 
          SYSTEM MODE FTN,TS IN 41K . 
          SSK    09/18/78    APPLIED AGAINST FTN,TS 
  
 FCC2072  SQZ/DRL - IF LVL2 = DIRECT AND PREDECESSOR IS AN *STT* THEN 
          REPLACE SEMANTIC INFO IN DRL/DWL WITH SEMANTIC INFO IN *STT*
          IN CASE *ARF* HAS CHANGED THE RF BECAUSE IT WAS *IAC* SO WE 
          DON"T MODE OUT LATER ON.
          SIJ    9/14/78     APPLIES TO FTN 4.7, OPT
  
 FCC2074  GRA/ERC - DO NOT ENTER AN STT THAT IS *IRA* IF IH " 0 AND 
          RF IS NOT A VALUE CANIDATE AS THIS IS AN ERROR  ( LOCF(A(FP)))
          SIJ    9/15/78     APPLIES TO FTN 4.7, OPT=2
  
 FCC2078  PAR/PAREX FAILS TO CHECK FOR *EOS* (END OF STATEMENT) 
          AFTER DIAGNOSING ILLEGAL COMBINATION OF OPERATOR/OPERAND
          CAUSES TS TO MODE OUT BY PROCESSING STRING BUFFER AFTER 
          *EOS*.
          SJC    10/23/78    APPLIED AGAINST FTN.TS 
  
 FCC2091  GPO/TRP - ALWAYS MAKE *HB* OF *FTH* LOOP REMOTE ( *UJP* AT
          END ) SINCE *TRP* DOESN"T KNOW IF POST STORES WILL BE 
          INSERTED BY *IPS* LATER.
          SIJ    11/21/78    APPLIES TO FTN 4.6, OPT=2
  
 FCC2092  GRA/MFA - CHECK FOR RF = 0 BEFORE SETTING BASE BIT IN *AIT* SO
          AS TO AVOID PICKING UP RANDOM GARBAGE.
          SIJ    12/5/78     APPLIES TO FTN 4.6, OPT=1,2
  
 FCC2104  FTN,BATCH,PH1CTL
          FTN WILL ABORT TO AN EXIT(S) IN CASE OF FTN CONTROL 
          CARD ERRORS OR NULL PROGRAM WHEN FTN CONTROL CARD 
          PARAMETER "A" IS SPECIFIED. 
          SJC    11/28/78    APPLIED AGAINST FTN
  
 FCC2108  REFMAP
          ADDRESSES IN THE CROSS REFERENCE MAP WILL BE SET TO 0 
          WHEN Q IS SPECIFIED IN THE FTN CONTROL CARD.
          SJC    12/6/78     APPLIED AGAINST FTN.OPT
  
 FCC2109  REG/SST IT IS POSSIBLE FOR A USE COUNT TO BE REDUCED BY 2 IF
          PREVIOUS TURPLE WAS AN ARRAY LOAD TURPLE AND CURRENT TURPLE 
          CONTAINS THE SAME INDEX TAG  BEING USED IN AN EXPRESSION. 
          IN THIS EXAMPLE THE USE COUNT WENT FROM TWO TO ZERO AND BACK
          ONE WHEN THE ARRAY LOAD TURPLE WAS PROCESSED. 
          CORRECTIVE CODE COMPARES CURRENT TAG AND REGFILE TAG IF 
          EQUAL RETAINS REGFILE USE COUNT ELSE DOES NOTHING.
          SSK    12/11/78    APPLIED AGAINST FTN,TS 
  
 FCC2111  SCANNER,ERPRO 
          ELIMINATE INCONSISTANCIES IN SEVERITIES OF ERROR DIAGNOSTICS. 
          SJC    12/1/78     APPLIED AGAINST FTN.OPT
  
 FCC2113  GPO - LABEL DEFINITION ELIMINATED BECAUSE THE *HB* OF A *FTH* 
          LOOP COMBINED WITH ITS NATURAL PRED, BUT REFS TO THE LABEL
          ( ASSIGNED GOTO"S ) REMAIN.  ADD CODE TO OUTPUT THE LABEL 
          DEFINITION WITH THAT OF THE GENERATED LABEL.
          SIJ    12/14/78    APPLIES TO FTN 4.6, OPT=2
  
 FCC2115  IO/NDC  WILL CHECK ILLEGAL CHARACTER BEFORE IMPLIED DO
          IN I/O LIST OF ENCODE/DECODE STATEMENT(S).
          SJC    12/20/78    APPLIED AGAINST FTN.TS 
 FCC2119  SCANNER 
          C$ DEBUG CONTINUATION LINE WILL BE TREATED AS COMMENT 
          LINE IF THE PREVIOUS STATEMENT IS NOT C$ DEBUG STATEMENT. 
          SJC    2/21/79     APPLIES AGAINST FTN.OPT
  
 FCC2126  PS1CTL/LDPS2C,ERPRO WHEN AN FC TYPE ERROR OCCURS AND R=3 WAS
          REQUESTED A MODEOUT IS POSSIBLE IN REFMAP IF DPCLOSE WAS NOT
          CALLED TO PROCESS DECLARATIVE INFORMATION. WHEN AN FC TYPE
          ERROR OCCURS A CELL (L.COM) IS SET TO ZERO. REFMAP CHECKS 
          THIS CELL FOR FC TYPE ERRORS. 
          SSK    02/02/79    APPLIED AGAINST FTN,OPT
  
 FCC2138  DPCLOSE/EQV310 ITS POSSIBLE FOR A MASK (EO.LWAL) NOT TO BE
          INITIALIZED DURING THE EQUIVALENCE CLASS OVERLAP SEARCH 
          RESULTING IN A MODE OUT.
          SSK    01/25/79    APPLIED AGAINST FTN,OPT
  
 *L505*    ************************************************ 
 F2950F4  TSTEXT,FTNMAC,FTNTEXT REVISE OPTIONS TO USE THE HF.LIST MICRO 
          AND THE DEFINHF MACRO TO DETERMINE IF CERTAIN HARDWARE
          FEATURES ARE PRESENT. 
          SSK    04/11/79    APPLIED AGAINST FTN,TS AND OPT 
  
 FCCA475  DECL/EQU46,DPCLOSE/EQV170 ILLEGAL EXTENSION OF COMMON BLOCK 
          ORIGIN FAILS WHEN THE ELEMENT IN QUESTION EXISTS IN TWO 
          GROUPS AND *RAT-DIST GE 0*. THEN THE TEST *RATO-LOTO* FINDS 
          THE ILLEGAL EXTENSION.
          SSK    03/15/79    APPLIED AGAINST FTN,TS ,OPT
  
 FCCA487  GPO. FIX FCC1040 SO WE DONT LOSE OPTIMIZATION IN INNER LOOPS
          SIJ  4/25/79  APPLIES TO FTN 4.8, OPT 
  
 FCCA488  FTNRES.  CREATE A FET FOR ERRORS FILE FOR INTERMIXED COMPASS
          AND EQUATE IT TO OUTPUT.
          ERH    5/2/79   APPLIES TO FTN 4.8 TS AND OPT 
  
 FCCA488A FTN/IOBUFL,FTNRES ENABLE SCOPE2 TO HANDLE NEW COMPCOM WITH
          E PARAMETER ON JOBCARD FOR ERRORS FILE. 
          BEA/GARCIA   5/30/79     APPLIES TO FTN 4.8 TS AND OPT
  
 FCCA489  FTN   THESE CHANGES INVOLVE A NEW ALTERNATE ENTRY POINT (FTN4)
          FOR FTN4,TS AND OPT . VALID ONLY FOR NOS AND NOS,BE.
          EVENTUALITY IT IS EXPECTED THAT FTN4 WILL BE THE STANDARD 
          ENTRY POINT FOR FTN4,TS,OPT AND SOME ADDITIONAL CHANGES WILL
          BE REQUIRED IN FTN. 
          SSK    03/20/79    APPLIED AGAINST FTN,TS AND OPT 
  
          GPO/IHB.  FCC2113 ELIMINATED UPDATE OF LIH.  THIS MADE GRA
          FAIL TO INSERT THE PROPER PREFETCH INSIDE A LOOP BECAUSE
          GRA DID NOT RECOGNIZE A LOOP BACK JUMP IN IRA.
          SPS    6-18-79     APPLIES TO FTN 4.7.
  
 FCC2120  HEADER/PPA64 DURING THE PRINT FILE DESCRIPTION MACRO LOOP ITS 
          POSSIBLE FOR T.FILE TO BE MOVED SO IT WILL BE NECESSARY TO
          PICK UP THE ORIGIN OF T.FILE BEFORE EVERY FETCH OF THE TAG
          WORD. THE INCREMENT INTO T.FILE MUST BE SAVE LOCALLY SINCE
          THEIR ARE NO AVAILABLE REGISTERS. 
          SSK    12/11/78    APPLIED AGAINST FTN,TS 
  
 FCC2149  GPO/UPB - WHEN SEARCHING FOR TLD OF AN ABNORMAL *IP*, CHECK 
          THE WHOLE INSERT LIST.
          SIJ    2/28/79     APPLIES TO FTN 4.8, OPT=1,2
  
 FCC2157  BDT/RIO - SEQUENCE  4/SET 10/EOS/ST 10/JPX 4 . STORE FLOATED ABOVE
          EOS SINCE JPX WAS LINKED TO DEF AND LOGIC AT RIO17 WAS IN ERROR 
          SIJ    3/19/79     APPLIES TO FTN 4.7, OPT=1,2
  
 FCC2159   KEY/LCC
           DO NOT LIST OVERLAY CARD WHEN L =  0 
           KKN    3/27/79    APPLIED AGAINST FTN,TS 
  
  
 FCC2165  GRA/IRA/PVC - MOVE SHIFT INST UP SO X2 IS POSITIONED FOR TEST 
          AT PVC6.
          SIJ    4/16/79     APPLIES TO FTN 4.8, OPT=2
  
 FCC2168  FTN/ARGRNDD1 CLEAR THE ROUND OPTIONS WORD BEFORE ORING IN THE 
          NEW VALUE.
          SSK    04/20/79    APPLIED AGAINST FTN
  
 *L508*    ************************************************ 
 FCCA499X GPO/RDD.  RDD WAS ELIMINATING STORES WITHOUT SCANNING FOR 
          INTERFERING USES (EQUIVALENCE CLASSES) AFTER THE STORE. 
          SPS    8-9-79      APPLIES TO FCC,CCG 
  
 FCCA505  BATCH 
          JOB HANGS IN RECALL AT END OF COMPILATION 
          THE PROBLEM OCCURS BECAUSE THE FILE VECTOR IN LOW CORE
          IS DESTROYED WHEN A0 IS ACCIDENTLY DESTROYED WHILE PROCESSING 
          LEADING BLANK CARDS IN A SUBPROGRAM 
          TMH    09/10/79     APPLIES TO TS 
 FCCA506X  GPO/MII. AVOID MODE 1 IN GPO FOR TLD ENCOUNTERED.
 MAH      07/25/79           APPLIES TO FTN 4.8 AND CCG . 
  
 FCCA510   LSTPRO,FAX.
           ALLOW PMD TO WORK ON SCOPE2
           TMH     9/10/79     APPLIES TO FTN 4.8 
  
 FCCA511  TSTEXT,FTNTEXT.  REMOVE WARNING MESSAGES IN ASSEMBLING
          TSTEXT AND FTNTEXT ON NOS.
          BEA     9/4/79     APPLIES TO FTN 4.8 
  
 FCCA519  ALLOW FTN 4 TO BE USED WITH CURRENT COMPASS.
          MAH    10/12/79       APPLIES TO FTN 4.8
  
 FCC2061  MCG/UJR.  MCG MODES OUT WHEN THE X-REGISTER WIDTH IS
          GREATER THAN 8 AND X6 AND X7 ARE LOCKED UP AS A RESULT OF 
          A PREVIOUS ALLOCATION.  THIS CODE BREAKS THE DEADLOCK BY
          STORING OUT X6 OR X7 REGARDLESS OF ANY PREVIOUS COMMITMENTS.
          X6 OR X7 IS THEN RESTORED WITH THE PROPER VALUE BEFORE
          EXITING THE BLOCK WITHOUT DESTROYING THE CONTENTS OF THE
          THE OTHER X REGISTERS.
          SPS    7-12-79     APPLIES TO FCC 
  
 FCC2124  GRA/DUM - DO NOT SET *RF* BIT FOR SUBSCRIPTS THAT ARE NOT 
          UNCONDITIONALLY EXECUTED SO AS TO AVOID MODE ERRORS AT EXECUTION
          TIME.  DELETE THE CHECK IF *UO* IS SELECTED.
          SIJ    2/2/79      APPLIES TO FTN 4.7  OPT=1,2
  
FCC2129   REPEATING ONE OR MORE VARIABLES IN THE SAME OR
          SUBSEQUENT DATA STATEMENTS CAUSES THE COMPILER
          TO ASSIGN INCORRECT ADDRESSES.  THIS FAILURE IS 
          A REGRESSION CAUSED BY FCC1935 AND FCC2101
  
          THE INTERNAL ASSEMBLER, FAX, MUST SAVE THE NEXT 
          AVAILABLE VALUE OF THE ORG COUNTER WHEN IT
          ASSEMBLES THE PSEUDO OPERATION ORG NAME,,1
  
          THE PROBLEM OCCURS WHEN  TWO SUCH OPERATIONS
          OCCUR IN SUCCESSION WITH NO NEW DATA
          BEING ASSIGNED IN THE MEANTIME.  THIS CAUSES
          LOCATIONS TO BE SKIPPED.
  
           FCC1935 AND FCC2101 TRIED TO DETECT AND SOLVE
          THIS PROBLEM BY COMPARING THE VALUE SAVED 
          BY THE ORG NAME,,1 OPERATION AND THE
          CURRENT VALUE OF THE ORG COUNTER.  THIS 
          TECHNIQUE IS UNRELIABLE DEPENDING UPON THE
          LOCATION OF THE VARIABLES BEING REDEFINED.
  
          THE SOLUTION TO THIS PROBLEM IS TO PURGE
          FCC1935, FCC1817X, AND FCC2101 AND TO CORRECTLY INCREMENT 
          AND STORE THE ORG COUNTER IN K. WITHOUT 
          DEPENDING ON THE ADDRESSES INVOLVED.
  
          IF NO DATA HAS BEEN ASSEMBLED INTO THE LOADER 
          TEXT TABLE FOR THE DATA. BLOCK,  THEN TABC=2
          AND POSC=60 AND THE VALUE IN ORGC IS THE
          PROPER VALUE TO USE WHEN WE SET UP THIS SAME LOADER 
          TEXT TABLE AFTER THE REDEFINITION HAS TAKEN PLACE.
          IF ON THE OTHER HAND,  DATA HAS BEEN ASSEMBLED
          INTO THE LOADER TEXT TABLE FOR THE DATA. BLOCK, 
          THEN TABC>2 OR TABC=2 AND POSC<60.
          IN THIS CASE, THE PROPER ORIGIN FOR THE NEW LOADER TEXT 
          TABLE AFTER THE REDEFINITION WILL BE ORGC+1.
  
          THIS PSR ANSWERS FCC2180, FCC2195, AND FCC2234 AS WELL. 
          TMH    10/20/79    FAX
 FCC2135  GRA - DO NOT USE INTEGER POLYNOMIALS THAT INDEX LCM, BLANK
          COMMON, OR A FORMAL PARAMETER AND WHOSE INCREMENT VALUE IS
          SUFFICIENTLY LARGE IN TEST REPLACEMENT AS THIS COULD CAUSE
          A B REGISTER OVERFLOW.
          SPS 4-23-79         APPLIES FTN4.8
  
 FCC2150  LISTIO/IOL.C
          THE OPT COMPILER WILL ONLY ISSUE AN ERROR MESSAGE IF A REAL 
          SUBSCRIPT IS USED AS A DO INDEX IN A IMPLIED DO LOOP. 
          KKN    12/11/78    APPLIED AGAINST FTN,OPT
  
 FCC2170  FTN/(KEY,MIB) 
          TWO OR MORE OPTIONS USING THE SAME FILE WILL CAUSE
          COMPILATION TO TERMINATE, THIS WILL BE INDICATED IN A 
          DAYFILE ENTRY.
          KKN      4/24/79             APPLIED AGAINST FTN,TS + OPT 
  
 FCC2175  MAIN/CSB,PAR/PAR
          TO PREVENT TS COMPILER ABORTS WHEN DEAD CODE EXISTS 
          AND THE DEAD-CODE IS AN BRANCHING OUT IF STATEMENT, 
          THE LENGTH OF THE PARSE-FILE IS RESET BASED ON THE
          LENGTH BEFORE PRESENT STATEMENT(DEAD-CODE) IS PARSED. 
          ALL THE DEAD-CODE ADDED TO THE PARSE-FILE WILL BE DISCARDED.
          KKN    6/27/79     APPLIED AGAINST FTN,TS 
  
 FCC2177  ERRORS,TYPE/TYP-THE TS COMPILER DOES NOT DIAGNOSE 
          A FUNCTION NAME USED AS A VARIABLE NAME.  THE PROBLEM 
          HAS BEEN CORRECTED, AND A FATAL ERROR MESSAGE 
          WILL BE ISSUED. 
          KKN    6/1/79      APPLIED AGAINST FTN,TS 
  
 FCC2184  PAR/A=DO.  DIAGNOSE TOO FEW DO INDEX PARAMETERS.
          MRR    79/07/05    APPLIES TO FTN 4.8, TS.
  
 FCC2186  FTNTEXT, DPCLOSE/EQV.  FIX ENTRY CONDITION ON CALL TO ALLOC.
          PREVENT RECURRENCE OF ABSOLUTE VALUE AS PARAMETER.
          MRR    79/07/23    APPLIES TO FTN 4.8, OPT. 
  
 FCC2189  MAIN/RNS
          IF THE SEQ PARAMETER IS SPECIFIED ON THE FTN CONTROL
          CARD, TS COMPILER ASSUMES INPUT IS A FORTRAN
          PROGRAM AND THEREFORE FAILS TO DETECT A 
          COMPASS PROGRAM WHICH FOLLOWS A FORTRAN PROGRAM.
          KKN    7/6/79     APPLIED AGAINST FTN,TS
  
 FCC2194  TSTEXT,TABLES,GEN/A=ARRAY/O=SUBL.  PREVENT REGISTER DEADLOCK
          ON SUBSCRIPTED SUBSCRIPTS.
          MRR    79/07/16    APPLIES TO FTN 4.8, TS.
  
 FCC2196  PAR/PAR.TNK.  SEQUENCE POINTERS PROPERLY WHEN DIAGNOSING AN 
          OPERATOR/OPERAND ERROR INVOLVING A CONSTANT.
          MRR    79/07/10    APPLIES TO FTN 4.8, TS.
  
 FCC2203  GEN/RMAC
          FTN,TS COMPILER TREATS A VARIABLE CONTAINING MINUS
          ZERO VALUE AS NEGATIVE IN ARITHMATIC IF STATEMENT.
          THE PROBLEM IS CORRECTED BY NORMALIZING THE VARIABLE
          IN AN ARITHMATIC IF STATEMENT BEFORE THE VALUE IS TESTED
          TO DETERMINE WHETHER THE VARIABLE CONTAINS A NEGATIVE, ZERO,
          OR POSITIVE VALUE.
          KKN    7/23/79     APPLIED AGAINST FTN,TS 
  
 FCC2204  PRE.  FAILURE TO ZERO FILL GLT TABLE DURING INITIALIZATION
          RESULTED IN MODE ERROR WHEN OPT=2, R=3 OPTION CHOSEN
          AND THERE IS DEAD CODE. 
          SPS    8-13-79     APPLIES TO FTN4. 
  
 FCC2212X BDT/FTL.  FTL WAS NOT FORMING DEPENDENCY LINKS FROM A 
          TEMPORARY *RS* TO FULL *RS*. IN ADDITION RIO WOULD OFTEN FLOAT
          ALL FULL *RS* POSSIBLE IN A CLASS OF REGISTERS ABOVE A TEMP OF
          THE SAME CLASS.  THIS MADE LIFE FOR MCG PRETTY TOUGH. 
          SPS    9-13-79     APPLIES TO FTN4.8,CCG
  
 *L518*    ************************************************ 
 FCC*80   FTN/FTNRES. UPDATE COPYRIGHT INFORMATION FOR 1980 
          BEA    79/09/28    APPLIES TO FTN 4.8 
  
 FCCA473  FTN,LSTPRO. FIXES PD=8 PROBLEMS.
          KKN    11/13/79     APPLIES FTN 4.8 TS, OPT 
  
 FCCA509X GPO/CBB,GRA/CLB,MIO.  CBB IN BUILDING AN *EBB* ASSUMMED 
          THAT THE PHYSICAL PRED. OF A HB IN THE BST TABLE WAS
          ALWAYS THE LOGICAL PRED. AS WELL.  THIS IS NOT ALWAYS 
          THE CASE AND ADDITIONAL CODE WAS ADDED TO CHECK FOR THIS. 
          SPS    10-2-79     APPLIES TO FTN4.8,CCG. 
  
 FCCA513X GPO/MII,FXI.  MII WAS MAKING INSUFFICIENT TEST ON 
          WHETHER INVARIANT STORES COULD BE MOVED.  WHAT WAS
          NEEDED WAS A CHECK ON THE REGION LIVE ENTRY VECTOR (LEA). 
          CODE WAS ADDED TO CALCULATE LEA BEFORE MII WAS CALLED.
          BEFORE FXI CALCULATED LEA.
          SPS    10-10-79    APPLIES TO FTN4.8,CCG. 
  
 FCC2174  PAR/A=BEF.  REPAIR SPURIOUS FIELD-LENGTH SENSITIVE TYPE-
          MISMATCH ERRORS ASSOCIATED WITH RESULT OF BASIC EXTERNAL
          FUNCTIONS IN TRACE MODE.  A SYMBOL TABLE POINTER WAS BEING
          CARRIED ACROSS *FAL*, WHICH DOES A TABLE MANAGER CALL.
          MAH    11/3/79     APPLIES TO FTN 4.8, OPT
  
 FCC2198  FTN/ARG.  DIAGNOSE ILLEGAL OPT= VALUE.
          MAH    11/3/79     APPLIES TO FTN 4.8 . 
  
 FCC2207  MCG/UJR  UJR IN SEEKING TO UNJAM REGISTERS WAS STORING OUT
          AN OPERAND OF THE INSTRUCTION IT IS ATTEMPTING TO ISSUE.
          THIS WOULD REMOVE THAT INSTRUCTION OF THE ISSUE CANDIDATE LIST
          MAKING IT IMPOSSIBLE TO ISSUE BEFORE THE DESTROYED OPERAND
          COULD BE RELOADED.  A MODULE WAS ADDED TO RECOGNIZE THIS
          AND TOGGLE THE OPERAND REGISTER WITH A REGISTER OF THE NEEDED 
          CLASS WITHOUT A STORE TO MEMORY.  THIS WAS DONE BY ISSUEING A 
          SERIES OF XOR'S.
          SPS    11-01-79     APPLIES TO FTN4.8.
  
 FCC2222  FTN.  ALLOW LCM FL TO BE RESET AFTER MORE THAN 400000B
          HAS BEEN REQUESTED DURING COMPILATION.
          BEA   8/31/70     APPLIES TO FTN 4.8 (7600/176 ONLY)
  
 FCC2228   STMTP/FMAC 
           WHEN THE FORTRAN COMPILER IS COMPILING A PROGRAM WITH
           DEBUG ON AND LCM EQUAL I, IT FAILS TO ADD THE OFFSET OF THE
           FIRST UNSUBSCRIPTED VARIABLE WITHIN THE COMMON BLOCK DURING
           I/0 MACRO PROCESSING.
           THE PROBLEM CAN BE FIXED IF THE COMPILER FIRST CHECKS
           WHETHER IT IS OPERATING UNDER DEBUG MODE BEFORE IT DETERMINES
           WHETHER THE DIMP FIELD IS ANY GOOD.  EVEN IF THE DIMP FIELD
           IS ZERO, IT STILL REPRESENTS A RELOCATABLE ADDRESS FOR 
           SCA TABLE, BECAUSE COMPASS IS USING ZERO BASE IN CALCULATION 
           FOR TABLES AND ARRAYS. 
           KKN    10/23/79    APPLIED AGAINST FTN 
  
 FCC2229  TSDATA/ODI,DATA/ODI 
          TS COMPILER FAILED TO INITIALIZE THE IMAGINARY PART 
          OF A COMPLEX NUMBER IF ONLY THE REAL PART OF A COMPLEX
          NUMBER IS SPECIFIED.   OPT COMPILER WILL INITIALIZE THE 
          IMAGARY PART OF A COMPLEX NUMBER EVEN IF ONLY THE REAL PART 
          IS SPECIFIED; HOWEVER, IT WILL NOT INITIALIZE THE IMAGINARY 
          PART IF THE COMPLEX VARIABLE IS DIMENSIONED.  THE PROBLEM 
          VANISHES WHEN THE USER SPECIFIED BOTH THE REAL AND IMAGINARY
          PART OF A COMPLEX NUMBER.  THE PROBLEM IS CORRECTED BY FORC-
          ING THE COMPILER TO OUTPUT TWO WORDS INSTEAD OF ONE WHEN A
          INCOMPLETE COMPLEX NUMBER(EX. ONLY REAL PART IS SPECIFIED)
          IS ENCOUNTERED BY THE COMPILER. THE ABOVE PROBLEM IS CONCERNED
          ONLY WITH DATA STATEMENTS IN A DECLARATIVE PART OF A FTN PROG.
          KKN    9/26/79     APPLIED AGAINST FTN,TS &OPT
  
 FCC2230X GPO/DIF.  DIF ASSUMED RK = 0 WAS A SUFFICIENT CONDITION FOR 
          RECOGNIZING UNARY TYPE I INSTRUCTION.  HOWEVER A PACK WITH
          A RJ = 0 IS AN EXCEPTION.  DIF WOULD THEN PICK UP A BOS IN
          FORMING AN INCREMENT FORMULA. 
          SPS    9-19-79     APPLIES TO FTN4.8,CCG. 
  
 FCC2240  ARITH/EXPOP.  WHEN PROCESSING AN EXPONENTIATION WHICH 
          IS PART OF AN ACTUAL ARGUMENT EXPRESSION TO A TRACED FUNCTION 
          IN DEBUG MODE, THE FUNCTION PROCESSORS (CARGPORT AND ARG1PRT) 
          WOULD ATTEMPT TO TRACE THE RJ XTOY$ ETC.  TO AVOID THIS 
          THE EXPONENTIATION PROCESSOR WILL ZERO THE FUNCTION TRACE FLAG
          AND RESET IT AFTER THE CALL TO EXPONTIATE IS EMITTED. 
          MAH    11/3/79     APPLIES TO FTN 4.8 . 
  
 CCGA025  GPO/MIP.  AVOID MOVING MULTIPLY THAT IS NOT UNCONDITIONALLY 
          EXECUTED IF OPERANDS NOT SAFE.
          MAH    12-15-79    APPLIES TO CCG.
  
 FCC2273X BDT/RIO.  BAD CODE GENERATED FOR FCC2157.  FALSE ASSUMPTION 
          WAS MADE BECAUSE BM FLAG TEMPORARILY SET ON BOS.  FOLLOWING 
          CONSEQUTIVE DEFS AT BEGINNING OF SEQUENCE - LOOP AT RIO16 
          EXITED ON A BOS AND NOT A DEF AND THE RMIN VARIABLE(KEEPS 
          FIRST DEF IN SEQUENCE) WAS NOT UPDATED. 
          REPLACES (PURGES) FCCA504AX.
          SPS    12-17-79    APPLIES FTN 4.8, CCG 
  
 *L528*    ************************************************ 
 RSM4033  CPL/REFMAP
          COMPILER FAILS TO DETECT IF USER OMITS LCM=I BUT USES 
          400K LCM. THE SOLUTION IS LCM = I MUST BE SPECIFIED IF
          THE EXECUTION LCM FIELD LENGTH EXCEEDS 131,071 WORDS. 
          KKN    1/16/80    APPLIED AGAINST FTN,OPT 
  
 FCCA493  HEADER/PSF
          THE TS COMPILER ISSUED INAPPROPRIATE ERROR DIAGNOSTIC 
          THE PROBLEM OCCURED BECAUSE INCORRECT INFORMATION WAS 
          ACCIDENTIALLY STORED DURING DUMMY PROGRAM CARD PROCESS- 
          ING.  THE FORMAT STATEMENT PROCESSOR PICKED UP WRONG
          INFORMATION AND IT ISSUED THE ERROR MESSAGE BEFORE IT 
          COULD FURTHER SCAN AND PROCESS THE STATEMENT. 
          KKN     11/12/79   APPLIED AGAINST FTN,TS 
  
 FCCA526  ASF/AFD 
          WHEN A DUMMY ARGUMENT APPEARS MORE THAN ONCE IN AN ASF
          DEFINITION, THEN AN ERROR MESSAGE IS ISSUED.  AND AN
          UNWANTED UNINITIALIZED ENTRY IS ADDED TO TT.SCR.  SUB-
          SEQUENT PROCESSING OF THIS UNINITIALIZED ENTRY MAY OR MAY 
          NOT PRODUCE A SECOND ERROR MESSAGE.  THIS SECOND MESSAGE IS 
          UNWANTED AND THE FILLER CHARACTERS IN THE MESSAGE ARE UN- 
          INITIALIZED. THIS CORRECTIVE CODE ELIMINATES THE UNWANTED 
          TT.SCR ENTRY AND THE RANDOM OCCURANCE OF THE UNWANTED ERROR 
          MESSAGE.
          KKN     11/29/79    APPLIED AGAINST FTN,TS
  
 FCCA527  DPCLOSE 
          THE FAILING PROGRAM CONTAINS A VARIABLE WHICH IS DEFINED IN COMMON, 
          APPEARS IN AN EQUIVALENCE STATEMENT, AND IS THE SUBJECT OF A
          C$STORES DEBUG STATEMENT.   C$ TRACE IS ALSO PRESENT AND THE
          PROGRAM IS COMPILED WITH THE D OPTION.  THE PROBLEM OCCURS WHEN 
          THE LOW ORDER BIT OF THE DEBUG TABLE ORDINAL FIELD OF WORD B
          OF SYMBOL TABLE ENTRY IS DESTROYED WHEN THE EQUIVALENCE 
          PROCESSOR ATTEMPTS TO UPDATE THE RB FIELD FOR THE VARIABLE IN COMMON. 
          THIS OCCURS BECAUSE A MASK DERIVED FROM EO.RBL (VALUE IS 8) WAS 
          USED INSTEAD OF A MASK DERIVED FROM L.RB (VALUE IS 7). FIX IS TO
          USE L.RB
          TMH    01/07/80    APPLIES TO FTN,OPT 
  
 FCCA530  PROSEQ. AVOID ASSORTED MODE ERRORS OR TIME LIMITS IN OPT=2. 
          BLOCK TABLE WAS BEING SHRUNK BY TABLE OVERFLOW PROCESSOR
          ALTHOUGH TABLE MANAGER WAS INVOKED TO ALLOCATE BLOCK SPACE. 
          FTN 4 VERSION OF CCGA027. 
          MAH    12-26-79    APPLIES TO FTN 4.8, OPT = 2. 
  
 FCCA531  FAX,PH1CTL
          THE CODE CAUSES FTN TO ISSUE A RETURN JUMP TO Q4PMD 
          WHENEVER PMD IS SPECIFIED ON THE FTN CONTROL CARD. PREVIOUSLY 
          FTN WOULD CALL EITHER Q2NTRY OR FTNRP2. 
          RLD.   01/31/80.   APPLIES TO OPT ONLY
  
 FCCA532  DIAGNOSE ILLEGAL CONTROL CARD FTN,TS,PMD
          TMH    01/29/80    FTN
  
 FCCA533  PAR.  GENERATE CORRECT CODE FOR  A/2./B/3.*4. 
          RECOGNIZE MULTIPLY POPPING DIVIDE-INVENTED MULTIPLY, AND
          AVOID STACKING REAL MULTIPLY FOR CONSTANT SUBSUMPTION IN
          THAT CASE.
          MAH    1/25/80     APPLIES TO FTN 4.8, TS . 
  
 FCCA534  BATCH/RUN1A,MAIN/WOF,LSTPRO(FTNEND,FA=NPG)
          THE COMPILER WRITES AN UNWANTED S CARRIAGE CONTROL
          CHARACTER ON A CONNECTED LISTING FILE.  THIS PROBLEM WAS
          INTRODUCED BY FCCA473 AND OCCURS BECAUSE CP.PD CAN HAVE 
          ONE OF THREE VALUES (S, T, OR 0) WHEN THE LISTING FILE IS 
          CLOSED.  THE EXISTING CODE ASSUMED CP.PD WOULD BE S OR T. 
          THE CORRECTIVE CODE WILL RECOGNIZE THAT CP.PD MAY BE ZERO 
          INDICATING A CONNECTED LISTING FILE AND AVOID WRITING THE 
          UNWANTED CARRIAGE CONTROL.
          TMH    02/25/80 
          KKN    2/25/80     APPLIED AGAINST FTN,TS & OPT 
  
 FCCA535  STLOAD,END/DFT,ENDPRO/OSL 
          STATIC OPTION MOD NEEDED IN CONJUNCTION WITH FCL1517. 
          IN CASES WHERE THE MAIN PROGRAM IS COMPILED WITH STATIC 
          OPTION TURNED ON, THE FTN COMPILER WILL ISSUE A LDSET USE=
          STLCMM. WHEN STATIC IS ON FOR OTHER THAN THE AFOREMENTIONED 
          CASE FTN COMPILER DOES NOT ISSUE THIS LDSET.
          KKN    2/15/80     APPLIED AGAINST FTN,OPT & TS 
  
 FCCA536  LSTPRO
          THIS CODE CHANGES THE FILE DESCRIPTION FOR THE ZZZZZSY
          FILE FOR SCOPE 2 PMD
          TMH    02/25/80    APPLIES TO FTN,OPT 
  
 FCCA537  CALL
          CHANGE RETURN,PH2RETN TO RETURN=PH2RETN IN THE POSTER MACRO 
          CALL FOR E317 
          TMH    02/27/80    APPLIES TO FTN,OPT 
  
 FCCA543  IO
          COMPLEX LWA(5)
          BUFFER IN/OUT (1,0) (FWA,LWA(I))
          FTN,TS BUFFER IN/OUT STATEMENTS TRANSFER ONE TOO FEW WORDS
          WHEN LWA IS A COMPLEX OR DOUBLE PRECISION ARRAY ELEMENT 
          WHOSE ADDRESS MUST BE PLUGGED INTO AN APLIST AT RUN TIME. 
          THE CALCULATED ADDRESS MUST BE INCREMENTED BY ONE TO AVOID
          LOSING THE LAST WORD. 
          TMH    06/12/80    APPLIES TO FTN,TS
  
 FCCA546X MCG 
          THE COMBINATION .CPU=73 AND .DAL=NZ CAUSES MCG ASSEMBLY 
          ERRORS.  THIS HAPPENS WHEN HF.LIST IN IPTEXT SELECTS L, S0, 
          AND PS.   (LCM AND A SERIAL MACHINE)
          TMH    06/02/80    APPLIES TO FTN,OPT AND CCG 
  
 FCC2292  DATA/PDV,FTNMSG 
          FTN OPT COMPILER FAILS TO DIAGNOSE LOCAL VARIABLE WHICH 
          HAD NOT DECLARED IN LABEL OR NUMBER COMMON IN BLOCK DATA
          SUBPROGRAM, BUT FTN TS COMPILER CATCH THE ERROR.  THE 
          CORRECTIVE CODE WILL FIX THE PROBLEM. 
          KKN    2/27/80     APPLIES AGAINST FTN OPT
  
 FCCA549  DATA,FTNMSG 
          CHANGE SEVERITY OF MESSAGE E.DNC = 326 TO INFORMATIVE 
          TMH    06/13/80    APPLIES TO FTN,OPT ONLY
  
 FCCA550X BDT/IPL.  CLEAR EXTRANEOUS FIELDS OF LINK WORD TO AVOID 
          MODE 1 IN BDT AT OPT=1. 
          SPS    80/06/12    APPLIES TO FTN,OPT AND CCG.
  
 FCCA551  FAX 
          THE CODE FOR THIS IDENT CAUSES THE FTN 4 COMPILER TO
          WRITE THE MAP AND PRESET LDSET TABLES TO THE LGO FILE 
          WHEN PMD IS SPECIFIED ON THE FTN CONTROL CARD. THE TABLES 
          ARE NOW THE SAME FOR NOS, NOS/BE AND SCOPE 2. 
          RLD    06/26/80.   FTN. 
  
 FCC1768  PS1CTL/PH2CTL 
          THE FAILING TEST CONTAINS A DECLARATIVE STATEMENT OUT OF SEQUENCE 
          FOLLOWED BY A C$DEBUG STATEMENT.  THE INTEGER STATEMENT IS
          DIAGNOSED IN PS1CTL BUT THE SUBSEQUENT ERROR RECOVERY GETS INTO 
          TROUBLE BECAUSE IT FAILS TO ANTICIPATE THE C$DEBUG STATEMENT. 
          THE COMPILER ABORTS WITH A PP CALL ERROR WHEN IT ATTEMPTS USE 
          THE PS1CTL JUMP TABLE TO PROCESS THE C$DEBUG STATMENT.
          TO FIX THE PROBLEM,AFTER THE DIAGNOSTIC IS POSTED, IF THE NEXT
          STATEMENT IS A C$DEBUG STATEMENT, THE PS1CTL CALLS SCANNER AND
          THEN CALLS DBGINTX TO PROCESS THE DEBUG STATEMENT OR STATEMENTS.
          IF THE NEXT STATEMENT IS NOT A C$DEBUG STATEMENT, THE FLOW OF 
          CONTROL REMAINS AS IT IS. 
          THE SAME PROBLEM OCCURS WHEN A PROGRAM HEADER APPEARS OUT OF
          SEQUENCE AND THE NEXT STATEMENT IS A DEBUG STATEMENT. 
          KKN    2/5/80      APPLIED AGAINST FTN, OPT 
  
 FCC2202
          WHEN A READ OR DECODE STATEMENT REFERENCES A
          FORMAT WHICH CONTAINS THE V OR = SPECIFICATIONS,
          THE VARIABLES IN THE IOLIST WHICH CORRESPOND TO 
          THE V AND = ARE REFERENCES.  DURING OPTIMIZATION, 
          THE OPT=2 COMPILER ASSUMES THAT ALL VARIABLES 
          IN THE IOLIST CORRESPOND TO VARIABLE DEFINITIONS. 
          THIS SETS THE STAGE FOR UNWANTED OPTIMIZATIONS AND
          THE SUBSEQUENT FAILURE OF THE READ OR DECODE STATEMENT. 
  
          THE SOLUTION IS AS FOLLOWS.  EACH FORMAT WHICH
          CONTAINS THE V SPECIFICATION OR = SPECIFICATION, WILL BE
          SO IDENTIFIED IN ITS SYMBOL TABLE ENTRY.
          THE IOLIST HEADER IN THE RLIST WILL BE MODIFIED 
          TO CONTAIN THE FORMAT SYMBOL TABLE ORDINAL IF ANY.
          WHEN THE RLIST IS PROCESSED IN PRE,  ALL VARIABLES IN 
          THE IOLIST OF A READ OR DECODE WILL BE TREATED
          AS REFERENCES,  IF THE ASSOCIATED FORMAT CONTAINS V OR =. 
  
          THIS SOLUTION SACRIFICES SOME LEGITIMATE OPTIMIZATION 
          BUT SOLVES THE PROBLEM. 
          SOLUTION ALSO APPLIES AGAINST WHEN A READ OR DECODE 
          STATEMENT REFERENCES A VARIABLE FORMAT. 
          TMH    09/14/79 
  
 FCC2239  REFMAP
          WHEN R=3 IS SPECIFIED AND THERE IS NOT ENOUGH 
          FIELD LENGTH TO BUILD A COMPLETE REFERENCE TABLE
          THE COMPILER READS IN THE REMAINDER OF THE
          REFERENCE BLOCK FROM THE FILE FTNRMAP (ZZZZZRM) 
          IN ORDER TO CALCULATE THE SPACE REQUIRED. 
          THE REFERENCES BLOCK IS TERMINATED BY ONE OR
          MORE ZERO WORDS.  THE COMPILER READS IN THE FILE
          ONE PRU AT A TIME EXAMINING THE LAST WORD 
          FOR A ZERO.  UNFORTUNATELY,  THE FILE CONTAINS
          LEGITIMATE ZERO WORDS AND THE SEARCH FOR
          THE END OF THE REFERENCES BLOCK MAY STOP
          PREMATURELY.  WHEN THE CROSS REFERENCE PROCESSOR
          RESUMES PROCESSING THE FTNRMAP FILE FOR THE 
          COMMON BLOCKS SECTION, IT IS POSITIONED AT
          THE WRONG PLACE AND BAD THINGS HAPPEN.
          THE FIX IS TO SEARCH FOR AN END OF LINE IN THE
          SECOND LAST WORD OF THE PRU AS WELL AS A FULL 
          WORD OF ZEROES IN THE LAST WORD OF THE PRU. 
          TMH    11/12/79    APPLIES AGAINST FTN
  
 FCC2246  PH1CTL,FTNMSG,TSTEXT,ERRORS,HEADER
          CORRECTIVE CODE REDUCES TO 49 THE NUMBER OF FILES THAT
          MAY BE SPECIFIED ON A FORTRAN PROGRAM CARD. 
          RLD    10/26/79       APPLIES TO FTN 4.8, TS AND OPT
  
 FCC2253  FTN/CCERR 
          FORTRAN COMPILER DIAGNOSED INFORMATIVE CONTROL CARD ERRORS AS 
          FATAL ERRORS.  IN TURN, IT FORCED THE OPERATING SYSTEM TO SKIP
          TO NEXT EXIT CARD. THE PROBLEM IS CAUSED BY FIX OF PSR FCC2104
          BY DELETED SOME PORTION OF FCC2104, THE PROBLEM DISAPPEARED.
          KKN    11/21/79    APPLIED AGAINST FTN,TS 
  
 FCC2259  END 
          FTN,TS,R=0 CAUSES A GARBAGE WORD TO APPEAR IN THE LGO FILE. 
          THE PROBLEM OCCURS WHEN THE END PROCESSOR ABSENT
          MINDEDLY STORES THE PROGRAM LENGTH INTO LPS.PL IN THE 
          ROUTINE MAP EVEN THOUGH THE ROUTINE MAP HAS BEEN OVERLAYED
          BY THE LONG FILE. 
          THE FIX IS TO RECOGNIZE R=0 AND SKIP THE DESTRUCTIVE STORE
          THE SAME PROBLEM IS FIXED BY FCC2069A FOR L=0 
          TMH    12/04/79 
  
 FCC2272  MAIN/(CNT,BUL)
          FTN,TS COMPILER GIVES CPU ERROR EXIT WHEN COMPILING A PROGRAM 
          WITH STATEMENTS THAT GO BEYOND COLUMN 72 UNDER SEQ INPUT MODE.
          THE ROOT OF THE PROBLEM IS THAT NOT ENOUGH ROOM IS ALLOCATED
          FOR STRING-BUFFER WHEN A STATEMENT IS LONGER THAN 66 CHARACTERS 
          WHEN THAT HAPPENED, PORTION OF THE STRING-BUFFER IS CLOBBERED.
          THE SOLUTION TO THE PROBLEM IS TO INCREASE STORAGE SPACE TO 
          74 CHARACTERS INSTEAD 68 OF CHARACTERS. 
          KKN    12/14/79    APPLIES AGAINST FTN,TS 
  
 FCC2277  GPO/MII. AVOID MOVING INVARIANT INDEXED LOAD OUT OF 
          LOOP IF PROTECTED BY CONDITIONAL BRANCH, UNLESS OPT=3.
          MAH    01-08-80    APPLIES TO CCG . 
  
 FCC2282  REG/CWI.  AVOID RECURSIVE CLI CALL (TIME LIMIT IN REG). 
          MAH    1/25/80     APPLIES TO FTN 4, TS.
  
 FCC2285  LISTIO/IOL.C
          FTN OPT COMPILER FAILS TO DIAGNOSE ILLEGAL PARENTHESIS
          WITHIN IMPLIED DO SPECIFICATION.  FTN TS COMPILER CATCHES 
          THE ERROR.  THE CORRECTION CODE WILL FIX THE PROBLEM. 
          MESSAGE 418 WILL BE CORRECTED.
          KKN    2/28/80     APPLIED AGAINST FTN OPT
  
 FCC2288  MCG/UJR.  CONFLICT FOUND IN REGISTER USAGE OF X5.  AT URJ3 IF 
          THE TOP BIT OF X5 IS 0 THEN A SUTIABLE RESULT REGISTER HAS
          BEEN FOUND.  OTHERWISE, EITHER X6 OR X7 MUST BE STORED AND UJR
          TRIES TO FIND A SUTIABLE REGISTER.  THE INSTRUCTIONS REMOVED
          FROM THIS CORRECTIVE CODE DESTROYED THE CONTENTS OF X5 BEFORE 
          THE CHECK COULD BE MADE.
          SPS    80/03/12    APPLIES TO FTN 4.8, OPT. 
  
 FCC2291  PAR,DOPROC,FTNMSG 
          DO SN IV=M1,M2,M3 
          CHANGE TS AND OPT COMPILERS TO DIAGNOSE CONSTANT
          VALUES OF M1, M2, OR M3 WHICH EXCEED 131,070. 
          BOTH COMPILERS GENERATE BAD CODE WHEN THE OLD 
          LIMIT 131,071 IS USED.  NO ATTEMPT IS MADE TO 
          DIAGNOSE THE UNPREDICTABLE RESULTS WHICH WILL 
          OCCUR WHENEVER M1+M3 OR M2+M3 EXCEEDS 
          131,070 EVEN WHEN THE VALUES OF M1,M2,AND M3
          ARE KNOWN AT COMPILE TIME.
          TMH    04/25/80    APPLIES TO FTN,OPT AND FTN,TS
  
 FCC2305  FTNTEXT,ARITH 
          CALL JOE (X) $ CALL JOE                GETS DIAGNOSED 
          CALL JOE     $ CALL JOE (X)            DOES NOT 
          THE PROBLEM OCCURS BECAUSE ARITH INTERPRETS A ZERO
          IN THE FARG FIELD OF WORD B OF THE SYMBOL TABLE 
          TO MEAN NO ARGUMENTS AND AT THE SAME TIME TO INDICATE 
          THE FIRST CALL TO THE SUBROUTINE.   THE FIX IS TO USE A 
          SEPARATE BIT (P.FCALL) IN WORD B TO INDICATE WHEN TWO 
          CALLS HAVE BEEN ENCOUNTERED SO WE CAN COMPARE THE NUMBER OF ARGUMENTS 
          RLD    05/15/80 
          TMH    05/15/80    APPLIES TO FTN,OPT 
  
 FCC2306  PH1CTL
          PROGRAM LONGNAME
          IMPLICIT ETC. 
          CAUSES DECLARATIVE OUT OF SEQUENCE MESSAGE EVEN 
          AFTER CORRECTING LONGNAME TO START. 
          SCANNER TYPES THE PROGRAM STATEMENT 22 INSTEAD OF 0 AND 
          THE RELATIONSHIP BETWEEN THE IMPLICIT STATEMENT AND THE 
          PROGRAM STATEMENT IS LOST.   THE FIX IS TO RETYPE THE PROGRAM 
          STATEMENT TO 0. 
          TMH    04/11/80    APPLIES TO FTN,OPT 
  
 FCC2313  REFMAP
          OPT COMPILER FAILS TO HONOR THE A PARAMETER 
          WHEN CM EXCEEDS 131K
          TMH    05/01/80    APPLIES TO FTN,OPT 
  
 FCC2319  FAX 
          FAX FAILS TO COMPILE NAME MACRO PROPERLY
          NMLREF IN FAX EXECUTES THE GCH MACRO WITHOUT EXECUTING THE CWD
          MACRO AND THEN CALLS CONVERT.  THIS SEQUENCE FAILS WHEN A WORD
          BOUNDARY OCCURS AFTER THE FIRST CHARACTER OF THE STRING TO BE 
          CONVERTED.
          THE FIX IS TO EXECUTE CWD BEFORE CALLING CONVERT
          TMH    05/16/80    APPLIES TO FTN,OPT 
  
 *L538*    ************************************************ 
 FCC*81   FTN/FTNRES
          UPDATE COPYRIGHT INFORMATION FOR 1981 
          SSK    09/17/80    APPLIED AGAINST FTN 4.8
  
 FCCA540  IO/PTN
          THE STATEMENT PRINT K(1) CAUSES THE TS COMPILER TO SKIP 
          PAST THE EOS IN THE STRING BUFFER AND GENERATE FATAL
          DIAGNOSTICS.  THE ROUTINE PTN IS LOOKING IN THE WRONG 
          PLACE (B4 IS ONE TOO BIG) FOR A COMMA FOLLOWING THE 
          PRINT K(1).  IN THE FAILING TEST, THE CHARACTER IN THE SB 
          IS K WHICH HAS THE SAME OCTAL REPRESENTATION AS COMMA, B4 IS
          ADVANCED, AND THE EOS IS MISSED.
          THE FIX IS TO AVOID TESTING FOR THE COMMA WHEN B4 
          POINTS TO THE EOS.
          TMH    08/12/80    APPLIES TO FTN,TS
  
 FCCA553  REFMAP, OPTIONS (TSTEXT,FTNMAC,FTNTEXT) 
          THE VALUE OF THE LCM MACRO SHOULD BE LCM WHEN 
          THE IPTEXT SYMBOL HF.L = 1 AND ECS WHEN HF.L = 0 AND SHOULD 
          NOT DEPEND ON .CPU
          TMH    08/07/80    APPLIES TO FTN,OPT 
  
 FCCA556  ERPRO 
          OPT=2 INCORRECTLY REMOVES CODE FROM LOOPS CONTAINING READ OR
          DECODE STATEMENTS WHOSE FORMATS CONTAIN THE O SPECIFICATION.
          THIS IS A REGRESSION CAUSED BY FCC2202. 
          TMH    12/18/80    APPLIES TO FTN,OPT=2 
  
 FCCA557  ALLOC,HEADER
          FTN,TS,R=3,OL SOMETIMES PRODUCES A BINARY WITH AN INVALID 
          TRANSFER ADDRESS BECAUSE THE OBJECT TIME REPRIEVE CODE IS 
          MISSING.  SOR IN HEADER FAILS TO WRITE THE OTR CODE TO
          DISK WHEN THE LONG FILE IS INITIALLY ASSIGNED TO DISK.
          LOSS OF THESE TWO INSTRUCTIONS CAUSES THE TRANSFER ADDRESS
          TO BE ONE WORD TO LARGE.  THIS CAUSES PROGRAM INITIALIZATION
          TO BE SKIPPED AT EXECUTION TIME.  THE FIX IS TO CORRECT AN
          INVALID TEST IN ALLOC USED TO DETERMINE TT.LF SHOULD REVERT TO
          DISK.  ALSO, SOR WILL WRITE THE OTR INSTRUCTIONS TO DISK
          IF NECESSARY. 
          TMH    10/28/80    APPLIES TO FTN,TS
  
 FCC2125  FTN,FTNRES,FTN10,FTN20
          THE CODE FOR THIS IDENT MODIFIES FTN SO THAT CONTINUATION 
          CONTROL CARDS MAY BE SPECIFIED WITH A NEW CONTROL CARD
          PARAMETER, WHICH IS -CC-. HOWEVER, SINCE THERE WAS NOT
          ENOUGH ROOM IN FTN RESIDENT TO ACCOMMODATE THE ADDITIONAL 
          CODE, THE OVERLAY DIRECTIVES (FOR FTN10 AND FTN20) WERE 
          MODIFIED TO DIRECT THE LOADER TO LOAD THE OVERLAYS AT 
          2777B (777B ON SCOPE 2) EVEN THOUGH THE INITIALIZATION CODE 
          GOES BEYOND THAT. 
          ONCE THAT WORKED, IT WAS REALIZED THAT THE CONTRLC MACRO
          WIPED OUT RA+2, WHICH IS WHERE THE FILE VECTOR TABLE HAD
          BEEN STORED.  THE FILE VECTOR TABLE IS NOW MOVED TO RA+2
          IN ROUTINE MIB (AFTER THE CONTROL CARD CRACKER) AND NOT 
          ROUTINE MIA WHICH COMES BEFORE THE CONTROL CARD CRACKER.
          RLD.   06/12/80.   FTN. 
  
 FCC2307  FTNMSG,ARITH
          FTN,OPT COMPILER FAILS TO GIVE A NON-ANSI DIAGNOSTIC WHEN 
          THE SAME NAME IS USED AS A FUNCTION AND AS A SUBROUTINE 
          TMH    07/14/80    APPLIES TO OPT AND TS
  
 FCC2318  NUM 
          INVALID DO STATEMENTS CAUSE MODE ERROR IN FTN,TS COMPILER 
          WHEN RDE (IN NUM) REMOVES A NONEXISTENT DO TABLE ENTRY. 
          RLD.   09/09/80.   FTN,TS.
  
 FCC2321  DOPROC
          DO SN IV=M1,M2,M3 
          CHANGE FTN,OPT COMPILER TO ACCEPT ARRAY NAMES FOR M1, M2, 
          AND M3 AND PRODUCE AN ANSI DIAGONOSTIC AS IN FTN,TS 
          TMH    08/19/80    APPLIES TO FTN,OPT 
  
 FCC2323  DPCLOSE 
          THE FAILING PROGRAM CONTAINS AN ARRAY DEFINED IN COMMON 
          WITH VARIABLE DIMENSIONS (THIS IS AN ERROR) AND THE ARRAY 
          IS MENTIONED IN AN EQUIVALENCE STATEMENT.   THE COMPILER
          MODES OUT WHEN IT USES A INVALID POINTER INTO THE DIMTAB
          DURING EQUIVALENCE PROCESSING 
          RLD     07/09/80     APPLIES TO FTN,OPT 
  
 FCC2330  IO
          FTN,TS LIST DIRECTED PRINT STATEMENTS BEHAVE LIKE WRITE 
          STATEMENTS WHEN THE UNIT DESIGNATOR IS A VARIABLE AND THE 
          IOLIST CONTAINS HOLLERITH CONSTANTS.  THE PRINTED CONSTANTS 
          SHOULD NOT BE ENCLOSED IN QUOTES. 
          TMH    08/11/80    APPLIES TO FTN,TS
  
 FCC2334  GRA/MFA.  FCC2135 WAS INTRODUCED TO CORRECT A PROBLEM 
          WITH LOOP TEST MECHANISMS.  THE OPTIMISER IN SEEKING TO REDUCE
          THE NUMBER OF REGISTERS IT ASSIGNS ACROSS A LOOP SEEKS TO REPLACE 
          THE LOOP VARIABLE WITH A VARIABLE ASSIGNED TO A B REGISTER
          WHICH INDEXES AN ARRAY IN THE LOOP TEST MECHANISM.  HOWEVER 
          TROUBLE WITH B REGISTER OVERFLOW OCCURRED WHEN THE VARIABLE INDEXED 
          LCM, FORMAL PARAMETERS OR BLANK COMMON AND THE INCREMENT VALUE OF 
          THE VARIANT WAS SUFFICIENTLY LARGE.  FCC2135 INTRODUCED CODE TO 
          CHOOSE AN ALTERNATIVE MECHANISM IF ANY OF THE ABOVE CONDITIONS
          WERE MET.  HOWEVER PROBLEMS ALSO OCCURRED WHEN THE OPTION LCM=I 
          IS CHOSEN.  IN THIS CASE THE RLIST CODE GENERATED IS SUCH THAT
          THERE IS NO EASY WAY OF DETERMINING WHAT ARRAYS THE VARIANT IS
          REALLY INDEXING.  CODE HAS BEEN INTRODUCED SO THAT THE VARIANT
          I WILL NOT BE USED IN LOOP TEST MECHANISMS IF THERE IS A RCT
          ENTRY WHERE RF=I AND IH=0.
          SPS    8-28-80     APPLIES TO FTN4.8
  
 FCC2345  FTNMAC
          FTNMAC AND FAX ASSEMBLE THE IOM MACRO DIFFERENTLY 
          DECODE (20,1,A(4)) GENERATES IOM ,0B,,,,1,3 WHERE THE 
          ARRAY A IS A FORMAL PARAMETER.  THE FTNMAC VERSION OF THE 
          IOM MACRO SPECIAL CASES B57, FAX DOES NOT.
          THE FIX IS TO MAKE FTNMAC BEHAVE LIKE FAX.
          TMH    07/22/80    APPLIES TO TS AND OPT
  
 FCC2365  GPO 
          AN INVALID STORE INTO THE ELIMINATED LABEL TABLE (ELT)
          DESTROYS THE FIRST ENTRY OF THE UDT TABLE AND CAUSES AN 
          EVENTUAL ERROR MODE.
  
          CHB ASSUMED THAT TO COMBINE A HOLDING BLOCK WITH ITS SINGLE 
          PREDECESSOR, BOTH BLOCKS MUST END WITH AN UNCONDITIONAL JUMP
          OR NEITHER ENDS WITH AN UNCONDITIONAL JUMP AND THAT BOTH DO 
          IF AND ONLY IF THE HOLDING BLOCK IS LABELED.  IN THE CASE 
          WHERE THE HOLDING BLOCK"S PREDECESSOR BOTH FALLS THROUGH
          TO THE HB AND JUMPS TO THE HB, THIS IS NOT TRUE.  THE BLOCKS
          DO NOT END WITH UNCONDITIONAL JUMPS BUT THE LOOPS LABEL IS
          MOVED TO THE HB.   SINCE THE HB IS LABELED, IT CANNOT BE
          COMBINED WITH THE SINGLE PREDECESSOR BECAUSE THE RESULTING
          BLOCK WOULD NOT BE A BASIC BLOCK.  THE LABEL CANNOT BE REMOVED
          BECAUSE THE JUMP MAY BE AN ASSIGNED GOTO OR RETURNS JUMP. 
  
          THE ELT LENGTH IS SET ASSUMING THAT THE ONLY LABELS THAT
          WOULD BE REMOVED WOULD BE FROM HB"S ASSOCIATED WITH FTH 
          LOOPS.   SO THE ELT LENGTH IS THE NUMBER OF FTH LOOPS IN THE
          PROGRAM.  IN THE FAILING PROGRAM THERE WERE NO FTH LOOPS. 
          THE ELT WAS ALLOCATED TO CONTAIN NO ENTRIES.  CHB TRIED TO
          COMBINE A LABELED HB THAT DID NOT END WITH AN UNCONDITIONAL 
          JUMP DUE TO THE BUG.  THINKING THAT IT WOULD REMOVE THE LABEL 
          CHB ENTERED IT INTO THE ELT, THUS CLOBBERING THE FIRST
          WORD OF THE NEXT TABLE, THE UDT.
          TMH    11/20/80    APPLIES TO FTN,OPT=2 
          RK     11/20/80    APPLIES TO FTN,OPT=2 
  
 FCC2381  DPCLOSE,SCANNER 
          DIAGNOSTIC LINE NUMBERS ARE INCORRECT.
          THIS PROBLEM WAS INTRODUCED BY FCC2241 AND FCCA539. 
          ACCURATE LINE NUMBERS ARE NOT AVAILABLE DURING
          EQUIVALENCE AND COMMON PROCESSION IN DPCLOSE.  DIAGNOSTICS
          WHICH ORIGINATE IN DPCLOSE POINT TO THE FIRST EXECUTABLE
          STATEMENT FOLLOWING THE DECLARATIVES.  INTERVENING COMMENTS 
          MAY CAUSE THE PRINTED LINE NUMBER TO BE MUCH GREATER
          THAN THE ACTUAL LINE NUMBER.  THE CORRECTIVE CODE FOR 
          FCC2381 PURGES FCC2241 AND FCCA539 AND REPLACES THE LINE
          NUMBER FIELD IN THE DIAGNOSTICS ORIGINATING IN DPCLOSE WITH 
          THE PHRASE EQV/COMM INDICATING THAT THE ERROR OCCURRED IN 
          AN EQUIVALENCE OR COMMON STATEMENT. 
          TMH    11/05/80    APPLIES TO FTN,OPT 
  
 *L552*    ************************************************ 
 FCCA561  FTNMAC,FAX,END
          CRM FITS MUST HAVE THE LNG FIELD IN WORD 26B SET TO ONE TO
          SIGNIFY A FTN CREATED FIT. 7RM FITS MUST HAVE THE LNG FIELD 
          IN WORD 10B SET TO ONE. THE CF FIELD IN 7RM FITS(WORD 2)
          IS MISPOSITIONED. 
          SSK    12/05/80    APPLIED AGAINST FTN4 TS,OPT
  
 FCCA562  LSTPRO
          FET POINTERS MUST FOLLOW NOS R6 VALIDATION RULES AT OPEN
          TIME TO PREVENT BUFFER ARGUMENT ERROR ON FILE ZZZZZSY FOR PMD 
          SSK    12/04/80    APPLIED AGAINST FTN4,OPT 
  
 FCCA564  PH1CTL
          THIS CODE RESERVES AN ADDITIONAL WORD AT THE END OF THE FLINK 
          APLIST SO THAT THE LIBRARY CAN APPEND AN ENTRY FOR THE FILE 
          DEBUG WHEN DEBUG ACTIVITY IS REQUESTED BY THIS OR SOME OTHER
          SUBPROGRAM AND THE FILE DEBUG WAS NOT MENTIONED ON THE
          PROGRAM CARD. 
          TMH    11/12/80    APPLIES TO FTN,OPT ONLY
  
 FCCA573  FTN 
          DIAGNOSE NOS LFN WHICH BEGINS WITH A DIGIT
          TMH    03/10/81    FTN (NOS ONLY) 
  
 FCCA580  CHANGE ALL FCC OPEN REFERENCES TO USE RECALL FOR NOS
          R6 COMPATABILITY SINCE IN/OUT ARE SET TO FIRST AT 
          COMPLETION POSSIBLY ERADICATING A BUFFER FULL WE
          HAVE JUST STUFFED.
          IDENT  DEPENDENCIES: FCC1797X, FEAT155H 
          SCC    07/13/81    DBG=IDP, ALLOC, INIT, LSTPRO 
  
 FCC2338  ARITH 
          CP TIME LIMIT COMPILING PRINT *, FUNC(1,) 
          FCC0787 DELETED THE CALL TO SSERR3
          TMH    11/26/80    APPLIES TO FTN,OPT 
  
 FCC2360  PH1CTL
          WHEN THE A PARAMETER APPEARS ON THE CONTROL CARD
          ADD THE DAYFILE MESSAGE 
             NULL PROGRAM - HONOR THE A PARAMETER 
          TO STRENGTHEN THE EXISTING DAYFILE MESSAGE
             NULL PROGRAM IGNORED AFTER ... 
          TMH    12/15/80    APPLIES TO FTN,OPT ONLY
  
 FCC2362  DPCLOSE 
          AN EQUIVALENCE STATEMENT CONTAINING CONTRADICTORY/REDUNDANT 
          EQUIVALENCE ERRORS MAY RESULT IN A NEGATIVE BIAS IN SCAN4 
          OF DPCLOSE AND RESULT IN OTHER ENTRIES IN O.EQV TABLE BEING 
          WIPED OUT. IN SCAN5 OF DPCLOSE THE EOT INDEX MAY BE GARBAGE 
          AND RESULT IN A MODE OUT. 
          SSK    02/02/81    APPLIED AGAINST FTN OPT
  
 FCC2391  FTN 
          WITH AN OPT ONLY COMPILER , THE USE OF CONTROL CARD PARAMETERS
          PW OR DB RESULTS IN A MISSING OVERLAY MESSAGE. CONDITIONAL
          CODE WILL BE USED TO TURN THESE PARAMETERS( PW , DB ) OFF 
          WITH AN OPT ONLY INSTALLATION.
          SSK    12/11/80    APPLIED AGAINST FTN4 OPT 
  
 FCC2392  FTNTEXT,SQZ/STS,GPO 
          THE CA FIELD IN THE TEMPORARY EQUIVALENCE TABLE (TET) 
          IS USED FOR TWO PURPOSES. THE OPT=2 COMPILER GENERATES
          LOADS OF THE WRONG TEMP BECAUSE SQZ DESTROYS THE TET INDEX
          IN THE CA FIELD WHEN IT ATTEMPTS TO EQUIVALENCE TWO ASSIGNED
          TEMPS. THE FIX IS TO PREVENT THE EQUIVALENCE UNTIL AFTER
          THE TEMP LOAD HAS BEEN GENERATED AND THE CA FIELD IS FREE 
          TO CONTAIN A TEMP NUMBER. 
          TMH    01/23/81    APPLIES TO FTN,OPT=2 
  
 FCC2419  DATA
          AVOID THE SPURIOUS DIAGNOSTIC 
          VARIABLE NOT IN LABEL COMMON
          REGRESSION CAUSED BY FCCA549
          TMH    03/17/81    APPLIES TO FTN,OPT 
  
 *L564*    ************************************************ 
 FCC*82   FTN 
          UPDATE COPYRIGHT INFORMATION FOR 1982 
          TMH    09/11/81 
  
 FCCA577  FSCALE.  CORRECT THE OVERFLOW TEST TO BE ABLE TO DIAGNOSE 
          INVALID FLOATING CONSTANTS AT COMPILE TIME. 
          MRR    81/05/06    APPLIES TO FTN 4.8 . 
  
FCC5A588  GPO/GPO.  CORRECT TABLE POINTER ACCESS IN GPO. MAKE 
          ACCESS INDIRECT.  PREVENTS INADVERTENT FREE SPACE ALLOCATION
          IN BLK BY ALLOC.
          SIJ    81/11/17    APPLIES TO CCG, OPT=2. 
  
 FCCA589  SEPARATE WEORS OUT OF DECKS AS PER INTEGRATION RQMTS. 
          ALSO FORCES USE OF COMPASS OLDPL AS SECONDARY PL IN UPDATE
          ELIMINATING THE EXTCOMC DEF.  ALSO INSTALLS SKELETON TO 
          CLEAN UP THE BUILD. 
          SCC    10/19/81    TSTEXT, FTNMAC, FTNTEXT, FTN, LIST, FTN20, 
                             DMPELST,MACROX, SAVREGS, FORMDBG, WEOR1*-8*
                             FTN00, FTN10,FTN20, FTN23, FTN21, FTN25, 
                             FTN22, FTN24, FRAME, FRAMDBUG, FWACOM, 
                             FTNDBG 
  
 FCCA590  INHIBIT FTN TS FRAME GENERATION FOR NO TS(TSOFF DEFINED)
          BUILDS. THIS IS TO BE USED WITH NOS/NOSBE/SC2 INSTALL.
          DECK MODIFICATIONS AT R2A.
          IDENT DEPENDENCIES: FCCA589 
          SCC    11/19/81    FRAME
  
 FCC2436  FTN 
          THE RETURN FROM CONTROL CARD DIAGNOSTIC E.TSMD IS INCORRECT 
          FTN,TS=0 SHOULD BE TREATED AS FTN,TS WHEN CONFIGURATION IS
          TS ONLY (.MODES EQU 2)
          TMH    04/29/81    APPLIES TO FTN 
  
 FCC2450  LISTIO
          FCC2202 CAUSES OPT=2 TO INCORRECTLY OPTIMIZE LOOPS CONTAINING 
          VARIABLE FORMAT READS.
          TMH    06/10/81    APPLIES TO FTN,OPT=2 
  
 FCC2472  GEN/SLD 
          USE COUNT FIELD OVERFLOWS. CORRECTIVE CODE ALLOWS - NOT LAST
          COUNT FIELD - TO INCREASE FROM 255 TO 511.
          SSK    10/01/81    APPLIED AGAINST FTN4 TS
  
 *L577*    ************************************************ 
 FCC2448  CORRECT ERROR DIAGNOSTIC SPELLING OF *UNRECOGNIZED*.
          IDENT DEPENDENCY: FCC1936 
          SCC    03/16/82    FTNMSG 
  
 *L587*    ************************************************ 
 FCC2531  ELIMINATE OBJECT TIME REPRIEVE CODE INSTRUCTION 
          SB0  B2+L.0 . 
          DEPENDENCY=FEAT155G 
          SSK    82/08/20    MCG
  
 *L601*    ************************************************ 
 FCCA592  OPTIONS,TSTEXT,FTNTEXT,FTNMAC. REVISE MODEL MICRO TO ACCEPT 
          MODEL NUMBERS 865,875.
          DEPENDENCY=F2959F4
          SSK    83/04/05    OPTIONS,TSTEXT,FTNTEXT,FTNMAC
  
 FCCA593  IMPLEMENT SYSTEM PAGE SIZE.  USE *GETPAGE* MACRO
          TO OBTAIN SYSTEM DEFAULTS FOR PS, PW, AND PD. 
          USES COMDECK *COMCCPM* ON THE COMPASS PL. 
          DEPENDENCY=FEAT155E,FCC1361X,FCCA422,FEAT155EA,FCCA473
          DEPENDENCY=FCCA410,CP139FC,FCCA534,FCC1964
          RETRANS=8I3 
          ASD/RRR 82/07/26   OPTIONS, FTNRES, 
                             FTN, BATCH, LSTPRO, MIO
  
 FCCA594  BATCH/IST.  PREVENT PAR/POP FROM POPPING AN ELEMENT AT
          ESTACK-1(PRESET TO DEBUG) , ITS CAUSING A NEGATIVE TEST 
          CASE FAILURE BY ISSUING AN EXTRA ERROR MESSAGE. PROBLEM 
          SHOULD BE FIXED IN PAR , IS GOING TO BE FIXED BY CLEARING 
          ESTACK AND OSTACK.
          SSK    83/07/25    BATCH
  
 FCC2535  MCG - ZERO THE USES COUNT FOR OMITTED SXT/XMT"S SO MCG
          (IN JAM MODE) DOESN'T ERRONEOUSLY STORE OUT REGISTERS.
          RESET N.SP AFTER AN *EOS*, *UJP*, ETC TO AVOID SPURRIOUS
          CALLS TO JAM MODE. THIS PSR IS A COPY OF CCGA006 WITH PL/I
          CONDITIONAL CODE LEFT OUT.
          DEPENDENCY=FCC0881
          SSK    82/12/01    MCG
  
 FCC2548  DPCLOSE/EQV. THIS SPECIAL ENHANCEMENT CODE ALLOWS MORE
          EQUIVALENCE STATEMENTS TO BE PROCESSED AND APPLIES ONLY 
          TO FTN4,OPT=0,1,2. THIS SPECIAL CODE DOES NOT APPLY TO
          FTN4,TS.
          DEPENDENCY=FCC1289AX,FCC1289X,FCC1946 
          SSK    83/03/07    DPCLOSE
  
 *L617*    ************************************************ 
 FCCA595  FTN.  DO NOT CALL *COMCCPM* ON SCOPE2 SYSTEMS.
          DEPENDENCY=FCCA593
          KJM    83/12/12    FTN
  
 FCC2563  TSTEST,FTNMAC,FTNTEXT.  REVISE MODEL MICRO TO ACCEPT MODEL
          NUMBERS 740,750,760.
          DEPENDENCY=F2950F4,FCCA592
          SSK    84/01/26    TSTEXT,FTNMAC,FTNTEXT
  
 *L628*    ************************************************ 
 *L642*    ************************************************ 
 FCCA596  OPTIONS, FTN/MIB, GPO/PCC.  FIX PROBLEMS FOUND DURING 990 
          TESTING - 
          - CHANGE *VALMDL* MACRO TO RECOGNIZE 990 MODEL. 
          - FIX MODE ERROR WHICH CAN OCCUR ON DUAL-STATE SYSTEMS. 
            IDENTICAL TO THE PROBLEM FIXED IN FTN5 BY FC5A464.
          - VOID INSTRUCTION STACK AFTER PLUGGING RJ AT *PCC5* IN *GPO*.
          DEPENDENCY=FCC2563
          AXM/SSK  85/03/19  OPTIONS, FTN, GPO
  
 FCCA597  MAP/WRM.  FIX CODE MODIFICATION PROBLEM FOR 990.
          SSK    85/06/10    MAP
  
 *L650*    ************************************************ 
 FCCA598  GEN. ADDED CODE TO CHANGE THIS SKELETON TO A JP IN CASE A 
          FUNCTION SUBPROGRAM DOES CODE MODIFICATION. THE JP IS 
          REQUIRED BECAUSE OF THE 990 STACK LENGTH. 
          SSK    85/08/04    GEN
  
 *L670*    ************************************************ 
 *L688*    ************************************************ 
 *L716*    ************************************************ 
 *L739*    ************************************************ 
 FCC2567  FTNTEXT/TSTEXT/FTNMAC.  ADDED CODE TO THE MODEL MICRO TO
          RECOGNIZE MODEL NUMBERS 994 AND 995.
          DEPENDENCY=FCCA596
          SSK    89/09/22    FTNTEXT
  
 *L780*    ************************************************ 
 *L797*    ************************************************ 
 *L803*    ************************************************ 
 *L826*    ************************************************ 
 *L840*    ************************************************ 
 *L847*    ************************************************ 
 *L851*    ************************************************ 
 *L859*    ************************************************ 
 *L871*    ************************************************ 
  
 FCC1822X DPCOM/DECPRO  COMMON STATEMENT WHICH HAS NOTHING BUT
          DUPLICATE NAMES IN GROUP, DOES NOT HAVE TO HAVE THE 
          MEMBER COUNT AND LINK FILED UPDATED IN THE COMMON 
          BLOCK HEADER WORD.
          ATH    77/7/29     APPLIED AGAINST FTN 4.6/OPT
  
  
